!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3673) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_3708) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3490) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_3809) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3646) = coupl(nGC_228)*dZGMinus
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3025) = coupl(nGC_1881)*db_QED2 + coupl(nGC_1882)*dvev2_QED1 + &
                        coupl(nGC_1883)*dvev1_QED1 + coupl(nGC_1884)*dl2_QED4  &
                         + coupl(nGC_1885)*dl1_QED4 + coupl(nGC_1886)*dl4_QED4 &
                         + coupl(nGC_1887)*dl3_QED4 + coupl(nGC_1888)*da_QED2  &
                         + coupl(nGC_1889)*dl5_QED4
      coupl(nGC_3611) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_3739) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3658) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_3384) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3664) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3726) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_3722) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3829) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2963) = coupl(nGC_1651)*db_QED2 + coupl(nGC_1652)*dl3_QED4 +   &
                        coupl(nGC_1653)*dl2_QED4 + coupl(nGC_1654)*dl1_QED4 +  &
                        coupl(nGC_1655)*dl4_QED4 + coupl(nGC_1656)*dl5_QED4
      coupl(nGC_3621) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_3628) = coupl(nGC_70)*dZG0
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3536) = coupl(nGC_2963) + coupl(nGC_55)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZHaG0_QED2
      coupl(nGC_3535) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_3531) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_3530) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3753) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3831) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3837) = -coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3336) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3635) = -coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3637) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_3639) = coupl(nGC_361)*dZGMinus/2d0
      coupl(nGC_3440) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_3299) = -cima*dMHC2_QED2
      coupl(nGC_3683) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3741) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_3742) = coupl(nGC_230)*dZG0
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3999) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3998) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3359) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3606) = -coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3512) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_3514) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_3191) = coupl(nGC_1400)*dZee_QED2 + coupl(nGC_1401)*dcw_QED2 + &
                        coupl(nGC_1402)*dsw_QED2
      coupl(nGC_3774) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3177) = coupl(nGC_1385)*dZee_QED2 + coupl(nGC_1386)*dcw_QED2 + &
                        coupl(nGC_1387)*dsw_QED2
      coupl(nGC_3170) = coupl(nGC_2004)*db_QED2 + coupl(nGC_2005)*da_QED2 +    &
                        coupl(nGC_2006)*dcw_QED2 + coupl(nGC_2007)*dZee_QED2 + &
                        coupl(nGC_2008)*dsw_QED2
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3983) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3986) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3985) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3989) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_3584) = coupl(nGC_229)*dZGMinus
      coupl(nGC_3580) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_3618) = -coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3616) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_3342) = coupl(nGC_220)*dZGMinus
      coupl(nGC_2587) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi** &
                        2d0)
      coupl(nGC_2586) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi** &
                        2d0)
      coupl(nGC_2589) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi** &
                        2d0)
      coupl(nGC_2588) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3614) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_3463) = -coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3506) = -coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3501) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3314) = -cima*dMD_QCD2
      coupl(nGC_3509) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_3188) = coupl(nGC_2065)*dZee_QED2 + coupl(nGC_2066)*dcw_QED2 + &
                        coupl(nGC_2067)*dsw_QED2
      coupl(nGC_3182) = coupl(nGC_2248)*dZee_QED2
      coupl(nGC_3186) = coupl(nGC_1471)*dZee_QED2 + coupl(nGC_1472)*dsw_QED2
      coupl(nGC_3187) = coupl(nGC_1918)*dZee_QED2 + coupl(nGC_1919)*dcw_QED2 + &
                        coupl(nGC_1920)*dsw_QED2
      coupl(nGC_3184) = coupl(nGC_2000)*dZee_QED2
      coupl(nGC_3185) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_3763) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_3766) = coupl(nGC_49)*dZG0
      coupl(nGC_3765) = -coupl(nGC_356)*dZG0/2d0
      coupl(nGC_3161) = coupl(nGC_2015)*dsw_QED2 + coupl(nGC_2016)*da_QED2 +   &
                        coupl(nGC_2017)*dvev1_QED1 + coupl(nGC_2018)*dvev2_QED1&
                         + coupl(nGC_2019)*dZee_QED2
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2961) = coupl(nGC_1241)*dZee_QED2 + coupl(nGC_1242)*dcw_QED2 + &
                        coupl(nGC_1243)*dsw_QED2
      coupl(nGC_3428) = coupl(nGC_74)*dZGMinus
      coupl(nGC_3420) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_3427) = -coupl(nGC_350)*dZG0/2d0
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3979) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3978) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3977) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3976) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3975) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3972) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_3971) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3454) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_3888) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3883) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*dZHh_QED2&
                        /2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(nGC_215)*   &
                        dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_3170)
      coupl(nGC_3881) = coupl(nGC_35)*dZG0
      coupl(nGC_3144) = coupl(nGC_2277)*dZee_QED2
      coupl(nGC_3371) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3370) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3375) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2590) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi** &
                        2d0)
      coupl(nGC_2591) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi** &
                        2d0)
      coupl(nGC_3042) = coupl(nGC_1870)*dvev1_QED1 + coupl(nGC_1871)*dvev2_QED1&
                         + coupl(nGC_1872)*dZee_QED2 + coupl(nGC_1873)*dsw_QED2&
                         + coupl(nGC_1874)*db_QED2
      coupl(nGC_2750) = -coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3571) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3570) = coupl(nGC_99)*dZGMinus
      coupl(nGC_3577) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3576) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_3575) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_3378) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_4025) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_2686) = -coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2682) = -coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2683) = -coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3797) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_3794) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3791) = coupl(nGC_43)*dZG0
      coupl(nGC_3151) = coupl(nGC_2025)*dZee_QED2 + coupl(nGC_2026)*da_QED2 +  &
                        coupl(nGC_2027)*dsw_QED2 + coupl(nGC_2028)*db_QED2
      coupl(nGC_3153) = coupl(nGC_1269)*dZee_QED2
      coupl(nGC_3155) = coupl(nGC_2029)*dZee_QED2 + coupl(nGC_2030)*da_QED2 +  &
                        coupl(nGC_2031)*dsw_QED2 + coupl(nGC_2032)*db_QED2
      coupl(nGC_3409) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3407) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_3405) = coupl(nGC_13)*dZbL_QED2
      coupl(nGC_3402) = -coupl(nGC_26)*dZGMinus
      coupl(nGC_2970) = coupl(nGC_2386)*dl3_QED4 + coupl(nGC_2387)*dl2_QED4 +  &
                        coupl(nGC_2388)*dl1_QED4 + coupl(nGC_2389)*dl4_QED4 +  &
                        coupl(nGC_2390)*dl5_QED4 + coupl(nGC_2391)*da_QED2
      coupl(nGC_2971) = coupl(nGC_1600)*db_QED2 + coupl(nGC_1601)*dl3_QED4 +   &
                        coupl(nGC_1602)*dl2_QED4 + coupl(nGC_1603)*dl1_QED4 +  &
                        coupl(nGC_1604)*dl4_QED4 + coupl(nGC_1605)*dl5_QED4
      coupl(nGC_2975) = coupl(nGC_1669)*db_QED2 + coupl(nGC_1670)*dl3_QED4 +   &
                        coupl(nGC_1671)*dl2_QED4 + coupl(nGC_1672)*dl1_QED4 +  &
                        coupl(nGC_1673)*dl4_QED4 + coupl(nGC_1674)*dl5_QED4
      coupl(nGC_2977) = coupl(nGC_1456)*db_QED2 + coupl(nGC_1457)*dl3_QED4 +   &
                        coupl(nGC_1458)*dl2_QED4 + coupl(nGC_1459)*dl1_QED4 +  &
                        coupl(nGC_1460)*dl4_QED4 + coupl(nGC_1461)*dl5_QED4 +  &
                        coupl(nGC_1462)*da_QED2
      coupl(nGC_3083) = coupl(nGC_1641)*dyd13x3_QED1_QCD2 + coupl(nGC_1642)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3082) = coupl(nGC_1640)*db_QED2 + coupl(nGC_1641)*dyd13x3_QED3 &
                         + coupl(nGC_1642)*dyb2_QED3
      coupl(nGC_3089) = coupl(nGC_2108)*dyd13x3_QED1_QCD2 + coupl(nGC_2109)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3088) = coupl(nGC_2108)*dyd13x3_QED3 + coupl(nGC_2109)*        &
                        dyb2_QED3 + coupl(nGC_2110)*da_QED2
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3443) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3966) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_3960) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3891) = -coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3446) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3572) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3560) = coupl(nGC_99)*dZG0
      coupl(nGC_3564) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_3567) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3569) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_3365) = -coupl(nGC_368)*dZG0/2d0
      coupl(nGC_3362) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3368) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3784) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0 &
                         + coupl(nGC_3186)
      coupl(nGC_3786) = -coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3416) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3094) = coupl(nGC_1628)*dyd13x3_QED3 + coupl(nGC_1629)*        &
                        dyb2_QED3 + coupl(nGC_1630)*da_QED2
      coupl(nGC_3095) = coupl(nGC_1628)*dyd13x3_QED1_QCD2 + coupl(nGC_1629)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3098) = coupl(nGC_2268)*db_QED2 + coupl(nGC_2269)*dyd12x2_QED3 &
                         + coupl(nGC_2270)*dys2_QED3
      coupl(nGC_3099) = coupl(nGC_2269)*dyd12x2_QED1_QCD2 + coupl(nGC_2270)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3942) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 -   &
                        coupl(nGC_179)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_3155&
                        )
      coupl(nGC_3943) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3955) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3956) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_3157) = coupl(nGC_1935)*dZee_QED2 + coupl(nGC_1936)*dsw_QED2
      coupl(nGC_3406) = coupl(nGC_13)*dZbR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3185)
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3404) = coupl(nGC_13)*dZbL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3185)
      coupl(nGC_2985) = coupl(nGC_1410)*db_QED2 + coupl(nGC_1411)*dl3_QED4 +   &
                        coupl(nGC_1412)*dl2_QED4 + coupl(nGC_1413)*dl1_QED4 +  &
                        coupl(nGC_1414)*dl4_QED4 + coupl(nGC_1415)*dl5_QED4 +  &
                        coupl(nGC_1416)*da_QED2
      coupl(nGC_2984) = coupl(nGC_1589)*db_QED2 + coupl(nGC_1590)*dl5_QED4 +   &
                        coupl(nGC_1591)*dl4_QED4 + coupl(nGC_1592)*da_QED2
      coupl(nGC_2973) = coupl(nGC_1622)*db_QED2 + coupl(nGC_1623)*dl3_QED4 +   &
                        coupl(nGC_1624)*dl2_QED4 + coupl(nGC_1625)*dl1_QED4 +  &
                        coupl(nGC_1626)*dl4_QED4 + coupl(nGC_1627)*dl5_QED4
      coupl(nGC_3559) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3558) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3555) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_3554) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3551) = coupl(nGC_190)*dZWMinus_QED2 + coupl(nGC_3157)
      coupl(nGC_3553) = -coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3313) = -cima*dMD_QED2
      coupl(nGC_3312) = -cima*dMT_QCD2
      coupl(nGC_3311) = -cima*dMT_QED2
      coupl(nGC_3310) = -cima*dMC_QCD2
      coupl(nGC_3317) = -cima*dMB_QED2
      coupl(nGC_3316) = -cima*dMS_QCD2
      coupl(nGC_3315) = -cima*dMS_QED2
      coupl(nGC_3319) = cima*dMZ2_QED2
      coupl(nGC_3318) = -cima*dMB_QCD2
      coupl(nGC_2953) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3131) = coupl(nGC_1799)*dyt1_QED1_QCD2 + coupl(nGC_1800)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3130) = coupl(nGC_1798)*da_QED2 + coupl(nGC_1799)*dyt1_QED3 +  &
                        coupl(nGC_1800)*dyt2_QED3
      coupl(nGC_3047) = coupl(nGC_2276)*dZee_QED2
      coupl(nGC_3046) = coupl(nGC_1934)*dZee_QED2
      coupl(nGC_3045) = coupl(nGC_1797)*dZee_QED2
      coupl(nGC_3044) = coupl(nGC_2125)*dZee_QED2
      coupl(nGC_3041) = coupl(nGC_1792)*dsw_QED2 + coupl(nGC_1793)*da_QED2 +   &
                        coupl(nGC_1794)*dvev1_QED1 + coupl(nGC_1795)*dvev2_QED1&
                         + coupl(nGC_1796)*dZee_QED2
      coupl(nGC_4020) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_2730) = -coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3356) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_3355) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl(  &
                        nGC_3186)
      coupl(nGC_3353) = coupl(nGC_29)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3352) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2738) = -coupl(nGC_13)**2d0*coupl(nGC_855)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3944) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_3940) = coupl(nGC_172)*dZHMinus_QED2/2d0 + coupl(nGC_172)*     &
                        dZHh_QED2/2d0 + coupl(nGC_172)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_178)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_179 &
                        )*dZHlHh_QED2/2d0 + coupl(nGC_3155)
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3324) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3450) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_2548) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc* &
                        coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl&
                        (nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl&
                        (nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(      &
                        nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2543) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl&
                        (nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl&
                        (nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(      &
                        nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2542) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl&
                        (nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl&
                        (nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(      &
                        nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3457) = -coupl(nGC_172)*dZHl_QED2/2d0 - coupl(nGC_172)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_178)*dZHhHl_QED2/2d0 +   &
                        coupl(nGC_179)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_3155&
                        )
      coupl(nGC_2890) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(     &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(   &
                        nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*  &
                        coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(     &
                        nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*  &
                        coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(    &
                        nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl( &
                        nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*  &
                        coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(     &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(   &
                        nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl( &
                        nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)*  &
                        coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(     &
                        nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*coupl&
                        (nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                        (nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 + 5d0*    &
                        coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 + 5d0&
                        *coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)**2d0)/(  &
                        24d0*pi**2d0)
      coupl(nGC_2897) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc*  &
                        coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346  &
                        )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl(  &
                        nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc* &
                        coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)**  &
                        3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361 &
                        ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3547) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3544) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_3300) = -cima*dMHL2_QED2
      coupl(nGC_3301) = -cima*dMHH2_QED2
      coupl(nGC_3302) = -cima*dMHA2_QED2
      coupl(nGC_3304) = -cima*dME_QED2
      coupl(nGC_3305) = -cima*dMM_QED2
      coupl(nGC_3306) = -cima*dMTA_QED2
      coupl(nGC_3307) = -cima*dMU_QED2
      coupl(nGC_3308) = -cima*dMU_QCD2
      coupl(nGC_3436) = coupl(nGC_23)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
