!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3435) = coupl(nGC_2971) + coupl(nGC_54)*dZG0Ha_QED2 + coupl(   &
                        nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*           &
                        dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3438) = coupl(nGC_29)*dZGMinus
      coupl(nGC_3439) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_3045)
      coupl(nGC_3128) = coupl(nGC_1270)*dyc1_QED3 + coupl(nGC_1271)*dyc2_QED3  &
                         + coupl(nGC_1272)*da_QED2
      coupl(nGC_3129) = coupl(nGC_1270)*dyc1_QED1_QCD2 + coupl(nGC_1271)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2433) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2432) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2435) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2434) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl(&
                        nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2437) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2436) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2439) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2438) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3122) = coupl(nGC_1816)*db_QED2 + coupl(nGC_1817)*dyc1_QED3 +  &
                        coupl(nGC_1818)*dyc2_QED3
      coupl(nGC_3123) = coupl(nGC_1817)*dyc1_QED1_QCD2 + coupl(nGC_1818)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3124) = coupl(nGC_571)*db_QED2 + coupl(nGC_573)*dyt1_QED3 +    &
                        coupl(nGC_575)*dyt2_QED3
      coupl(nGC_2983) = coupl(nGC_1593)*db_QED2 + coupl(nGC_1594)*dl5_QED4 +   &
                        coupl(nGC_1595)*dl4_QED4 + coupl(nGC_1596)*da_QED2
      coupl(nGC_3126) = coupl(nGC_1579)*dyup1_QED3 + coupl(nGC_1580)*da_QED2 + &
                        coupl(nGC_1581)*dyup2_QED3
      coupl(nGC_3127) = coupl(nGC_1579)*dyup1_QED1_QCD2 + coupl(nGC_1581)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2982) = coupl(nGC_1707)*db_QED2 + coupl(nGC_1708)*dl3_QED4 +   &
                        coupl(nGC_1709)*dl2_QED4 + coupl(nGC_1710)*dl1_QED4 +  &
                        coupl(nGC_1711)*dl4_QED4 + coupl(nGC_1712)*dl5_QED4
      coupl(nGC_2454) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0  &
                         + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc&
                        *coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl( &
                        nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3054) = coupl(nGC_1855)*db_QED2 + coupl(nGC_1856)*dyup1_QED3 + &
                        coupl(nGC_1857)*dyup2_QED3
      coupl(nGC_3055) = coupl(nGC_1856)*dyup1_QED1_QCD2 + coupl(nGC_1857)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3050) = coupl(nGC_2296)*dZee_QED2 + coupl(nGC_2297)*dcw_QED2 + &
                        coupl(nGC_2298)*dsw_QED2
      coupl(nGC_3051) = coupl(nGC_1476)*dZgs_QCD2
      coupl(nGC_3052) = coupl(nGC_2355)*dZgs_QCD2
      coupl(nGC_3053) = coupl(nGC_1131)*dZgs_QCD2
      coupl(nGC_4011) = coupl(nGC_3310) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_4013) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_4012) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_3058) = coupl(nGC_1586)*db_QED2 + coupl(nGC_1587)*dyd12x2_QED3 &
                         + coupl(nGC_1588)*dys2_QED3
      coupl(nGC_3059) = coupl(nGC_1587)*dyd12x2_QED1_QCD2 + coupl(nGC_1588)*   &
                        dys2_QED1_QCD2
      coupl(nGC_4017) = coupl(nGC_3313) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_345_Hl) + coupl&
                        (nGC_TS_GC_348_Hh)
      coupl(nGC_4016) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3159) = coupl(nGC_1280)*dZee_QED2 + coupl(nGC_1281)*dsw_QED2
      coupl(nGC_3923) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_3933) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_3930) = -coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3937) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_3936) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuR_QCD2 + &
                        coupl(nGC_3185)
      coupl(nGC_3935) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_3934) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuL_QCD2 + &
                        coupl(nGC_3185)
      coupl(nGC_3939) = -coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3849) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_3847) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_3841) = -coupl(nGC_200)*dZZA_QED2/4d0 - coupl(nGC_3047)/2d0 -  &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2669) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) - 8d0* &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) + coupl(  &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_363) + coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_365) + coupl(nGC_334)*coupl(&
                        nGC_336)*coupl(nGC_366) + coupl(nGC_334)*coupl(nGC_338 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2554) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC*&
                        coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363&
                        ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0)
      coupl(nGC_2555) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC* &
                        coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363&
                        ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2553) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_336) - Nc* &
                        coupl(nGC_339)*coupl(nGC_343) - Nc*coupl(nGC_346)*coupl&
                        (nGC_348) - Nc*coupl(nGC_364)*coupl(nGC_366) + Nc*coupl&
                        (nGC_370)*coupl(nGC_372) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) - coupl(nGC_352)*coupl(nGC_354) - coupl(      &
                        nGC_358)*coupl(nGC_360) - coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2551) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_334) - Nc* &
                        coupl(nGC_342)*coupl(nGC_343) - Nc*coupl(nGC_345)*coupl&
                        (nGC_346) - Nc*coupl(nGC_363)*coupl(nGC_364) + Nc*coupl&
                        (nGC_369)*coupl(nGC_370) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) - coupl(nGC_351)*coupl(nGC_352) - coupl(      &
                        nGC_357)*coupl(nGC_358) - coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2882) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0 &
                         - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl(  &
                        nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2883) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0  &
                         + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl(  &
                        nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2886) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0  &
                         + coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl(  &
                        nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2888) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl(&
                        nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(      &
                        nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366 &
                        ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_3424) = coupl(nGC_350)*dZG0/2d0
      coupl(nGC_2547) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc* &
                        coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl&
                        (nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl&
                        (nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(      &
                        nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3337) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3115) = coupl(nGC_1144)*da_QED2 + coupl(nGC_1145)*dym1_QED3 +  &
                        coupl(nGC_1146)*dym2_QED3
      coupl(nGC_3114) = coupl(nGC_1898)*dye2_QED3 + coupl(nGC_1899)*da_QED2 +  &
                        coupl(nGC_1900)*dye1_QED3
      coupl(nGC_3116) = coupl(nGC_2100)*dytau2_QED3 + coupl(nGC_2101)*         &
                        dytau1_QED3 + coupl(nGC_2102)*da_QED2
      coupl(nGC_3111) = coupl(nGC_1529)*dye2_QED3 + coupl(nGC_1530)*da_QED2 +  &
                        coupl(nGC_1531)*dye1_QED3
      coupl(nGC_3110) = coupl(nGC_1969)*db_QED2 + coupl(nGC_1970)*dytau2_QED3  &
                         + coupl(nGC_1971)*dytau1_QED3
      coupl(nGC_3113) = coupl(nGC_1520)*dytau2_QED3 + coupl(nGC_1521)*         &
                        dytau1_QED3 + coupl(nGC_1522)*da_QED2
      coupl(nGC_3112) = coupl(nGC_1974)*da_QED2 + coupl(nGC_1975)*dym1_QED3 +  &
                        coupl(nGC_1976)*dym2_QED3
      coupl(nGC_3448) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_3119) = coupl(nGC_2001)*db_QED2 + coupl(nGC_2002)*dytau2_QED3  &
                         + coupl(nGC_2003)*dytau1_QED3
      coupl(nGC_3118) = coupl(nGC_2068)*db_QED2 + coupl(nGC_2069)*dym1_QED3 +  &
                        coupl(nGC_2070)*dym2_QED3
      coupl(nGC_3684) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_3687) = coupl(nGC_200)*dZZA_QED2/4d0 + coupl(nGC_3047)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_2428) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2429) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2426) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2427) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2425) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2422) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_2423) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2420) = cima*(-coupl(nGC_208)**2d0 - coupl(nGC_4)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2421) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3149) = coupl(nGC_2137)*dZee_QED2 + coupl(nGC_2138)*dsw_QED2
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4006) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_4004) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_4002) = coupl(nGC_3318) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_4003) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_4000) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_2442) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(     &
                        nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(&
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(     &
                        nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(      &
                        nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_4008) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_4009) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_3061) = coupl(nGC_1533)*dyc1_QED1_QCD2 + coupl(nGC_1534)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3060) = coupl(nGC_1532)*db_QED2 + coupl(nGC_1533)*dyc1_QED3 +  &
                        coupl(nGC_1534)*dyc2_QED3
      coupl(nGC_3063) = coupl(nGC_1728)*dyt1_QED1_QCD2 + coupl(nGC_1729)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3062) = coupl(nGC_1727)*db_QED2 + coupl(nGC_1728)*dyt1_QED3 +  &
                        coupl(nGC_1729)*dyt2_QED3
      coupl(nGC_3065) = coupl(nGC_1133)*dyd13x3_QED1_QCD2 + coupl(nGC_1134)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3064) = coupl(nGC_1132)*db_QED2 + coupl(nGC_1133)*dyd13x3_QED3 &
                         + coupl(nGC_1134)*dyb2_QED3
      coupl(nGC_3067) = coupl(nGC_1955)*dydo1_QED1_QCD2 + coupl(nGC_1956)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3066) = coupl(nGC_1954)*db_QED2 + coupl(nGC_1955)*dydo1_QED3 + &
                        coupl(nGC_1956)*dydo2_QED3
      coupl(nGC_3591) = -coupl(nGC_184)*dZHMinus_QED2/2d0 - coupl(nGC_184)*    &
                        dZHa_QED2/2d0 - coupl(nGC_184)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_3149)
      coupl(nGC_3593) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_3592) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl(  &
                        nGC_3186)
      coupl(nGC_3595) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_3599) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_2968) = coupl(nGC_1634)*db_QED2 + coupl(nGC_1635)*dl3_QED4 +   &
                        coupl(nGC_1636)*dl2_QED4 + coupl(nGC_1637)*dl1_QED4 +  &
                        coupl(nGC_1638)*dl4_QED4 + coupl(nGC_1639)*dl5_QED4
      coupl(nGC_3920) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_3921) = coupl(nGC_3058) + coupl(nGC_364)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*   &
                        dZsR_QED2/2d0
      coupl(nGC_3922) = coupl(nGC_3059) + coupl(nGC_367)*dZcL_QCD2/2d0 + coupl(&
                        nGC_367)*dZsR_QCD2/2d0
      coupl(nGC_3549) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_3924) = coupl(nGC_3060) + coupl(nGC_334)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*   &
                        dZsL_QED2/2d0
      coupl(nGC_3925) = coupl(nGC_3061) + coupl(nGC_337)*dZcR_QCD2/2d0 + coupl(&
                        nGC_337)*dZsL_QCD2/2d0
      coupl(nGC_3926) = coupl(nGC_337)*dZGMinus/2d0
      coupl(nGC_3928) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4049) = -coupl(nGC_2548)
      coupl(nGC_3541) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2954) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3858) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_3896) = -coupl(nGC_3119) - coupl(nGC_377)*dZHa_QED2/2d0 - coupl&
                        (nGC_377)*dZtauMinusL_QED2/2d0 - coupl(nGC_377)*       &
                        dZtauMinusR_QED2/2d0 - coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_2955) = coupl(nGC_2356)*dZee_QED2 + coupl(nGC_2357)*dcw_QED2 + &
                        coupl(nGC_2358)*dsw_QED2
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3418) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_2958) = coupl(nGC_1193)*dZee_QED2
      coupl(nGC_2704) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2959) = coupl(nGC_1319)*dZee_QED2 + coupl(nGC_1320)*dcw_QED2 + &
                        coupl(nGC_1321)*dsw_QED2
      coupl(nGC_2521) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2520) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_345)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_821) + coupl(  &
                        nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_350)*coupl(nGC_897) + coupl(nGC_210)*coupl(nGC_346 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2527) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_2526) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3414) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*     &
                        dZHl_QED2 + coupl(nGC_2970)
      coupl(nGC_2528) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc*&
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) + coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) + coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) + coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_3415) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2639) = -coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3309) = -cima*dMC_QED2
      coupl(nGC_2635) = -coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2634) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) - 8d0* &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) + coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) + coupl(nGC_347 &
                        )*coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_348)*coupl(&
                        nGC_384)*coupl(nGC_385) + coupl(nGC_350)*coupl(nGC_385 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2633) = -coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2631) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3328) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/  &
                        2d0 + coupl(nGC_3186)
      coupl(nGC_3329) = coupl(nGC_71)*dZGMinus
      coupl(nGC_3322) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_3323) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_3320) = cima*dMW2_QED2
      coupl(nGC_3321) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_3410) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_3325) = coupl(nGC_22)*dZGMinus/2d0
      coupl(nGC_3102) = coupl(nGC_1135)*dye2_QED3 + coupl(nGC_1136)*db_QED2 +  &
                        coupl(nGC_1137)*dye1_QED3
      coupl(nGC_3103) = coupl(nGC_1895)*db_QED2 + coupl(nGC_1896)*dym1_QED3 +  &
                        coupl(nGC_1897)*dym2_QED3
      coupl(nGC_3100) = coupl(nGC_2349)*db_QED2 + coupl(nGC_2350)*dyd13x3_QED3 &
                         + coupl(nGC_2351)*dyb2_QED3
      coupl(nGC_3101) = coupl(nGC_2350)*dyd13x3_QED1_QCD2 + coupl(nGC_2351)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3106) = coupl(nGC_2188)*db_QED2 + coupl(nGC_2189)*dym1_QED3 +  &
                        coupl(nGC_2190)*dym2_QED3
      coupl(nGC_3107) = coupl(nGC_2346)*db_QED2 + coupl(nGC_2347)*dytau2_QED3  &
                         + coupl(nGC_2348)*dytau1_QED3
      coupl(nGC_3104) = coupl(nGC_1745)*db_QED2 + coupl(nGC_1746)*dytau2_QED3  &
                         + coupl(nGC_1747)*dytau1_QED3
      coupl(nGC_3105) = coupl(nGC_2148)*dye2_QED3 + coupl(nGC_2149)*db_QED2 +  &
                        coupl(nGC_2150)*dye1_QED3
      coupl(nGC_3458) = -coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3459) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3108) = coupl(nGC_1197)*dye2_QED3 + coupl(nGC_1198)*db_QED2 +  &
                        coupl(nGC_1199)*dye1_QED3
      coupl(nGC_3109) = coupl(nGC_2081)*db_QED2 + coupl(nGC_2082)*dym1_QED3 +  &
                        coupl(nGC_2083)*dym2_QED3
      coupl(nGC_2989) = coupl(nGC_1153)*db_QED2 + coupl(nGC_1154)*dZee_QED2 +  &
                        coupl(nGC_1155)*dcw_QED2 + coupl(nGC_1156)*da_QED2
      coupl(nGC_2988) = coupl(nGC_1166)*db_QED2 + coupl(nGC_1167)*dZee_QED2 +  &
                        coupl(nGC_1168)*dcw_QED2 + coupl(nGC_1169)*da_QED2
      coupl(nGC_3696) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_2453) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) - &
                        4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc*&
                        cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**  &
                        2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*   &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl( &
                        nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)* &
                        coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(    &
                        nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378  &
                        ) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl(nGC_329)*&
                        coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_2452) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(     &
                        nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(     &
                        nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl(&
                        nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(     &
                        nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(      &
                        nGC_357)*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2451) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl(  &
                        nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2450) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0  &
                         + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc&
                        *coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl( &
                        nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_2455) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_366)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_360)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_272)**2d0 + cima*coupl(  &
                        nGC_332)**2d0)/(16d0*pi**2d0)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3911) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3910) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3412) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2637) = -coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3078) = coupl(nGC_1597)*db_QED2 + coupl(nGC_1598)*dydo1_QED3 + &
                        coupl(nGC_1599)*dydo2_QED3
      coupl(nGC_3079) = coupl(nGC_1598)*dydo1_QED1_QCD2 + coupl(nGC_1599)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3413) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3077) = coupl(nGC_1434)*dyd13x3_QED1_QCD2 + coupl(nGC_1435)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3074) = coupl(nGC_1170)*db_QED2 + coupl(nGC_1171)*dyt1_QED3 +  &
                        coupl(nGC_1172)*dyt2_QED3
      coupl(nGC_3075) = coupl(nGC_1171)*dyt1_QED1_QCD2 + coupl(nGC_1172)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3072) = coupl(nGC_2206)*db_QED2 + coupl(nGC_2207)*dyd12x2_QED3 &
                         + coupl(nGC_2208)*dys2_QED3
      coupl(nGC_3073) = coupl(nGC_2207)*dyd12x2_QED1_QCD2 + coupl(nGC_2208)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3070) = coupl(nGC_1926)*db_QED2 + coupl(nGC_1927)*dyc1_QED3 +  &
                        coupl(nGC_1928)*dyc2_QED3
      coupl(nGC_3071) = coupl(nGC_1927)*dyc1_QED1_QCD2 + coupl(nGC_1928)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2854) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2853) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/( &
                        32d0*pi**2d0)
      coupl(nGC_2852) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(    &
                        nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                        nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(     &
                        nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(&
                        nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355 &
                        ) - coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_376)*    &
                        coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_3586) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_3585) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_229)*dZZ_QED2 +   &
                        coupl(nGC_3177)
      coupl(nGC_3582) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3583) = coupl(nGC_2982) + coupl(nGC_54)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*      &
                        dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*    &
                        dZHa_QED2/2d0
      coupl(nGC_3120) = coupl(nGC_2134)*db_QED2 + coupl(nGC_2135)*dyup1_QED3 + &
                        coupl(nGC_2136)*dyup2_QED3
      coupl(nGC_3121) = coupl(nGC_2135)*dyup1_QED1_QCD2 + coupl(nGC_2136)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2829) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_339)*coupl(&
                        nGC_342) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_345)*  &
                        coupl(nGC_348) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_209)*coupl(nGC_339)*coupl(nGC_342) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_363 &
                        )*coupl(nGC_366) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_333)*coupl(nGC_336) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369 &
                        )*coupl(nGC_372) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210 &
                        )*coupl(nGC_381)*coupl(nGC_384) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_339)*coupl(nGC_342) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_333)*coupl(nGC_336   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_369)*coupl(   &
                        nGC_372) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_381)*  &
                        coupl(nGC_384) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_351 &
                        )*coupl(nGC_354) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_375)*coupl(nGC_378) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_354) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_357)*coupl(nGC_360   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_375)*  &
                        coupl(nGC_378) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_351 &
                        )*coupl(nGC_354) - 4d0*coupl(nGC_211)**2d0*coupl(      &
                        nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_211)**2d0*coupl&
                        (nGC_375)*coupl(nGC_378))/(12d0*pi**2d0)
      coupl(nGC_3125) = coupl(nGC_573)*dyt1_QED1_QCD2 + coupl(nGC_575)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3919) = coupl(nGC_3301) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_3918) = coupl(nGC_218)*dZGMinus
      coupl(nGC_3913) = -coupl(nGC_214)*dZHa_QED2/2d0 - coupl(nGC_214)*        &
                        dZHh_QED2/2d0 - coupl(nGC_214)*dZZ_QED2/2d0 - coupl(   &
                        nGC_215)*dZG0Ha_QED2/2d0 - coupl(nGC_215)*dZHlHh_QED2/ &
                        2d0 - coupl(nGC_3170)
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3656) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_3182) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_3657) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZuL_QED2 + coupl(nGC_3188)
      coupl(nGC_3655) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_3182) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusL_QED2
      coupl(nGC_2493) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_364)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2492) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*  &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) + Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2491) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*   &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) - Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_3659) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZuR_QED2 + coupl(nGC_3187)
      coupl(nGC_3388) = coupl(nGC_13)*dZsR_QED2
      coupl(nGC_3136) = coupl(nGC_2145)*da_QED2 + coupl(nGC_2146)*dyt1_QED3 +  &
                        coupl(nGC_2147)*dyt2_QED3
      coupl(nGC_2709) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_897) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_897) + coupl(nGC_345 &
                        )**2d0*coupl(nGC_350) + coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_386) + coupl(nGC_348)**2d0*coupl(nGC_350) +  &
                        coupl(nGC_349)*coupl(nGC_385)*coupl(nGC_386) + coupl(  &
                        nGC_350)*coupl(nGC_821)**2d0 + coupl(nGC_350)*coupl(   &
                        nGC_897)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3666) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_3182) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3381) = coupl(nGC_180)*dZGMinus/2d0
      coupl(nGC_3383) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_3385) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZsL_QCD2 + &
                        coupl(nGC_3185)
      coupl(nGC_3386) = coupl(nGC_13)*dZsL_QED2
      coupl(nGC_3387) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZsR_QCD2 + &
                        coupl(nGC_3185)
      coupl(nGC_3869) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3868) = coupl(nGC_3305) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_357_Hl) + coupl(nGC_TS_GC_360_Hh)
      coupl(nGC_3980) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3981) = -coupl(nGC_3321) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_3987) = coupl(nGC_3300) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_3984) = -coupl(nGC_173)*dZHMinus_QED2/2d0 - coupl(nGC_173)*    &
                        dZHh_QED2/2d0 - coupl(nGC_173)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_179)*       &
                        dZGMinusHMinus_QED2/2d0 - coupl(nGC_3151)
      coupl(nGC_2795) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3860) = -coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3862) = -coupl(nGC_218)*dZGMinus
      coupl(nGC_3864) = coupl(nGC_26)*dZGMinus
      coupl(nGC_3867) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3866) = coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3661) = -coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3850) = 2d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3052)
      coupl(nGC_3557) = coupl(nGC_3308) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3033) = coupl(nGC_1491)*dvev2_QED1 + coupl(nGC_1492)*dvev1_QED1&
                         + coupl(nGC_1493)*dl2_QED4 + coupl(nGC_1494)*dl1_QED4 &
                         + coupl(nGC_1495)*dl4_QED4 + coupl(nGC_1496)*dl3_QED4 &
                         + coupl(nGC_1497)*da_QED2 + coupl(nGC_1498)*dl5_QED4
      coupl(nGC_3031) = coupl(nGC_1443)*dvev2_QED1 + coupl(nGC_1444)*dvev1_QED1&
                         + coupl(nGC_1445)*dl2_QED4 + coupl(nGC_1446)*dl1_QED4 &
                         + coupl(nGC_1447)*dl4_QED4 + coupl(nGC_1448)*dl3_QED4 &
                         + coupl(nGC_1449)*da_QED2 + coupl(nGC_1450)*dl5_QED4
      coupl(nGC_3037) = coupl(nGC_1354)*db_QED2 + coupl(nGC_1355)*dvev1_QED1 + &
                        coupl(nGC_1356)*dcw_QED2 + coupl(nGC_1357)*dZee_QED2 + &
                        coupl(nGC_1358)*dvev2_QED1
      coupl(nGC_3035) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dvev2_QED1 +   &
                        coupl(nGC_555)*da_QED2 + coupl(nGC_557)*dl2_QED4 +     &
                        coupl(nGC_559)*dl1_QED4 + coupl(nGC_561)*dl4_QED4 +    &
                        coupl(nGC_563)*dl3_QED4 + coupl(nGC_565)*dvev1_QED1 +  &
                        coupl(nGC_567)*dl5_QED4
      coupl(nGC_3038) = coupl(nGC_2271)*dl4_QED4 + coupl(nGC_2272)*dl5_QED4 +  &
                        coupl(nGC_2273)*dvev2_QED1 + coupl(nGC_2274)*dvev1_QED1&
                         + coupl(nGC_2275)*db_QED2
      coupl(nGC_3039) = coupl(nGC_2311)*dl4_QED4 + coupl(nGC_2312)*dl5_QED4 +  &
                        coupl(nGC_2313)*dvev2_QED1 + coupl(nGC_2314)*dvev1_QED1&
                         + coupl(nGC_2315)*db_QED2
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2407) = -Nc*cima*coupl(nGC_819)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2956) = coupl(nGC_1205)*dZee_QED2 + coupl(nGC_1206)*dcw_QED2
      coupl(nGC_2957) = coupl(nGC_1203)*dZee_QED2 + coupl(nGC_1204)*dcw_QED2
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3132) = coupl(nGC_1959)*dyup1_QED3 + coupl(nGC_1960)*da_QED2 + &
                        coupl(nGC_1961)*dyup2_QED3
      coupl(nGC_3423) = coupl(nGC_3079) + coupl(nGC_350)*dZdL_QCD2/2d0 + coupl(&
                        nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_2490) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_367)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2408) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
