!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_3899) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3686) = coupl(nGC_2976) + coupl(nGC_36)*dZHlHh_QED2 + coupl(   &
                        nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl( &
                        nGC_48)*dZHh_QED2
      coupl(nGC_4036) = -coupl(nGC_2528)
      coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3890) = -coupl(nGC_3125) - coupl(nGC_374)*dZtL_QCD2/2d0 - coupl&
                        (nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_3892) = coupl(nGC_3118) + coupl(nGC_359)*dZHa_QED2/2d0 + coupl(&
                        nGC_359)*dZmuMinusL_QED2/2d0 + coupl(nGC_359)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_3893) = -coupl(nGC_3118) - coupl(nGC_359)*dZHa_QED2/2d0 - coupl&
                        (nGC_359)*dZmuMinusL_QED2/2d0 - coupl(nGC_359)*        &
                        dZmuMinusR_QED2/2d0 - coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_3895) = coupl(nGC_3119) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                        nGC_377)*dZtauMinusL_QED2/2d0 + coupl(nGC_377)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_3545) = coupl(nGC_3007) + 3d0*coupl(nGC_56)*dZHMinus_QED2/2d0  &
                         + coupl(nGC_65)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_71&
                        )*dZGMinusHMinus_QED2 + coupl(nGC_74)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_3573) = coupl(nGC_260)*dZHlHh_QED2/2d0 + coupl(nGC_271)*       &
                        dZHh_QED2/2d0 + coupl(nGC_3040)
      coupl(nGC_3339) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_187)*dZHa_QED2/2d0 +     &
                        coupl(nGC_187)*dZWMinus_QED2/2d0 + coupl(nGC_3010) +   &
                        coupl(nGC_31)*dZZA_QED2/2d0
      coupl(nGC_2832) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_339)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_348)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_366)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_339)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_348)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_372)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_384)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_339)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_348)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_366)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_384)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_360)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_378)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_360)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_378)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_378)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_805)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3748) = coupl(nGC_2973) + 2d0*coupl(nGC_56)*dZGMinusHMinus_QED2&
                         + 2d0*coupl(nGC_65)*dZHMinus_QED2
      coupl(nGC_3749) = coupl(nGC_13)*dZdL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3185)
      coupl(nGC_3158) = coupl(nGC_1138)*dZee_QED2 + coupl(nGC_1139)*dcw_QED2 + &
                        coupl(nGC_1140)*dsw_QED2
      coupl(nGC_2476) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*  &
                        coupl(nGC_346)**2d0 + coupl(nGC_1)*coupl(nGC_349)**2d0 &
                         + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +   &
                        coupl(nGC_2)*coupl(nGC_381)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_383)*coupl(nGC_829) + coupl(nGC_2)*coupl(nGC_384)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_386)*coupl(nGC_919))/(32d0&
                        *pi**2d0)
      coupl(nGC_2789) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_339)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_348)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_366)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_2)**2d0*coupl(nGC_336)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_372)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_384)**2d0 - 2d0*cima* &
                        coupl(nGC_354)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_360)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_378)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_77)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77) + coupl(&
                        nGC_77)*coupl(nGC_893)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3740) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZtR_QED2 + coupl(nGC_3187)
      coupl(nGC_2478) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2808) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334&
                        )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(      &
                        nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl( &
                        nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_348) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364)*&
                        coupl(nGC_366) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_370)*coupl(nGC_372) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima* &
                        coupl(nGC_175)*coupl(nGC_839) + cima*coupl(nGC_197)*   &
                        coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_175)*coupl(nGC_3)*coupl(nGC_893) + 6d0*coupl(&
                        nGC_22)*coupl(nGC_3)*coupl(nGC_805))/(48d0*pi**2d0)
      coupl(nGC_3744) = coupl(nGC_3138) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                        nGC_383)*dZuL_QED2/2d0 + coupl(nGC_383)*dZuR_QED2/2d0  &
                         + coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3746) = -coupl(nGC_3138) - coupl(nGC_383)*dZHa_QED2/2d0 - coupl&
                        (nGC_383)*dZuL_QED2/2d0 - coupl(nGC_383)*dZuR_QED2/2d0 &
                         - coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_2901) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(     &
                        nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(&
                        nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364 &
                        )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336 &
                        )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_334&
                        )*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(   &
                        nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(&
                        nGC_339)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_340&
                        )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc&
                        *coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_372)*coupl(   &
                        nGC_373) + 10d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_345)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348 &
                        )*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346&
                        )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_382) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(&
                        nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl(&
                        nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(&
                        nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*coupl(     &
                        nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl(nGC_352 &
                        )*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl(nGC_357)* &
                        coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 10d0*   &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379))/(48d0*pi**2d0)
      coupl(nGC_2900) = cima*(5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)* &
                        coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)* &
                        coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc* &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)**2d0 + 5d0&
                        *Nc*coupl(nGC_340)*coupl(nGC_342)**2d0*coupl(nGC_343   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_369 &
                        )*coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343 &
                        )*coupl(nGC_369)**2d0 + 5d0*Nc*coupl(nGC_342)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_345)**2d0*coupl(nGC_346)*coupl(nGC_349) + 5d0&
                        *Nc*coupl(nGC_345)**2d0*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_381 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349 &
                        )*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_346 &
                        )*coupl(nGC_349)*coupl(nGC_381)**2d0 + 5d0*Nc*coupl(   &
                        nGC_363)**2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_370)*coupl(nGC_373) + 5d0&
                        *Nc*coupl(nGC_381)**2d0*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_180) + 6d0*coupl(     &
                        nGC_21)*coupl(nGC_23) + 5d0*coupl(nGC_351)**2d0*coupl( &
                        nGC_352)*coupl(nGC_355) + 5d0*coupl(nGC_357)**2d0*coupl&
                        (nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_375)**2d0*    &
                        coupl(nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_2903) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(    &
                        128d0*pi**2d0)
      coupl(nGC_2902) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(      &
                        nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_337)*coupl(nGC_873) + 5d0*Nc*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_365)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_364 &
                        )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337 &
                        )*coupl(nGC_364)*coupl(nGC_879) + 5d0*Nc*coupl(nGC_333 &
                        )*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_873) + 5d0*Nc&
                        *coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_363)*coupl(   &
                        nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_337)*coupl(nGC_363)*coupl(nGC_879) + 5d0*Nc*coupl( &
                        nGC_337)*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_873   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343 &
                        )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_343)*coupl(nGC_921) + 5d0*Nc*coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_371) + 5d0*Nc&
                        *coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(   &
                        nGC_371) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl( &
                        nGC_369)*coupl(nGC_831) + 5d0*Nc*coupl(nGC_340)*coupl( &
                        nGC_344)*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl( &
                        nGC_342)*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_831   &
                        ) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_370 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_370 &
                        )*coupl(nGC_373)*coupl(nGC_921) + 5d0*Nc*coupl(nGC_343 &
                        )*coupl(nGC_369)*coupl(nGC_373)*coupl(nGC_921) + 5d0*Nc&
                        *coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_347)*coupl(   &
                        nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl( &
                        nGC_349)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_385)*coupl(nGC_829) + 5d0*Nc*coupl( &
                        nGC_345)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_383) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_382 &
                        )*coupl(nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_346 &
                        )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_383) + 5d0*Nc&
                        *coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_829) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_381)*coupl( &
                        nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_347)*coupl( &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl( &
                        nGC_363)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367 &
                        )*coupl(nGC_879) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370 &
                        )*coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_369 &
                        )*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_831) + 5d0*Nc&
                        *coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_383)*coupl(   &
                        nGC_385) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl( &
                        nGC_385)*coupl(nGC_829) + 6d0*coupl(nGC_174)*coupl(    &
                        nGC_187) + 6d0*coupl(nGC_21)*coupl(nGC_31) + 5d0*coupl(&
                        nGC_351)*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355   &
                        ) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_355)*  &
                        coupl(nGC_843) + 5d0*coupl(nGC_357)*coupl(nGC_358)*    &
                        coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(nGC_357)*    &
                        coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_865) + 5d0*    &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(    &
                        nGC_379) + 5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(    &
                        nGC_379)*coupl(nGC_853))/(48d0*pi**2d0)
      coupl(nGC_2905) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_2904) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -    &
                        coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2907) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(      &
                        nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_335)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_873   &
                        ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_365 &
                        )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337 &
                        )*coupl(nGC_365)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334 &
                        )*coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_879) + 5d0*Nc&
                        *coupl(nGC_335)*coupl(nGC_336)*coupl(nGC_364)*coupl(   &
                        nGC_367) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl( &
                        nGC_364)*coupl(nGC_879) + 5d0*Nc*coupl(nGC_336)*coupl( &
                        nGC_364)*coupl(nGC_367)*coupl(nGC_873) + 5d0*Nc*coupl( &
                        nGC_337)*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_873   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343 &
                        )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340 &
                        )*coupl(nGC_343)*coupl(nGC_921) + 5d0*Nc*coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_371) + 5d0*Nc&
                        *coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373)*coupl(   &
                        nGC_831) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_344)*coupl( &
                        nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_370)*coupl(nGC_373)*coupl(nGC_921) + 5d0*Nc*coupl( &
                        nGC_340)*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_372   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372 &
                        )*coupl(nGC_831) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_344 &
                        )*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_343 &
                        )*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_921) + 5d0*Nc&
                        *coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_348)*coupl(   &
                        nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl( &
                        nGC_349)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_346)*coupl( &
                        nGC_348)*coupl(nGC_385)*coupl(nGC_829) + 5d0*Nc*coupl( &
                        nGC_346)*coupl(nGC_349)*coupl(nGC_383)*coupl(nGC_384   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384 &
                        )*coupl(nGC_829) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_384 &
                        )*coupl(nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl(nGC_347 &
                        )*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc&
                        *coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_382)*coupl(   &
                        nGC_384) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                        nGC_382)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_348)*coupl( &
                        nGC_382)*coupl(nGC_385)*coupl(nGC_821) + 5d0*Nc*coupl( &
                        nGC_364)*coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367 &
                        )*coupl(nGC_879) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_371 &
                        )*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_370 &
                        )*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_831) + 5d0*Nc&
                        *coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_384)*coupl(   &
                        nGC_385) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl( &
                        nGC_385)*coupl(nGC_829) + 6d0*coupl(nGC_180)*coupl(    &
                        nGC_187) + 6d0*coupl(nGC_23)*coupl(nGC_31) + 5d0*coupl(&
                        nGC_352)*coupl(nGC_353)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_355)*  &
                        coupl(nGC_843) + 5d0*coupl(nGC_358)*coupl(nGC_359)*    &
                        coupl(nGC_360)*coupl(nGC_361) + 5d0*coupl(nGC_358)*    &
                        coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_865) + 5d0*    &
                        coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl(    &
                        nGC_379) + 5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379)*coupl(nGC_853))/(48d0*pi**2d0)
      coupl(nGC_2906) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl( &
                        nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)** &
                        2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(      &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366   &
                        ) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(   &
                        nGC_343) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)*  &
                        coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372)**2d0 + 5d0&
                        *Nc*coupl(nGC_346)*coupl(nGC_348)**2d0*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_384 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349 &
                        )*coupl(nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**2d0*    &
                        coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)* &
                        coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384) + 5d0*Nc* &
                        coupl(nGC_364)*coupl(nGC_366)**2d0*coupl(nGC_367) + 5d0&
                        *Nc*coupl(nGC_370)*coupl(nGC_372)**2d0*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)**2d0*coupl(   &
                        nGC_385) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_352)*coupl(&
                        nGC_354)**2d0*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl&
                        (nGC_360)**2d0*coupl(nGC_361) + 5d0*coupl(nGC_376)*    &
                        coupl(nGC_378)**2d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3689) = coupl(nGC_3046)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_2769) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*coupl(  &
                        nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 + 4d0*cMTA*&
                        coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*coupl(nGC_332&
                        ) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2838) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_799) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_893) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_23)*coupl(nGC_805))/(48d0*pi**&
                        2d0)
      coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2419) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_211)**2d0 -     &
                        coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3579) = coupl(nGC_3312) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_3036) = coupl(nGC_2162)*db_QED2 + coupl(nGC_2163)*dvev2_QED1 + &
                        coupl(nGC_2164)*dvev1_QED1 + coupl(nGC_2165)*dl2_QED4  &
                         + coupl(nGC_2166)*dl1_QED4 + coupl(nGC_2167)*dl4_QED4 &
                         + coupl(nGC_2168)*dl3_QED4 + coupl(nGC_2169)*da_QED2  &
                         + coupl(nGC_2170)*dl5_QED4
      coupl(nGC_2518) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_805) + coupl(nGC_206)*coupl(nGC_345)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_821) + coupl(  &
                        nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_350)*coupl(nGC_897) + coupl(nGC_207)*coupl(nGC_382 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2519) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2512) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(     &
                        nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_382)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_385)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_381)**2d0 + coupl(nGC_210)*coupl(nGC_383)*   &
                        coupl(nGC_829) + coupl(nGC_210)*coupl(nGC_384)**2d0 +  &
                        coupl(nGC_210)*coupl(nGC_386)*coupl(nGC_919))/(32d0*pi &
                        **2d0)
      coupl(nGC_2513) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2510) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_346)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_349)**2d0 + coupl(nGC_207)*   &
                        coupl(nGC_381)**2d0 + coupl(nGC_207)*coupl(nGC_383)*   &
                        coupl(nGC_829) + coupl(nGC_207)*coupl(nGC_384)**2d0 +  &
                        coupl(nGC_207)*coupl(nGC_386)*coupl(nGC_919) + 4d0*    &
                        coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2511) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2516) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_340)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_343)**2d0 + coupl(nGC_207)*   &
                        coupl(nGC_369)**2d0 + coupl(nGC_207)*coupl(nGC_371)*   &
                        coupl(nGC_831) + coupl(nGC_207)*coupl(nGC_372)**2d0 +  &
                        coupl(nGC_207)*coupl(nGC_374)*coupl(nGC_817) + 4d0*    &
                        coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2517) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(     &
                        nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_370)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_373)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_369)**2d0 + coupl(nGC_210)*coupl(nGC_371)*   &
                        coupl(nGC_831) + coupl(nGC_210)*coupl(nGC_372)**2d0 +  &
                        coupl(nGC_210)*coupl(nGC_374)*coupl(nGC_817))/(32d0*pi &
                        **2d0)
      coupl(nGC_2514) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_364)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_367)**2d0 + coupl(nGC_207)*   &
                        coupl(nGC_333)**2d0 + coupl(nGC_207)*coupl(nGC_335)*   &
                        coupl(nGC_873) + coupl(nGC_207)*coupl(nGC_336)**2d0 +  &
                        coupl(nGC_207)*coupl(nGC_338)*coupl(nGC_847) + 4d0*    &
                        coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2515) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(     &
                        nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_334)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_337)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_333)**2d0 + coupl(nGC_210)*coupl(nGC_335)*   &
                        coupl(nGC_873) + coupl(nGC_210)*coupl(nGC_336)**2d0 +  &
                        coupl(nGC_210)*coupl(nGC_338)*coupl(nGC_847))/(32d0*pi &
                        **2d0)
      coupl(nGC_3859) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_26)*dZHMinus_QED2 + coupl(nGC_3048)
      coupl(nGC_3808) = coupl(nGC_3057) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                        nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_2942) = 5d0*cima*(Nc*coupl(nGC_335)*coupl(nGC_336)**3d0 + Nc*  &
                        coupl(nGC_336)**3d0*coupl(nGC_873) + Nc*coupl(nGC_339  &
                        )**3d0*coupl(nGC_344) + Nc*coupl(nGC_339)**3d0*coupl(  &
                        nGC_921) + Nc*coupl(nGC_347)*coupl(nGC_348)**3d0 + Nc* &
                        coupl(nGC_348)**3d0*coupl(nGC_821) + Nc*coupl(nGC_365)*&
                        coupl(nGC_366)**3d0 + Nc*coupl(nGC_366)**3d0*coupl(    &
                        nGC_879) + Nc*coupl(nGC_371)*coupl(nGC_372)**3d0 + Nc* &
                        coupl(nGC_372)**3d0*coupl(nGC_831) + Nc*coupl(nGC_383)*&
                        coupl(nGC_384)**3d0 + Nc*coupl(nGC_384)**3d0*coupl(    &
                        nGC_829) + coupl(nGC_353)*coupl(nGC_354)**3d0 + coupl( &
                        nGC_354)**3d0*coupl(nGC_843) + coupl(nGC_359)*coupl(   &
                        nGC_360)**3d0 + coupl(nGC_360)**3d0*coupl(nGC_865) +   &
                        coupl(nGC_377)*coupl(nGC_378)**3d0 + coupl(nGC_378)**  &
                        3d0*coupl(nGC_853))/(8d0*pi**2d0)
      coupl(nGC_4034) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_3927) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*       &
                        dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_2994)
      coupl(nGC_3510) = -coupl(nGC_200)*dZWMinus_QED2/4d0 - coupl(nGC_3050)/2d0
      coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3697) = coupl(nGC_248)*dZHMinus_QED2/2d0 + coupl(nGC_257)*     &
                        dZHaG0_QED2/2d0 + coupl(nGC_3039) + coupl(             &
                        nGC_TS_GC_52_Hh) + coupl(nGC_TS_GC_63_Hl)
      coupl(nGC_2424) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2606) = -coupl(nGC_360)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_357)**2d0 + coupl(nGC_360)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_793)**2d0 + coupl(nGC_865)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2607) = -coupl(nGC_360)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_357)**2d0 + coupl(nGC_359)**2d0 + coupl(     &
                        nGC_360)**2d0 + coupl(nGC_362)**2d0 - 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2604) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_865) +  &
                        coupl(nGC_357)**2d0*coupl(nGC_359) + coupl(nGC_359)*   &
                        coupl(nGC_360)**2d0 + coupl(nGC_359)*coupl(nGC_793)**  &
                        2d0 + coupl(nGC_359)*coupl(nGC_865)**2d0 - 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_865))/(32d0*pi**2d0)
      coupl(nGC_2605) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) +  &
                        coupl(nGC_357)**2d0*coupl(nGC_865) + coupl(nGC_359)**  &
                        2d0*coupl(nGC_865) - 8d0*coupl(nGC_359)*coupl(nGC_4)** &
                        2d0 + coupl(nGC_360)**2d0*coupl(nGC_865) + coupl(      &
                        nGC_362)**2d0*coupl(nGC_865))/(32d0*pi**2d0)
      coupl(nGC_2602) = -coupl(nGC_357)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_357)**2d0 + coupl(nGC_360)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_793)**2d0 + coupl(nGC_865)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2603) = -coupl(nGC_357)*(-8d0*coupl(nGC_208)*coupl(nGC_211) +  &
                        coupl(nGC_357)**2d0 + coupl(nGC_359)**2d0 + coupl(     &
                        nGC_360)**2d0 + coupl(nGC_362)**2d0 - 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2600) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_793) +  &
                        coupl(nGC_357)**2d0*coupl(nGC_362) + coupl(nGC_360)**  &
                        2d0*coupl(nGC_362) + coupl(nGC_362)*coupl(nGC_793)**2d0&
                         + coupl(nGC_362)*coupl(nGC_865)**2d0 - 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_793))/(32d0*pi**2d0)
      coupl(nGC_2601) = -(-8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) +  &
                        coupl(nGC_357)**2d0*coupl(nGC_793) + coupl(nGC_359)**  &
                        2d0*coupl(nGC_793) + coupl(nGC_360)**2d0*coupl(nGC_793 &
                        ) + coupl(nGC_362)**2d0*coupl(nGC_793) - 8d0*coupl(    &
                        nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2765) = 3d0*(4d0*Nc*cMB*coupl(nGC_342)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_333)**3d0 + 4d0*Nc*cMD*coupl(nGC_345)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_363)**3d0 + 4d0*Nc*cMT*coupl(nGC_369)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_381)**3d0 + 4d0*cME*coupl(  &
                        nGC_351)**3d0 + 4d0*cMM*coupl(nGC_357)**3d0 + 4d0*cMTA*&
                        coupl(nGC_375)**3d0 + cima*coupl(nGC_224)*coupl(nGC_329&
                        ) + 2d0*cima*coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2764) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_343)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 2d0*Nc* &
                        cMC*coupl(nGC_334)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*   &
                        coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_364)**2d0 + 2d0*Nc*cMD*   &
                        coupl(nGC_346)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_382)*coupl(nGC_384) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_382)**2d0 + 2d0*Nc*cMS*coupl( &
                        nGC_334)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_334&
                        )*coupl(nGC_336)*coupl(nGC_364) + 2d0*Nc*cMS*coupl(    &
                        nGC_364)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(    &
                        nGC_343)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_370&
                        )**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(nGC_346)**2d0*&
                        coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(      &
                        nGC_348)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)**  &
                        2d0*coupl(nGC_384) + 2d0*cME*coupl(nGC_352)**2d0*coupl(&
                        nGC_354) + 2d0*cMM*coupl(nGC_358)**2d0*coupl(nGC_360   &
                        ) + 2d0*cMTA*coupl(nGC_376)**2d0*coupl(nGC_378) + 2d0* &
                        cima*coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(   &
                        nGC_175)*coupl(nGC_321) + 4d0*cima*coupl(nGC_22)*coupl(&
                        nGC_231) + cima*coupl(nGC_229)*coupl(nGC_332))/(16d0*pi&
                        **2d0)
      coupl(nGC_2766) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0*&
                        Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc*cMD&
                        *coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS*coupl&
                        (nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl(     &
                        nGC_369)**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(      &
                        nGC_381)**2d0*coupl(nGC_384) + 12d0*cME*coupl(nGC_351  &
                        )**2d0*coupl(nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0*  &
                        coupl(nGC_360) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl(  &
                        nGC_378) + cima*coupl(nGC_224)*coupl(nGC_332) + 2d0*   &
                        cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2569) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_207)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_370)** &
                        2d0 - coupl(nGC_371)*coupl(nGC_831) - coupl(nGC_372)** &
                        2d0 - coupl(nGC_373)**2d0 - coupl(nGC_374)*coupl(      &
                        nGC_817))/(64d0*pi**2d0*Nc)
      coupl(nGC_2568) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_340 &
                        )**2d0 - coupl(nGC_343)**2d0 - coupl(nGC_369)**2d0 -   &
                        coupl(nGC_371)*coupl(nGC_831) - coupl(nGC_372)**2d0 -  &
                        coupl(nGC_374)*coupl(nGC_817))/(64d0*pi**2d0*Nc)
      coupl(nGC_2567) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_207)**2d0 + coupl(nGC_333)**2d0 + coupl(nGC_334)** &
                        2d0 + coupl(nGC_335)*coupl(nGC_873) + coupl(nGC_336)** &
                        2d0 + coupl(nGC_337)**2d0 + coupl(nGC_338)*coupl(      &
                        nGC_847))/(64d0*pi**2d0)
      coupl(nGC_2566) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(nGC_333  &
                        )**2d0 + coupl(nGC_335)*coupl(nGC_873) + coupl(nGC_336 &
                        )**2d0 + coupl(nGC_338)*coupl(nGC_847) + coupl(nGC_364 &
                        )**2d0 + coupl(nGC_367)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2565) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_207)**2d0 - coupl(nGC_333)**2d0 - coupl(nGC_334)** &
                        2d0 - coupl(nGC_335)*coupl(nGC_873) - coupl(nGC_336)** &
                        2d0 - coupl(nGC_337)**2d0 - coupl(nGC_338)*coupl(      &
                        nGC_847))/(64d0*pi**2d0*Nc)
      coupl(nGC_2564) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_333 &
                        )**2d0 - coupl(nGC_335)*coupl(nGC_873) - coupl(nGC_336 &
                        )**2d0 - coupl(nGC_338)*coupl(nGC_847) - coupl(nGC_364 &
                        )**2d0 - coupl(nGC_367)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2563) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC* &
                        coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(nGC_366&
                        ) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2562) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC*&
                        coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366&
                        ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0)
      coupl(nGC_2561) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_819&
                        ) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_2560) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_207)**2d0 + coupl(nGC_381)**2d0 + coupl(nGC_382)** &
                        2d0 + coupl(nGC_383)*coupl(nGC_829) + coupl(nGC_384)** &
                        2d0 + coupl(nGC_385)**2d0 + coupl(nGC_386)*coupl(      &
                        nGC_919))/(64d0*pi**2d0)
      coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2768) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_344)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_921) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_921)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_335)**2d0 + 8d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_335)*coupl(nGC_873) + 2d0*Nc*cMC*   &
                        coupl(nGC_333)*coupl(nGC_873)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_345)*coupl(nGC_347)**2d0 + 8d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_347)*coupl(nGC_821) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_821)**2d0 + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_365)**2d0 + 8d0*Nc*cMS*coupl(nGC_363)*coupl&
                        (nGC_365)*coupl(nGC_879) + 2d0*Nc*cMS*coupl(nGC_363)*  &
                        coupl(nGC_879)**2d0 + 2d0*Nc*cMT*coupl(nGC_369)*coupl( &
                        nGC_371)**2d0 + 8d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_371&
                        )*coupl(nGC_831) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(    &
                        nGC_831)**2d0 + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_383&
                        )**2d0 + 8d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_383)*coupl&
                        (nGC_829) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_829)** &
                        2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_353)**2d0 + 8d0*&
                        cME*coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_843) + 2d0*&
                        cME*coupl(nGC_351)*coupl(nGC_843)**2d0 + 2d0*cMM*coupl(&
                        nGC_357)*coupl(nGC_359)**2d0 + 8d0*cMM*coupl(nGC_357)* &
                        coupl(nGC_359)*coupl(nGC_865) + 2d0*cMM*coupl(nGC_357)*&
                        coupl(nGC_865)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(   &
                        nGC_377)**2d0 + 8d0*cMTA*coupl(nGC_375)*coupl(nGC_377)*&
                        coupl(nGC_853) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_853 &
                        )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + cima*&
                        coupl(nGC_230)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3670) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_2685) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_369) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) + coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) + coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) + coupl(nGC_369)**3d0 + coupl( &
                        nGC_369)*coupl(nGC_371)**2d0 + coupl(nGC_369)*coupl(   &
                        nGC_372)**2d0 + coupl(nGC_369)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3832) = coupl(nGC_3179) + coupl(nGC_329)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_332)*dZHh_QED2/2d0 + coupl(nGC_332)*dZZ_QED2 &
                         + coupl(nGC_TS_GC_224_Hh)
      coupl(nGC_3542) = coupl(nGC_2999) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_52)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHaG0_QED2&
                        /2d0 + coupl(nGC_63)*dZHlHh_QED2/2d0
      coupl(nGC_3543) = coupl(nGC_2995) + coupl(nGC_32)*dZHMinus_QED2 + coupl( &
                        nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0 +  &
                        coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
      coupl(nGC_2579) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_206)**2d0 - coupl(nGC_363)**2d0 - coupl(nGC_364)** &
                        2d0 - coupl(nGC_365)*coupl(nGC_879) - coupl(nGC_366)** &
                        2d0 - coupl(nGC_367)**2d0 - coupl(nGC_368)*coupl(      &
                        nGC_825))/(64d0*pi**2d0*Nc)
      coupl(nGC_2486) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_365)*coupl(nGC_879) + coupl(nGC_1)*coupl(  &
                        nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(     &
                        nGC_825) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_893) + coupl(nGC_2)*coupl&
                        (nGC_334)**2d0 + coupl(nGC_2)*coupl(nGC_337)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2739) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_341) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_341) + coupl(nGC_339 &
                        )**2d0*coupl(nGC_855) + coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_817) + coupl(nGC_341)**2d0*coupl(nGC_855) +  &
                        coupl(nGC_342)**2d0*coupl(nGC_855) + coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_817) + coupl(nGC_344)**2d0*   &
                        coupl(nGC_855))/(32d0*pi**2d0)
      coupl(nGC_2462) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_381 &
                        ) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(nGC_261)*coupl(&
                        nGC_9) + coupl(nGC_261)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_261)*coupl(nGC_893)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2463) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME*coupl(&
                        nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_357)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_375)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_375)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_261) + coupl(nGC_199)*coupl(nGC_261 &
                        )*coupl(nGC_3) + coupl(nGC_261)*coupl(nGC_805)*coupl(  &
                        nGC_893))/(8d0*pi**2d0)
      coupl(nGC_2460) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321 &
                        )*coupl(nGC_839) + 2d0*coupl(nGC_231)*coupl(nGC_3)*    &
                        coupl(nGC_805) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(&
                        nGC_893))/(16d0*pi**2d0)
      coupl(nGC_2461) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*coupl&
                        (nGC_197)**2d0*coupl(nGC_2) + 3d0*coupl(nGC_197)**2d0* &
                        coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_3)*coupl(      &
                        nGC_805) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_893))/( &
                        24d0*pi**2d0)
      coupl(nGC_2467) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2464) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_384 &
                        ) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(nGC_272)*coupl(&
                        nGC_9) + coupl(nGC_272)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_272)*coupl(nGC_893)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2465) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME*coupl(&
                        nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_360)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_360)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_378)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_378)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_272) + coupl(nGC_199)*coupl(nGC_272 &
                        )*coupl(nGC_3) + coupl(nGC_272)*coupl(nGC_805)*coupl(  &
                        nGC_893))/(8d0*pi**2d0)
      coupl(nGC_3568) = coupl(nGC_3304) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_351_Hl) + coupl(nGC_TS_GC_354_Hh)
      coupl(nGC_3546) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3183)
      coupl(nGC_2468) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2469) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl(&
                        nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3649) = coupl(nGC_227)*dZHa_QED2 + coupl(nGC_2955)
      coupl(nGC_3648) = coupl(nGC_3009) + coupl(nGC_76)*dZHl_QED2
      coupl(nGC_3399) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_2956) + coupl(&
                        nGC_31)*dZHMinus_QED2/2d0 + coupl(nGC_31)*dZHa_QED2/2d0&
                         + coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*    &
                        dZZ_QED2/2d0
      coupl(nGC_3398) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_3044)
      coupl(nGC_3393) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +    &
                        coupl(nGC_3044)
      coupl(nGC_3640) = coupl(nGC_3094) + coupl(nGC_339)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_342)*dZHl_QED2/2d0 + coupl(nGC_342)*dZbL_QED2&
                        /2d0 + coupl(nGC_342)*dZbR_QED2/2d0
      coupl(nGC_3643) = coupl(nGC_45)*dZGMinus
      coupl(nGC_3642) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_229)*dZHMinus_QED2&
                         + coupl(nGC_229)*dZZ_QED2 + coupl(nGC_3177)
      coupl(nGC_3395) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3394) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3995) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3994) = -coupl(nGC_213)*dZG0Ha_QED2/2d0 - coupl(nGC_214)*      &
                        dZHhHl_QED2/2d0 - coupl(nGC_215)*dZHa_QED2/2d0 - coupl(&
                        nGC_215)*dZHl_QED2/2d0 - coupl(nGC_215)*dZZ_QED2/2d0 - &
                        coupl(nGC_3167)
      coupl(nGC_3997) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3996) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(     &
                        nGC_TS_GC_236_Hl)
      coupl(nGC_3991) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3990) = coupl(nGC_3005) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +    &
                        coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*     &
                        dZG0Ha_QED2/2d0
      coupl(nGC_3992) = -coupl(nGC_3322) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_173_Hl) + coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_3854) = coupl(nGC_386)*dZG0/2d0
      coupl(nGC_3855) = -coupl(nGC_3120) - coupl(nGC_383)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_386)*dZuL_QED2/2d0 - coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3856) = -coupl(nGC_3121) - coupl(nGC_386)*dZuL_QCD2/2d0 - coupl&
                        (nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_3857) = -coupl(nGC_386)*dZG0/2d0
      coupl(nGC_3851) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3052)
      coupl(nGC_3852) = coupl(nGC_3120) + coupl(nGC_383)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_386)*dZuL_QED2/2d0 + coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3853) = coupl(nGC_3121) + coupl(nGC_386)*dZuL_QCD2/2d0 + coupl(&
                        nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_3366) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3367) = coupl(nGC_3323) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0 - coupl&
                        (nGC_TS_GC_213_Hl) - coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_3364) = -coupl(nGC_3081) - coupl(nGC_368)*dZsL_QCD2/2d0 - coupl&
                        (nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_2687) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_372) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) + coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) + coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) + coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) + coupl(nGC_372)**3d0 + coupl(nGC_372)*coupl( &
                        nGC_817)**2d0 + coupl(nGC_372)*coupl(nGC_831)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2718) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_348) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) + coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) + coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) + coupl(nGC_347)**2d0*coupl(nGC_348) +  &
                        coupl(nGC_348)**3d0 + coupl(nGC_348)*coupl(nGC_350)**  &
                        2d0 + coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3897) = coupl(nGC_3132) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                        nGC_381)*dZuL_QED2/2d0 + coupl(nGC_381)*dZuR_QED2/2d0  &
                         + coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_2684) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_369) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) + coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) + coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) + coupl(nGC_369)**3d0 + coupl( &
                        nGC_369)*coupl(nGC_372)**2d0 + coupl(nGC_369)*coupl(   &
                        nGC_817)**2d0 + coupl(nGC_369)*coupl(nGC_831)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3369) = coupl(nGC_174)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHl_QED2/&
                        2d0 + coupl(nGC_21)*dZWMinus_QED2/2d0 + coupl(nGC_21)* &
                        dZZ_QED2/2d0 + coupl(nGC_23)*dZHMinusGMinus_QED2/2d0 + &
                        coupl(nGC_23)*dZHhHl_QED2/2d0 + coupl(nGC_2989)
      coupl(nGC_3024) = coupl(nGC_1678)*dl4_QED4 + coupl(nGC_1679)*dl5_QED4 +  &
                        coupl(nGC_1680)*dvev2_QED1 + coupl(nGC_1681)*dvev1_QED1&
                         + coupl(nGC_1682)*db_QED2
      coupl(nGC_3026) = coupl(nGC_1606)*dl4_QED4 + coupl(nGC_1607)*dl5_QED4 +  &
                        coupl(nGC_1608)*dvev2_QED1 + coupl(nGC_1609)*dvev1_QED1&
                         + coupl(nGC_1610)*db_QED2
      coupl(nGC_3021) = coupl(nGC_1417)*db_QED2 + coupl(nGC_1418)*dvev2_QED1 + &
                        coupl(nGC_1419)*dvev1_QED1 + coupl(nGC_1420)*dl2_QED4  &
                         + coupl(nGC_1421)*dl1_QED4 + coupl(nGC_1422)*dl4_QED4 &
                         + coupl(nGC_1423)*dl3_QED4 + coupl(nGC_1424)*da_QED2  &
                         + coupl(nGC_1425)*dl5_QED4
      coupl(nGC_3020) = coupl(nGC_1566)*dvev2_QED1 + coupl(nGC_1567)*dvev1_QED1&
                         + coupl(nGC_1568)*dl2_QED4 + coupl(nGC_1569)*dl1_QED4 &
                         + coupl(nGC_1570)*dl4_QED4 + coupl(nGC_1571)*dl3_QED4 &
                         + coupl(nGC_1572)*da_QED2 + coupl(nGC_1573)*dl5_QED4
      coupl(nGC_3023) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dvev2_QED1 +   &
                        coupl(nGC_515)*da_QED2 + coupl(nGC_517)*dl2_QED4 +     &
                        coupl(nGC_519)*dl1_QED4 + coupl(nGC_521)*dl4_QED4 +    &
                        coupl(nGC_523)*dl3_QED4 + coupl(nGC_525)*dvev1_QED1 +  &
                        coupl(nGC_527)*dl5_QED4
      coupl(nGC_3022) = coupl(nGC_1643)*dvev2_QED1 + coupl(nGC_1644)*dvev1_QED1&
                         + coupl(nGC_1645)*dl2_QED4 + coupl(nGC_1646)*dl1_QED4 &
                         + coupl(nGC_1647)*dl4_QED4 + coupl(nGC_1648)*dl3_QED4 &
                         + coupl(nGC_1649)*da_QED2 + coupl(nGC_1650)*dl5_QED4
      coupl(nGC_4043) = -coupl(nGC_2538)
      coupl(nGC_4040) = -coupl(nGC_2461)
      coupl(nGC_4046) = -coupl(nGC_2551)
      coupl(nGC_4047) = -coupl(nGC_2526)
      coupl(nGC_4044) = -coupl(nGC_2539)
      coupl(nGC_4045) = -coupl(nGC_2543)
      coupl(nGC_2945) = cima*sq2**4d0*(-Nc*coupl(nGC_819)**4d0 - 15d0*coupl(   &
                        nGC_13)**4d0)/(192d0*pi**2d0)
      coupl(nGC_2944) = cima*(20d0*Nc*coupl(nGC_335)**2d0*coupl(nGC_873)**2d0  &
                         + 20d0*Nc*coupl(nGC_344)**2d0*coupl(nGC_921)**2d0 +   &
                        20d0*Nc*coupl(nGC_347)**2d0*coupl(nGC_821)**2d0 + 20d0*&
                        Nc*coupl(nGC_365)**2d0*coupl(nGC_879)**2d0 + 20d0*Nc*  &
                        coupl(nGC_371)**2d0*coupl(nGC_831)**2d0 + 20d0*Nc*coupl&
                        (nGC_383)**2d0*coupl(nGC_829)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_353  &
                        )**2d0*coupl(nGC_843)**2d0 + 20d0*coupl(nGC_359)**2d0* &
                        coupl(nGC_865)**2d0 + 20d0*coupl(nGC_377)**2d0*coupl(  &
                        nGC_853)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2947) = (-Nc*cima*coupl(nGC_14)*coupl(nGC_911) - Nc*cima*coupl(&
                        nGC_795)*coupl(nGC_911) + Nc*cima*coupl(nGC_819)**4d0* &
                        sq2**4d0 + Nc*coupl(nGC_14)*coupl(nGC_819)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_795)*coupl(nGC_819)**2d0*sq2**2d0 + &
                        Nc*coupl(nGC_819)**2d0*coupl(nGC_911)*sq2**2d0 - cima* &
                        coupl(nGC_13)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2946) = (3d0*Nc*cima*coupl(nGC_14)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_795)**2d0 - Nc*cima*coupl(nGC_819)**4d0*sq2**4d0 - &
                        3d0*Nc*coupl(nGC_14)*coupl(nGC_819)**2d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_795)*coupl(nGC_819)**2d0*sq2**2d0 + 9d0* &
                        cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2413) = cima*(coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_805)*    &
                        coupl(nGC_893))/(48d0*pi**2d0)
      coupl(nGC_2412) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_206) - 3d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_209) - 3d0*Nc*coupl(nGC_2)*coupl&
                        (nGC_207) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_210) - coupl(&
                        nGC_199)*coupl(nGC_3) - 3d0*coupl(nGC_208)*coupl(nGC_4 &
                        ) - 3d0*coupl(nGC_211)*coupl(nGC_4) - coupl(nGC_805)*  &
                        coupl(nGC_893))/(48d0*pi**2d0)
      coupl(nGC_2411) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_2410) = cima*coupl(nGC_819)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3146) = coupl(nGC_1499)*dZee_QED2 + coupl(nGC_1500)*da_QED2 +  &
                        coupl(nGC_1501)*dsw_QED2 + coupl(nGC_1502)*db_QED2
      coupl(nGC_2747) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_921) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_921) + coupl(nGC_339 &
                        )**2d0*coupl(nGC_344) + coupl(nGC_340)*coupl(nGC_371)* &
                        coupl(nGC_373) + coupl(nGC_342)**2d0*coupl(nGC_344) +  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371) + coupl(  &
                        nGC_344)*coupl(nGC_855)**2d0 + coupl(nGC_344)*coupl(   &
                        nGC_921)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3145) = coupl(nGC_1997)*dZee_QED2 + coupl(nGC_1998)*dcw_QED2 + &
                        coupl(nGC_1999)*dsw_QED2
      coupl(nGC_3142) = coupl(nGC_579)*db_QED2 + coupl(nGC_581)*dyt1_QED3 +    &
                        coupl(nGC_583)*dyt2_QED3
      coupl(nGC_3143) = coupl(nGC_581)*dyt1_QED1_QCD2 + coupl(nGC_583)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3140) = coupl(nGC_2203)*db_QED2 + coupl(nGC_2204)*dyc1_QED3 +  &
                        coupl(nGC_2205)*dyc2_QED3
      coupl(nGC_3141) = coupl(nGC_2204)*dyc1_QED1_QCD2 + coupl(nGC_2205)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2787) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_339)*coupl(      &
                        nGC_342) - Nc*coupl(nGC_1)**2d0*coupl(nGC_345)*coupl(  &
                        nGC_348) - Nc*coupl(nGC_1)**2d0*coupl(nGC_363)*coupl(  &
                        nGC_366) - Nc*coupl(nGC_2)**2d0*coupl(nGC_333)*coupl(  &
                        nGC_336) - Nc*coupl(nGC_2)**2d0*coupl(nGC_369)*coupl(  &
                        nGC_372) - Nc*coupl(nGC_2)**2d0*coupl(nGC_381)*coupl(  &
                        nGC_384) - coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4)**&
                        2d0 - coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4)**2d0  &
                         - coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_4)**2d0)/(  &
                        4d0*pi**2d0)
      coupl(nGC_2783) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_342)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_345)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_363)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_2)**2d0*coupl(nGC_333)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_369)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_381)**2d0 - 2d0*cima* &
                        coupl(nGC_351)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_357)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_375)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_77)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77) + coupl(&
                        nGC_77)*coupl(nGC_893)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2782) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(      &
                        nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**&
                        2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_805)**2d0*coupl(nGC_893)**2d0 + 2d0*coupl(nGC_199 &
                        )*coupl(nGC_205)*coupl(nGC_3) + 2d0*coupl(nGC_205)*    &
                        coupl(nGC_805)*coupl(nGC_893))/(8d0*pi**2d0)
      coupl(nGC_2868) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0  &
                         + coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl(  &
                        nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2869) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*coupl&
                        (nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl(     &
                        nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(nGC_367 &
                        ) - coupl(nGC_370)*coupl(nGC_373) - coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2866) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_2867) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0 &
                         - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl(  &
                        nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_2864) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2865) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_2862) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_335)*coupl(&
                        nGC_873) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(      &
                        nGC_344)*coupl(nGC_921) - 8d0*Nc*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_347)*coupl(nGC_821) - 8d0*Nc*cima*coupl( &
                        nGC_197)**2d0*coupl(nGC_365)*coupl(nGC_879) - 8d0*Nc*  &
                        cima*coupl(nGC_197)**2d0*coupl(nGC_371)*coupl(nGC_831  &
                        ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_383)*    &
                        coupl(nGC_829) + 6d0*cima*coupl(nGC_100)*coupl(nGC_899 &
                        ) + 3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*cima* &
                        coupl(nGC_197)**2d0*coupl(nGC_353)*coupl(nGC_843) - 8d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_359)*coupl(nGC_865 &
                        ) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_377)*coupl( &
                        nGC_853) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(    &
                        nGC_805) + 6d0*coupl(nGC_100)*coupl(nGC_4)*coupl(      &
                        nGC_893) + 6d0*coupl(nGC_199)*coupl(nGC_230)*coupl(    &
                        nGC_869))/(48d0*pi**2d0)
      coupl(nGC_2863) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0 &
                         + 3d0*cima*coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*  &
                        coupl(nGC_197)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_378)**2d0 + 6d0*cima*    &
                        coupl(nGC_77)*coupl(nGC_899) + 6d0*coupl(nGC_198)*coupl&
                        (nGC_77)*coupl(nGC_805) + 6d0*coupl(nGC_199)*coupl(    &
                        nGC_224)*coupl(nGC_869) + 6d0*coupl(nGC_4)*coupl(nGC_77&
                        )*coupl(nGC_893))/(48d0*pi**2d0)
      coupl(nGC_2860) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_333)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_342)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_345)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_363)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_369)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_381)**2d0 &
                         + 3d0*cima*coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*  &
                        coupl(nGC_197)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*    &
                        coupl(nGC_197)**2d0*coupl(nGC_375)**2d0 + 6d0*cima*    &
                        coupl(nGC_77)*coupl(nGC_899) + 6d0*coupl(nGC_198)*coupl&
                        (nGC_77)*coupl(nGC_805) + 6d0*coupl(nGC_199)*coupl(    &
                        nGC_224)*coupl(nGC_869) + 6d0*coupl(nGC_4)*coupl(nGC_77&
                        )*coupl(nGC_893))/(48d0*pi**2d0)
      coupl(nGC_2861) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(    &
                        nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(&
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(     &
                        nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(&
                        nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(nGC_354 &
                        ) - coupl(nGC_357)*coupl(nGC_360) - coupl(nGC_375)*    &
                        coupl(nGC_378))/(6d0*pi**2d0)
      coupl(nGC_3090) = coupl(nGC_1563)*dydo2_QED3 + coupl(nGC_1564)*dydo1_QED3&
                         + coupl(nGC_1565)*da_QED2
      coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3092) = coupl(nGC_1688)*dyd12x2_QED3 + coupl(nGC_1689)*da_QED2 &
                         + coupl(nGC_1690)*dys2_QED3
      coupl(nGC_3093) = coupl(nGC_1688)*dyd12x2_QED1_QCD2 + coupl(nGC_1690)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2706) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2712) = -coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3096) = coupl(nGC_1982)*db_QED2 + coupl(nGC_1983)*dydo1_QED3 + &
                        coupl(nGC_1984)*dydo2_QED3
      coupl(nGC_3613) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZdL_QED2 + coupl(nGC_3189)
      coupl(nGC_2713) = -coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2749) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_344) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344) + coupl(nGC_339 &
                        )**2d0*coupl(nGC_921) + coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_831) + coupl(nGC_341)**2d0*coupl(nGC_921) +  &
                        coupl(nGC_342)**2d0*coupl(nGC_921) + coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_831) + coupl(nGC_344)**2d0*   &
                        coupl(nGC_921))/(32d0*pi**2d0)
      coupl(nGC_3916) = 3d0*coupl(nGC_233)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_235 &
                        )*dZHh_QED2/2d0 + coupl(nGC_3020) + coupl(             &
                        nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_19_Hh)
      coupl(nGC_2575) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_206)**2d0 - coupl(nGC_345)**2d0 - coupl(nGC_346)** &
                        2d0 - coupl(nGC_347)*coupl(nGC_821) - coupl(nGC_348)** &
                        2d0 - coupl(nGC_349)**2d0 - coupl(nGC_350)*coupl(      &
                        nGC_897))/(64d0*pi**2d0*Nc)
      coupl(nGC_3756) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_2748) = -coupl(nGC_13)**2d0*coupl(nGC_921)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3617) = -coupl(nGC_173)*dZHl_QED2/2d0 - coupl(nGC_173)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 - coupl(nGC_179)*dZHhHl_QED2/2d0 - coupl(nGC_3151)
      coupl(nGC_3730) = coupl(nGC_3127) + coupl(nGC_384)*dZuL_QCD2/2d0 + coupl(&
                        nGC_384)*dZuR_QCD2/2d0
      coupl(nGC_3733) = coupl(nGC_3101) + coupl(nGC_344)*dZbL_QCD2/2d0 + coupl(&
                        nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3732) = coupl(nGC_3100) + coupl(nGC_341)*dZG0Ha_QED2/2d0 +     &
                        coupl(nGC_344)*dZHa_QED2/2d0 + coupl(nGC_344)*dZbL_QED2&
                        /2d0 + coupl(nGC_344)*dZbR_QED2/2d0
      coupl(nGC_3735) = -coupl(nGC_3101) - coupl(nGC_344)*dZbL_QCD2/2d0 - coupl&
                        (nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3734) = -coupl(nGC_3100) - coupl(nGC_341)*dZG0Ha_QED2/2d0 -    &
                        coupl(nGC_344)*dZHa_QED2/2d0 - coupl(nGC_344)*dZbL_QED2&
                        /2d0 - coupl(nGC_344)*dZbR_QED2/2d0
      coupl(nGC_3737) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_3736) = coupl(nGC_242)*dZG0Ha_QED2/2d0 + coupl(nGC_245)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_246)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_253)*dZHa_QED2/2d0 + coupl(nGC_253)*dZHl_QED2&
                        /2d0 + coupl(nGC_3027) + coupl(nGC_TS_GC_38_Hl) + coupl&
                        (nGC_TS_GC_47_Hh)
      coupl(nGC_4037) = -coupl(nGC_2540)
      coupl(nGC_3738) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZtL_QED2 + coupl(nGC_3188)
      coupl(nGC_3776) = coupl(nGC_3017) + coupl(nGC_328)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_331)*dZHh_QED2/2d0
      coupl(nGC_4032) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
      coupl(nGC_4031) = -coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(    &
                        nGC_TS_GC_173_Hh) - coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_4030) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_3946) = -coupl(nGC_200)*dZZ_QED2/4d0 - coupl(nGC_3050)/2d0 -   &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_3947) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(      &
                        nGC_TS_GC_172_Hh) + coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_3945) = coupl(nGC_2962) + 2d0*coupl(nGC_59)*dZHaG0_QED2
      coupl(nGC_2762) = (Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_344) + &
                        2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_921 &
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_344)*coupl(    &
                        nGC_855) + Nc*cMB*coupl(nGC_339)*coupl(nGC_855)*coupl( &
                        nGC_921) + Nc*cMC*coupl(nGC_335)*coupl(nGC_336)*coupl( &
                        nGC_338) + 2d0*Nc*cMC*coupl(nGC_335)*coupl(nGC_336)*   &
                        coupl(nGC_847) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_338)*coupl(nGC_873) + Nc*cMC*coupl(nGC_336)*coupl( &
                        nGC_847)*coupl(nGC_873) + Nc*cMD*coupl(nGC_347)*coupl( &
                        nGC_348)*coupl(nGC_350) + 2d0*Nc*cMD*coupl(nGC_347)*   &
                        coupl(nGC_348)*coupl(nGC_897) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_350)*coupl(nGC_821) + Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_821)*coupl(nGC_897) + Nc*cMS*coupl( &
                        nGC_365)*coupl(nGC_366)*coupl(nGC_368) + 2d0*Nc*cMS*   &
                        coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_825) + 2d0*Nc* &
                        cMS*coupl(nGC_366)*coupl(nGC_368)*coupl(nGC_879) + Nc* &
                        cMS*coupl(nGC_366)*coupl(nGC_825)*coupl(nGC_879) + Nc* &
                        cMT*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_374) + 2d0*&
                        Nc*cMT*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_817) +  &
                        2d0*Nc*cMT*coupl(nGC_372)*coupl(nGC_374)*coupl(nGC_831 &
                        ) + Nc*cMT*coupl(nGC_372)*coupl(nGC_817)*coupl(nGC_831 &
                        ) + Nc*cMU*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_386 &
                        ) + 2d0*Nc*cMU*coupl(nGC_383)*coupl(nGC_384)*coupl(    &
                        nGC_919) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(nGC_386)*   &
                        coupl(nGC_829) + Nc*cMU*coupl(nGC_384)*coupl(nGC_829)* &
                        coupl(nGC_919) + cME*coupl(nGC_353)*coupl(nGC_354)*    &
                        coupl(nGC_356) + 2d0*cME*coupl(nGC_353)*coupl(nGC_354)*&
                        coupl(nGC_837) + 2d0*cME*coupl(nGC_354)*coupl(nGC_356)*&
                        coupl(nGC_843) + cME*coupl(nGC_354)*coupl(nGC_837)*    &
                        coupl(nGC_843) + cMM*coupl(nGC_359)*coupl(nGC_360)*    &
                        coupl(nGC_362) + 2d0*cMM*coupl(nGC_359)*coupl(nGC_360)*&
                        coupl(nGC_793) + 2d0*cMM*coupl(nGC_360)*coupl(nGC_362)*&
                        coupl(nGC_865) + cMM*coupl(nGC_360)*coupl(nGC_793)*    &
                        coupl(nGC_865) + cMTA*coupl(nGC_377)*coupl(nGC_378)*   &
                        coupl(nGC_380) + 2d0*cMTA*coupl(nGC_377)*coupl(nGC_378 &
                        )*coupl(nGC_885) + 2d0*cMTA*coupl(nGC_378)*coupl(      &
                        nGC_380)*coupl(nGC_853) + cMTA*coupl(nGC_378)*coupl(   &
                        nGC_853)*coupl(nGC_885))/(8d0*pi**2d0)
      coupl(nGC_3598) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3183)
      coupl(nGC_2581) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_364)** &
                        2d0 + coupl(nGC_365)*coupl(nGC_879) + coupl(nGC_366)** &
                        2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(      &
                        nGC_825))/(64d0*pi**2d0)
      coupl(nGC_2899) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_335)*coupl(&
                        nGC_873) + coupl(nGC_344)*coupl(nGC_921) + coupl(      &
                        nGC_347)*coupl(nGC_821) + coupl(nGC_365)*coupl(nGC_879 &
                        ) + coupl(nGC_371)*coupl(nGC_831) + coupl(nGC_383)*    &
                        coupl(nGC_829))/(16d0*pi**2d0*Nc)
      coupl(nGC_3828) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_29)*dZHMinus_QED2 + coupl(nGC_3045)
      coupl(nGC_2523) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_879) + coupl(  &
                        nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_368)*coupl(nGC_825) + coupl(nGC_210)*coupl(nGC_364 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2522) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_805) + coupl(nGC_206)*coupl(nGC_363)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_879) + coupl(  &
                        nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_368)*coupl(nGC_825) + coupl(nGC_207)*coupl(nGC_334 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2648) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2649) = -(-8d0*coupl(nGC_2)**2d0*coupl(nGC_847) - 8d0*coupl(   &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_847) + coupl(nGC_333 &
                        )**2d0*coupl(nGC_338) + coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_368) + coupl(nGC_336)**2d0*coupl(nGC_338) +  &
                        coupl(nGC_337)*coupl(nGC_367)*coupl(nGC_368) + coupl(  &
                        nGC_338)*coupl(nGC_847)**2d0 + coupl(nGC_338)*coupl(   &
                        nGC_873)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2525) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_339)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_855) + coupl(  &
                        nGC_209)*coupl(nGC_342)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_344)*coupl(nGC_921) + coupl(nGC_210)*coupl(nGC_340 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_343)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2524) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_805) + coupl(nGC_206)*coupl(nGC_339)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_855) + coupl(  &
                        nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_344)*coupl(nGC_921) + coupl(nGC_207)*coupl(nGC_370 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2642) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2643) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_348 &
                        )*coupl(nGC_384)*coupl(nGC_385) - coupl(nGC_385)*coupl(&
                        nGC_821)*coupl(nGC_829) - coupl(nGC_385)*coupl(nGC_897 &
                        )*coupl(nGC_919))/(32d0*pi**2d0)
      coupl(nGC_2640) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_199)*coupl(nGC_209) -  &
                        coupl(nGC_2)*coupl(nGC_893) + 2d0*coupl(nGC_209)*coupl(&
                        nGC_210) - coupl(nGC_210)*coupl(nGC_805))/(16d0*pi**2d0&
                        )
      coupl(nGC_2641) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(  &
                        nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347 &
                        )*coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2646) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2647) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348 &
                        )*coupl(nGC_382)*coupl(nGC_384) - coupl(nGC_382)*coupl(&
                        nGC_821)*coupl(nGC_829) - coupl(nGC_382)*coupl(nGC_897 &
                        )*coupl(nGC_919))/(32d0*pi**2d0)
      coupl(nGC_2644) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2645) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_3825) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_2779) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_206) + Nc*cima*   &
                        coupl(nGC_1)**3d0*coupl(nGC_209) + Nc*cima*coupl(nGC_2 &
                        )**3d0*coupl(nGC_207) + Nc*cima*coupl(nGC_2)**3d0*coupl&
                        (nGC_210) - 2d0*cima*coupl(nGC_199)*coupl(nGC_3)**3d0  &
                         + cima*coupl(nGC_205)*coupl(nGC_9) + cima*coupl(      &
                        nGC_208)*coupl(nGC_4)**3d0 + cima*coupl(nGC_211)*coupl(&
                        nGC_4)**3d0 - 2d0*cima*coupl(nGC_805)*coupl(nGC_893)** &
                        3d0 + coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_9) + coupl(&
                        nGC_205)*coupl(nGC_3)**2d0 + coupl(nGC_205)*coupl(     &
                        nGC_893)**2d0 + coupl(nGC_805)*coupl(nGC_893)*coupl(   &
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3548) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3183)
      coupl(nGC_3824) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3184)
      coupl(nGC_3827) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_3826) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3184)
      coupl(nGC_2733) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_879) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_879) + coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_364) + coupl(nGC_335)*coupl(&
                        nGC_337)*coupl(nGC_367) + coupl(nGC_363)**2d0*coupl(   &
                        nGC_365) + coupl(nGC_365)*coupl(nGC_366)**2d0 + coupl( &
                        nGC_365)*coupl(nGC_825)**2d0 + coupl(nGC_365)*coupl(   &
                        nGC_879)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3821) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_3587) = coupl(nGC_3003) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl( &
                        nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/2d0&
                         + coupl(nGC_72)*dZHMinusGMinus_QED2
      coupl(nGC_3820) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3184)
      coupl(nGC_3823) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_3796) = coupl(nGC_3129) + coupl(nGC_336)*dZcL_QCD2/2d0 + coupl(&
                        nGC_336)*dZcR_QCD2/2d0
      coupl(nGC_3574) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*       &
                        dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZZ_QED2/2d0 + coupl(nGC_3167)
      coupl(nGC_3822) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3184)
      coupl(nGC_3795) = coupl(nGC_3128) + coupl(nGC_333)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_336)*dZHh_QED2/2d0 + coupl(nGC_336)*dZcL_QED2&
                        /2d0 + coupl(nGC_336)*dZcR_QED2/2d0
      coupl(nGC_2736) = -coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2737) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_855) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_855) + coupl(nGC_339 &
                        )**2d0*coupl(nGC_341) + coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_374) + coupl(nGC_341)*coupl(nGC_342)**2d0 +  &
                        coupl(nGC_341)*coupl(nGC_855)**2d0 + coupl(nGC_341)*   &
                        coupl(nGC_921)**2d0 + coupl(nGC_343)*coupl(nGC_370)*   &
                        coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_2734) = -coupl(nGC_13)**2d0*coupl(nGC_879)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2735) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_365) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_365) + coupl(nGC_334 &
                        )*coupl(nGC_364)*coupl(nGC_873) + coupl(nGC_337)*coupl(&
                        nGC_367)*coupl(nGC_873) + coupl(nGC_363)**2d0*coupl(   &
                        nGC_879) + coupl(nGC_365)**2d0*coupl(nGC_879) + coupl( &
                        nGC_366)**2d0*coupl(nGC_879) + coupl(nGC_368)**2d0*    &
                        coupl(nGC_879))/(32d0*pi**2d0)
      coupl(nGC_3609) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZA_QED2/2d0 + coupl&
                        (nGC_3011)
      coupl(nGC_3608) = coupl(nGC_228)*dZHMinus_QED2 + coupl(nGC_2959)
      coupl(nGC_2529) = (-Nc*coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_342) + Nc*&
                        coupl(nGC_206)*coupl(nGC_342)*coupl(nGC_855) - Nc*coupl&
                        (nGC_206)*coupl(nGC_345)*coupl(nGC_350) + Nc*coupl(    &
                        nGC_206)*coupl(nGC_345)*coupl(nGC_897) - Nc*coupl(     &
                        nGC_206)*coupl(nGC_363)*coupl(nGC_368) + Nc*coupl(     &
                        nGC_206)*coupl(nGC_363)*coupl(nGC_825) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_333)*coupl(nGC_338) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_333)*coupl(nGC_847) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_369)*coupl(nGC_374) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_369)*coupl(nGC_817) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_386) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_919) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_341)*coupl(nGC_342) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_342)*coupl(nGC_855) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_345)*coupl(nGC_350) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_345)*coupl(nGC_897) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_363)*coupl(nGC_368) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_363)*coupl(nGC_825) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_333)*coupl(nGC_338) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_333)*coupl(nGC_847) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_369)*coupl(nGC_374) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_369)*coupl(nGC_817) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_381)*coupl(nGC_386) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_381)*coupl(nGC_919) - coupl(nGC_208 &
                        )*coupl(nGC_351)*coupl(nGC_356) + coupl(nGC_208)*coupl(&
                        nGC_351)*coupl(nGC_837) - coupl(nGC_208)*coupl(nGC_357 &
                        )*coupl(nGC_362) + coupl(nGC_208)*coupl(nGC_357)*coupl(&
                        nGC_793) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_380 &
                        ) + coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_885) +     &
                        coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_356) - coupl(  &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_837) + coupl(nGC_211 &
                        )*coupl(nGC_357)*coupl(nGC_362) - coupl(nGC_211)*coupl(&
                        nGC_357)*coupl(nGC_793) + coupl(nGC_211)*coupl(nGC_375 &
                        )*coupl(nGC_380) - coupl(nGC_211)*coupl(nGC_375)*coupl(&
                        nGC_885))/(24d0*pi**2d0)
      coupl(nGC_2731) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_366) - 8d0*coupl(   &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) + coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) + coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) + coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) + coupl(nGC_366)**3d0 + coupl(nGC_366)*coupl( &
                        nGC_825)**2d0 + coupl(nGC_366)*coupl(nGC_879)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3604) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3607) = coupl(nGC_3043) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3354) = coupl(nGC_246)*dZHa_QED2 + coupl(nGC_246)*dZHl_QED2/2d0&
                         + coupl(nGC_253)*dZG0Ha_QED2 + coupl(nGC_254)*        &
                        dZHhHl_QED2/2d0 + coupl(nGC_3032) + coupl(             &
                        nGC_TS_GC_36_Hh) + coupl(nGC_TS_GC_41_Hl)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
