!******************************************************************************!
!                                                                              !
!    ctparameter25.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter25.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 01:00             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter25
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter25()
  if (dZsR_QED2_scheme .eq. 2) then
    dZsR_QED2 = (Ten452*coupl(nGC_1)**2d0 + Ten513*(-2d0*coupl(nGC_206)**2d0 + &
                coupl(nGC_368)**2d0) + Ten514*coupl(nGC_365)**2d0 - Ten515*    &
                coupl(nGC_366)**2d0 - Ten516*coupl(nGC_363)**2d0 + Ten638*coupl&
                (nGC_367)**2d0 + Ten639*coupl(nGC_367)**2d0 - Ten640*coupl(    &
                nGC_364)**2d0 - coupl(nGC_206)**2d0)/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter25
end module ctparameter25
