!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8882)%branchR2(0:0))
      call avR2(8882, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2501/))

      allocate(vertices(7463)%branchR2(0:0))
      call avR2(7463, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2939/))

      allocate(vertices(7446)%branchR2(0:0))
      call avR2(7446, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2935/))

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(5715)%branchR2(0:0))
      call avR2(5715, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10525)%branchR2(0:1))
      call avR2(10525, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10525, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(7088)%branchR2(0:1))
      call avR2(7088, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2655, nGC_2654/))

      call avR2(7088, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2653, nGC_2653/))

      allocate(vertices(9088)%branchR2(0:0))
      call avR2(9088, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8001)%branchR2(0:0))
      call avR2(8001, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(6594)%branchR2(0:1))
      call avR2(6594, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2634, nGC_2632/))

      call avR2(6594, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2635, nGC_2633/))

      allocate(vertices(9369)%branchR2(0:0))
      call avR2(9369, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7984)%branchR2(0:0))
      call avR2(7984, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(4138)%branchR2(0:0))
      call avR2(4138, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2588/))

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2470, nGC_2471/))

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2768/))

      allocate(vertices(3593)%branchR2(0:0))
      call avR2(3593, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(9501)%branchR2(0:0))
      call avR2(9501, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10526)%branchR2(0:1))
      call avR2(10526, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2870/))

      call avR2(10526, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(1874)%branchR2(0:0))
      call avR2(1874, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(5183)%branchR2(0:0))
      call avR2(5183, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6540)%branchR2(0:0))
      call avR2(6540, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9987)%branchR2(0:0))
      call avR2(9987, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2469/))

      allocate(vertices(9619)%branchR2(0:0))
      call avR2(9619, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(4043)%branchR2(0:0))
      call avR2(4043, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(4518)%branchR2(0:0))
      call avR2(4518, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2784,       &
      nGC_2785/))

      allocate(vertices(6529)%branchR2(0:0))
      call avR2(6529, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(7542)%branchR2(0:0))
      call avR2(7542, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8270)%branchR2(0:0))
      call avR2(8270, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(5351)%branchR2(0:0))
      call avR2(5351, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2533/))

      allocate(vertices(5438)%branchR2(0:0))
      call avR2(5438, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(5813)%branchR2(0:0))
      call avR2(5813, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(2942)%branchR2(0:0))
      call avR2(2942, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9548)%branchR2(0:0))
      call avR2(9548, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5066)%branchR2(0:0))
      call avR2(5066, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10527)%branchR2(0:1))
      call avR2(10527, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2876/))

      call avR2(10527, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(5869)%branchR2(0:0))
      call avR2(5869, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8042)%branchR2(0:0))
      call avR2(8042, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(3972)%branchR2(0:0))
      call avR2(3972, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9018)%branchR2(0:0))
      call avR2(9018, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10438)%branchR2(0:0))
      call avR2(10438, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5480)%branchR2(0:0))
      call avR2(5480, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(3312)%branchR2(0:1))
      call avR2(3312, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2681, nGC_2679/))

      call avR2(3312, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2682, nGC_2680/))

      allocate(vertices(6164)%branchR2(0:0))
      call avR2(6164, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2882)%branchR2(0:1))
      call avR2(2882, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2483, nGC_2484/))

      call avR2(2882, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2751/))

      allocate(vertices(9970)%branchR2(0:0))
      call avR2(9970, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8014)%branchR2(0:0))
      call avR2(8014, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2552/))

      allocate(vertices(7450)%branchR2(0:0))
      call avR2(7450, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2534/))

      allocate(vertices(7782)%branchR2(0:0))
      call avR2(7782, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2591/))

      allocate(vertices(3643)%branchR2(0:1))
      call avR2(3643, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2651, nGC_2649/))

      call avR2(3643, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2652, nGC_2650/))

      allocate(vertices(6384)%branchR2(0:0))
      call avR2(6384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(8284)%branchR2(0:0))
      call avR2(8284, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(9418)%branchR2(0:0))
      call avR2(9418, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9198)%branchR2(0:0))
      call avR2(9198, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(260)%branchR2(0:1))
      call avR2(260, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2518, nGC_2520/))

      call avR2(260, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2927/))

      allocate(vertices(4308)%branchR2(0:0))
      call avR2(4308, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10528)%branchR2(0:1))
      call avR2(10528, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2888/))

      call avR2(10528, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(4250)%branchR2(0:0))
      call avR2(4250, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9894)%branchR2(0:0))
      call avR2(9894, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4037/))

      allocate(vertices(2475)%branchR2(0:0))
      call avR2(2475, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(8382)%branchR2(0:0))
      call avR2(8382, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(5421)%branchR2(0:0))
      call avR2(5421, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2609, nGC_2608/))

      allocate(vertices(9530)%branchR2(0:0))
      call avR2(9530, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(9447)%branchR2(0:0))
      call avR2(9447, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5739)%branchR2(0:0))
      call avR2(5739, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6868)%branchR2(0:0))
      call avR2(6868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(10529)%branchR2(0:0))
      call avR2(10529, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2532)%branchR2(0:0))
      call avR2(2532, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10530)%branchR2(0:5))
      call avR2(10530, 0, 160, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10530, 1, 163, 1, 0, VVVV0, (/3, 1/), (/nGC_2905, nGC_2905,    &
      nGC_2905/))

      call avR2(10530, 2, 162, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10530, 3, 164, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10530, 4, 161, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10530, 5, 159, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      allocate(vertices(2503)%branchR2(0:0))
      call avR2(2503, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2786,       &
      nGC_2785/))

      allocate(vertices(6504)%branchR2(0:0))
      call avR2(6504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(4077)%branchR2(0:0))
      call avR2(4077, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(4878)%branchR2(0:0))
      call avR2(4878, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3230)%branchR2(0:0))
      call avR2(3230, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(10531)%branchR2(0:1))
      call avR2(10531, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2867/))

      call avR2(10531, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2868/))

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9637)%branchR2(0:0))
      call avR2(9637, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(7789)%branchR2(0:0))
      call avR2(7789, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2508, nGC_2509/))

      allocate(vertices(9075)%branchR2(0:0))
      call avR2(9075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(5168)%branchR2(0:0))
      call avR2(5168, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2586/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6075)%branchR2(0:0))
      call avR2(6075, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(3210)%branchR2(0:0))
      call avR2(3210, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8949)%branchR2(0:0))
      call avR2(8949, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10436)%branchR2(0:0))
      call avR2(10436, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8981)%branchR2(0:0))
      call avR2(8981, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2467/))

      allocate(vertices(5114)%branchR2(0:0))
      call avR2(5114, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(5568)%branchR2(0:0))
      call avR2(5568, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(9043)%branchR2(0:0))
      call avR2(9043, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2491/))

      allocate(vertices(10001)%branchR2(0:0))
      call avR2(10001, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3265)%branchR2(0:0))
      call avR2(3265, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(8859)%branchR2(0:0))
      call avR2(8859, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      allocate(vertices(10265)%branchR2(0:0))
      call avR2(10265, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4229)%branchR2(0:0))
      call avR2(4229, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2605, nGC_2604/))

      allocate(vertices(10433)%branchR2(0:0))
      call avR2(10433, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5700)%branchR2(0:0))
      call avR2(5700, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8491)%branchR2(0:0))
      call avR2(8491, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10267)%branchR2(0:0))
      call avR2(10267, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10532)%branchR2(0:0))
      call avR2(10532, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9715)%branchR2(0:0))
      call avR2(9715, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8288)%branchR2(0:1))
      call avR2(8288, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2634, nGC_2632/))

      call avR2(8288, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2635, nGC_2633/))

      allocate(vertices(9844)%branchR2(0:0))
      call avR2(9844, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3437)%branchR2(0:0))
      call avR2(3437, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(3622)%branchR2(0:0))
      call avR2(3622, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6063)%branchR2(0:0))
      call avR2(6063, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2765/))

      allocate(vertices(2699)%branchR2(0:1))
      call avR2(2699, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_2630/))

      call avR2(2699, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(8168)%branchR2(0:0))
      call avR2(8168, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9922)%branchR2(0:0))
      call avR2(9922, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(7137)%branchR2(0:0))
      call avR2(7137, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(6692)%branchR2(0:0))
      call avR2(6692, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2586/))

      allocate(vertices(6137)%branchR2(0:0))
      call avR2(6137, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2768/))

      allocate(vertices(4595)%branchR2(0:0))
      call avR2(4595, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2832/))

      allocate(vertices(10533)%branchR2(0:1))
      call avR2(10533, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2886/))

      call avR2(10533, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2885/))

      allocate(vertices(7901)%branchR2(0:0))
      call avR2(7901, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(3515)%branchR2(0:0))
      call avR2(3515, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(10211)%branchR2(0:0))
      call avR2(10211, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2457, nGC_2456/))

      allocate(vertices(4371)%branchR2(0:0))
      call avR2(4371, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2587/))

      allocate(vertices(9599)%branchR2(0:0))
      call avR2(9599, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5428)%branchR2(0:0))
      call avR2(5428, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2764/))

      allocate(vertices(10534)%branchR2(0:0))
      call avR2(10534, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(2684)%branchR2(0:1))
      call avR2(2684, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2739, nGC_2737/))

      call avR2(2684, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2740, nGC_2738/))

      allocate(vertices(10535)%branchR2(0:1))
      call avR2(10535, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2888/))

      call avR2(10535, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(3218)%branchR2(0:0))
      call avR2(3218, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2599, nGC_2598/))

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2943/))

      allocate(vertices(6493)%branchR2(0:0))
      call avR2(6493, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2586/))

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(4796)%branchR2(0:0))
      call avR2(4796, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2937/))

      allocate(vertices(9114)%branchR2(0:0))
      call avR2(9114, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(7452)%branchR2(0:0))
      call avR2(7452, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(9709)%branchR2(0:0))
      call avR2(9709, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2534/))

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2470, nGC_2471/))

      allocate(vertices(717)%branchR2(0:1))
      call avR2(717, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2735, nGC_2733/))

      call avR2(717, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2736, nGC_2734/))

      allocate(vertices(7102)%branchR2(0:0))
      call avR2(7102, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(8938)%branchR2(0:0))
      call avR2(8938, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4038/))

      allocate(vertices(7462)%branchR2(0:0))
      call avR2(7462, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2590/))

      allocate(vertices(10536)%branchR2(0:0))
      call avR2(10536, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9618)%branchR2(0:0))
      call avR2(9618, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2420, nGC_2422,       &
      nGC_2422, nGC_2419/))

      allocate(vertices(3400)%branchR2(0:1))
      call avR2(3400, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2641, nGC_2643/))

      call avR2(3400, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2642, nGC_2644/))

      allocate(vertices(10537)%branchR2(0:0))
      call avR2(10537, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1289)%branchR2(0:1))
      call avR2(1289, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2479, nGC_2480/))

      call avR2(1289, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(6938)%branchR2(0:0))
      call avR2(6938, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2774,       &
      nGC_2772/))

      allocate(vertices(8806)%branchR2(0:0))
      call avR2(8806, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(6176)%branchR2(0:0))
      call avR2(6176, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9388)%branchR2(0:0))
      call avR2(9388, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2443, nGC_2442/))

      allocate(vertices(7451)%branchR2(0:0))
      call avR2(7451, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(10139)%branchR2(0:0))
      call avR2(10139, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2540/))

      allocate(vertices(10538)%branchR2(0:0))
      call avR2(10538, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(10165)%branchR2(0:0))
      call avR2(10165, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(7747)%branchR2(0:1))
      call avR2(7747, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2661, nGC_2659/))

      call avR2(7747, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2662, nGC_2660/))

      allocate(vertices(4985)%branchR2(0:0))
      call avR2(4985, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(10539)%branchR2(0:1))
      call avR2(10539, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2888/))

      call avR2(10539, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(3208)%branchR2(0:0))
      call avR2(3208, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(10447)%branchR2(0:1))
      call avR2(10447, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2435, nGC_2438,      &
      nGC_2438, nGC_2434/))

      call avR2(10447, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2425, nGC_2439,      &
      nGC_2439, nGC_2425/))

      allocate(vertices(4714)%branchR2(0:0))
      call avR2(4714, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(4975)%branchR2(0:0))
      call avR2(4975, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6100)%branchR2(0:0))
      call avR2(6100, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(2594)%branchR2(0:0))
      call avR2(2594, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(7809)%branchR2(0:0))
      call avR2(7809, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(4761)%branchR2(0:0))
      call avR2(4761, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2493/))

      allocate(vertices(4492)%branchR2(0:0))
      call avR2(4492, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(9876)%branchR2(0:0))
      call avR2(9876, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(6891)%branchR2(0:1))
      call avR2(6891, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2625, nGC_2624/))

      call avR2(6891, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2623, nGC_2623/))

      allocate(vertices(10540)%branchR2(0:0))
      call avR2(10540, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8789)%branchR2(0:0))
      call avR2(8789, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(6928)%branchR2(0:0))
      call avR2(6928, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(5633)%branchR2(0:0))
      call avR2(5633, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(6986)%branchR2(0:0))
      call avR2(6986, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(10195)%branchR2(0:0))
      call avR2(10195, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6642)%branchR2(0:0))
      call avR2(6642, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5829)%branchR2(0:0))
      call avR2(5829, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5783)%branchR2(0:0))
      call avR2(5783, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2664)%branchR2(0:1))
      call avR2(2664, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2739, nGC_2737/))

      call avR2(2664, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2740, nGC_2738/))

      allocate(vertices(9905)%branchR2(0:0))
      call avR2(9905, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4800)%branchR2(0:0))
      call avR2(4800, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(6326)%branchR2(0:0))
      call avR2(6326, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9930)%branchR2(0:0))
      call avR2(9930, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4471)%branchR2(0:0))
      call avR2(4471, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9592)%branchR2(0:0))
      call avR2(9592, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9823)%branchR2(0:0))
      call avR2(9823, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4051/))

      allocate(vertices(9846)%branchR2(0:0))
      call avR2(9846, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1056)%branchR2(0:1))
      call avR2(1056, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2705, nGC_2707/))

      call avR2(1056, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2706, nGC_2708/))

      allocate(vertices(4412)%branchR2(0:0))
      call avR2(4412, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6027)%branchR2(0:0))
      call avR2(6027, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(277)%branchR2(0:1))
      call avR2(277, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2725, nGC_2723/))

      call avR2(277, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2726, nGC_2724/))

      allocate(vertices(9507)%branchR2(0:0))
      call avR2(9507, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(8954)%branchR2(0:0))
      call avR2(8954, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(6374)%branchR2(0:0))
      call avR2(6374, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(9394)%branchR2(0:0))
      call avR2(9394, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(2177)%branchR2(0:0))
      call avR2(2177, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3290)%branchR2(0:1))
      call avR2(3290, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2479, nGC_2480/))

      call avR2(3290, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(10541)%branchR2(0:0))
      call avR2(10541, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4048/))

      allocate(vertices(5500)%branchR2(0:1))
      call avR2(5500, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_2640/))

      call avR2(5500, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(9863)%branchR2(0:1))
      call avR2(9863, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2435, nGC_2438,      &
      nGC_2438, nGC_2434/))

      call avR2(9863, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2425, nGC_2439,      &
      nGC_2439, nGC_2425/))

      allocate(vertices(10067)%branchR2(0:0))
      call avR2(10067, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(6728)%branchR2(0:0))
      call avR2(6728, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(8493)%branchR2(0:0))
      call avR2(8493, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6839)%branchR2(0:0))
      call avR2(6839, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2545/))

      allocate(vertices(8707)%branchR2(0:0))
      call avR2(8707, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(9625)%branchR2(0:0))
      call avR2(9625, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(9441)%branchR2(0:0))
      call avR2(9441, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(9047)%branchR2(0:0))
      call avR2(9047, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(3041)%branchR2(0:0))
      call avR2(3041, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(10089)%branchR2(0:0))
      call avR2(10089, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9019)%branchR2(0:0))
      call avR2(9019, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10542)%branchR2(0:1))
      call avR2(10542, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10542, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(10543)%branchR2(0:0))
      call avR2(10543, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(5984)%branchR2(0:0))
      call avR2(5984, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2547/))

      allocate(vertices(7693)%branchR2(0:0))
      call avR2(7693, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(5666)%branchR2(0:0))
      call avR2(5666, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(5579)%branchR2(0:0))
      call avR2(5579, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(10544)%branchR2(0:1))
      call avR2(10544, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2882/))

      call avR2(10544, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(5767)%branchR2(0:0))
      call avR2(5767, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(8781)%branchR2(0:0))
      call avR2(8781, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10545)%branchR2(0:1))
      call avR2(10545, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2886/))

      call avR2(10545, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2885/))

      allocate(vertices(6397)%branchR2(0:0))
      call avR2(6397, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4193)%branchR2(0:0))
      call avR2(4193, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(7688)%branchR2(0:1))
      call avR2(7688, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2671, nGC_2673/))

      call avR2(7688, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2672, nGC_2674/))

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3875)%branchR2(0:0))
      call avR2(3875, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10546)%branchR2(0:0))
      call avR2(10546, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(10463)%branchR2(0:0))
      call avR2(10463, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6853)%branchR2(0:0))
      call avR2(6853, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(9933)%branchR2(0:0))
      call avR2(9933, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(3636)%branchR2(0:0))
      call avR2(3636, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(5799)%branchR2(0:0))
      call avR2(5799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(7485)%branchR2(0:1))
      call avR2(7485, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2729, nGC_2728/))

      call avR2(7485, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2727, nGC_2727/))

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(3469)%branchR2(0:0))
      call avR2(3469, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2822, nGC_2821,        &
      nGC_2823/))

      allocate(vertices(5437)%branchR2(0:0))
      call avR2(5437, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2785,       &
      nGC_2784/))

      allocate(vertices(10547)%branchR2(0:0))
      call avR2(10547, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(6658)%branchR2(0:0))
      call avR2(6658, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2470, nGC_2471/))

      allocate(vertices(10069)%branchR2(0:0))
      call avR2(10069, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2447, nGC_2446/))

      allocate(vertices(10184)%branchR2(0:0))
      call avR2(10184, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6517)%branchR2(0:0))
      call avR2(6517, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10548)%branchR2(0:0))
      call avR2(10548, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(6058)%branchR2(0:0))
      call avR2(6058, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2590/))

      allocate(vertices(10549)%branchR2(0:1))
      call avR2(10549, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10549, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(10233)%branchR2(0:0))
      call avR2(10233, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4053/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(9056)%branchR2(0:0))
      call avR2(9056, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10550)%branchR2(0:0))
      call avR2(10550, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(105)%branchR2(0:1))
      call avR2(105, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2655, nGC_2654/))

      call avR2(105, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2653, nGC_2653/))

      allocate(vertices(2441)%branchR2(0:3))
      call avR2(2441, 0, 19, 1, 0, FaFV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(2441, 1, 19, 1, 0, FaFV0, (/1, 2/), (/nGC_2580, nGC_2581/))

      call avR2(2441, 2, 20, 1, 0, FaFV0, (/1, 2/), (/nGC_2578, nGC_2579/))

      call avR2(2441, 3, 20, 1, 0, FaFV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(9431)%branchR2(0:0))
      call avR2(9431, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3390)%branchR2(0:0))
      call avR2(3390, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6964)%branchR2(0:0))
      call avR2(6964, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(6006)%branchR2(0:0))
      call avR2(6006, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(9847)%branchR2(0:0))
      call avR2(9847, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(7083)%branchR2(0:0))
      call avR2(7083, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(5626)%branchR2(0:0))
      call avR2(5626, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4135)%branchR2(0:0))
      call avR2(4135, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8824)%branchR2(0:0))
      call avR2(8824, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(196)%branchR2(0:0))
      call avR2(196, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(4614)%branchR2(0:0))
      call avR2(4614, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8971)%branchR2(0:0))
      call avR2(8971, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5802)%branchR2(0:0))
      call avR2(5802, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(3300)%branchR2(0:0))
      call avR2(3300, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2599, nGC_2598/))

      allocate(vertices(10551)%branchR2(0:1))
      call avR2(10551, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2873/))

      call avR2(10551, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2874/))

      allocate(vertices(4283)%branchR2(0:0))
      call avR2(4283, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(10335)%branchR2(0:0))
      call avR2(10335, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4049/))

      allocate(vertices(7887)%branchR2(0:0))
      call avR2(7887, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(10371)%branchR2(0:0))
      call avR2(10371, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2927/))

      allocate(vertices(10010)%branchR2(0:0))
      call avR2(10010, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(8544)%branchR2(0:1))
      call avR2(8544, 0, 30, 1, 0, FVFa1, (/0, 3/), (/nGC_2640/))

      call avR2(8544, 1, 30, 1, 0, FVFa1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(10552)%branchR2(0:1))
      call avR2(10552, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      call avR2(10552, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      allocate(vertices(8267)%branchR2(0:1))
      call avR2(8267, 0, 29, 1, 0, VFaF1, (/0, 3/), (/nGC_2630/))

      call avR2(8267, 1, 29, 1, 0, VFaF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(9871)%branchR2(0:0))
      call avR2(9871, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10553)%branchR2(0:1))
      call avR2(10553, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2868/))

      call avR2(10553, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(9843)%branchR2(0:0))
      call avR2(9843, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(3711)%branchR2(0:0))
      call avR2(3711, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2943/))

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9411)%branchR2(0:0))
      call avR2(9411, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(10554)%branchR2(0:1))
      call avR2(10554, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2868/))

      call avR2(10554, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(3477)%branchR2(0:0))
      call avR2(3477, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8730)%branchR2(0:0))
      call avR2(8730, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4252)%branchR2(0:0))
      call avR2(4252, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(9404)%branchR2(0:0))
      call avR2(9404, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10555)%branchR2(0:0))
      call avR2(10555, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(7240)%branchR2(0:0))
      call avR2(7240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(6140)%branchR2(0:0))
      call avR2(6140, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2611, nGC_2610/))

      allocate(vertices(3354)%branchR2(0:0))
      call avR2(3354, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(5161)%branchR2(0:0))
      call avR2(5161, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(4432)%branchR2(0:0))
      call avR2(4432, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(4328)%branchR2(0:0))
      call avR2(4328, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2601, nGC_2600/))

      allocate(vertices(5339)%branchR2(0:0))
      call avR2(5339, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10454)%branchR2(0:0))
      call avR2(10454, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(4485)%branchR2(0:0))
      call avR2(4485, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5485)%branchR2(0:0))
      call avR2(5485, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10556)%branchR2(0:1))
      call avR2(10556, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2870/))

      call avR2(10556, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(3827)%branchR2(0:0))
      call avR2(3827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(5875)%branchR2(0:0))
      call avR2(5875, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2607, nGC_2606/))

      allocate(vertices(4658)%branchR2(0:0))
      call avR2(4658, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(6333)%branchR2(0:0))
      call avR2(6333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5645)%branchR2(0:0))
      call avR2(5645, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2597, nGC_2596/))

      allocate(vertices(7249)%branchR2(0:1))
      call avR2(7249, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2721, nGC_2719/))

      call avR2(7249, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2722, nGC_2720/))

      allocate(vertices(5677)%branchR2(0:0))
      call avR2(5677, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(4420)%branchR2(0:1))
      call avR2(4420, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2721, nGC_2719/))

      call avR2(4420, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2722, nGC_2720/))

      allocate(vertices(10557)%branchR2(0:0))
      call avR2(10557, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8894)%branchR2(0:1))
      call avR2(8894, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2427, nGC_2423,      &
      nGC_2423, nGC_2426/))

      call avR2(8894, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2425, nGC_2424,      &
      nGC_2424, nGC_2425/))

      allocate(vertices(8525)%branchR2(0:0))
      call avR2(8525, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4390)%branchR2(0:0))
      call avR2(4390, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2823, nGC_2822,       &
      nGC_2821/))

      allocate(vertices(3180)%branchR2(0:0))
      call avR2(3180, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10558)%branchR2(0:5))
      call avR2(10558, 0, 160, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10558, 1, 163, 1, 0, VVVV0, (/3, 1/), (/nGC_2866, nGC_2866,    &
      nGC_2866/))

      call avR2(10558, 2, 162, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10558, 3, 164, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10558, 4, 161, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10558, 5, 159, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      allocate(vertices(4074)%branchR2(0:0))
      call avR2(4074, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3775)%branchR2(0:0))
      call avR2(3775, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9762)%branchR2(0:0))
      call avR2(9762, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3617)%branchR2(0:0))
      call avR2(3617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(3578)%branchR2(0:0))
      call avR2(3578, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(3917)%branchR2(0:0))
      call avR2(3917, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2599, nGC_2598/))

      allocate(vertices(4584)%branchR2(0:0))
      call avR2(4584, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(4436)%branchR2(0:0))
      call avR2(4436, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10486)%branchR2(0:0))
      call avR2(10486, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5605)%branchR2(0:1))
      call avR2(5605, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(5605, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(10559)%branchR2(0:1))
      call avR2(10559, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2872/))

      call avR2(10559, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(1550)%branchR2(0:1))
      call avR2(1550, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2638, nGC_2636/))

      call avR2(1550, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2639, nGC_2637/))

      allocate(vertices(10560)%branchR2(0:0))
      call avR2(10560, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6188)%branchR2(0:0))
      call avR2(6188, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10000)%branchR2(0:0))
      call avR2(10000, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8103)%branchR2(0:0))
      call avR2(8103, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10561)%branchR2(0:0))
      call avR2(10561, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2942/))

      allocate(vertices(7889)%branchR2(0:0))
      call avR2(7889, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(7897)%branchR2(0:0))
      call avR2(7897, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2526/))

      allocate(vertices(9239)%branchR2(0:0))
      call avR2(9239, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(3166)%branchR2(0:0))
      call avR2(3166, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5754)%branchR2(0:0))
      call avR2(5754, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10562)%branchR2(0:1))
      call avR2(10562, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10562, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(7252)%branchR2(0:0))
      call avR2(7252, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7972)%branchR2(0:0))
      call avR2(7972, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7518)%branchR2(0:1))
      call avR2(7518, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2732, nGC_2731/))

      call avR2(7518, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2730, nGC_2730/))

      allocate(vertices(7760)%branchR2(0:1))
      call avR2(7760, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2746, nGC_2745/))

      call avR2(7760, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2744, nGC_2744/))

      allocate(vertices(9208)%branchR2(0:0))
      call avR2(9208, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6614)%branchR2(0:1))
      call avR2(6614, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2739, nGC_2737/))

      call avR2(6614, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2740, nGC_2738/))

      allocate(vertices(8079)%branchR2(0:0))
      call avR2(8079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(4959)%branchR2(0:0))
      call avR2(4959, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4052/))

      allocate(vertices(5733)%branchR2(0:1))
      call avR2(5733, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(5733, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(669)%branchR2(0:3))
      call avR2(669, 0, 21, 1, 0, FaVF0, (/1, 2/), (/nGC_2576, nGC_2577/))

      call avR2(669, 1, 21, 1, 0, FaVF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(669, 2, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(669, 3, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2574, nGC_2575/))

      allocate(vertices(10249)%branchR2(0:0))
      call avR2(10249, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6193)%branchR2(0:0))
      call avR2(6193, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(10563)%branchR2(0:1))
      call avR2(10563, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2876/))

      call avR2(10563, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(3394)%branchR2(0:0))
      call avR2(3394, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(10564)%branchR2(0:0))
      call avR2(10564, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(8600)%branchR2(0:0))
      call avR2(8600, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(5190)%branchR2(0:0))
      call avR2(5190, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4055/))

      allocate(vertices(6460)%branchR2(0:0))
      call avR2(6460, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2607, nGC_2606/))

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6472)%branchR2(0:0))
      call avR2(6472, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(4840)%branchR2(0:1))
      call avR2(4840, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2695, nGC_2693/))

      call avR2(4840, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2696, nGC_2694/))

      allocate(vertices(9303)%branchR2(0:0))
      call avR2(9303, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(7398)%branchR2(0:0))
      call avR2(7398, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8509)%branchR2(0:0))
      call avR2(8509, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(8285)%branchR2(0:0))
      call avR2(8285, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8514)%branchR2(0:1))
      call avR2(8514, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2669, nGC_2667/))

      call avR2(8514, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2670, nGC_2668/))

      allocate(vertices(10064)%branchR2(0:0))
      call avR2(10064, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3407)%branchR2(0:0))
      call avR2(3407, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(8013)%branchR2(0:0))
      call avR2(8013, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(7958)%branchR2(0:1))
      call avR2(7958, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2729, nGC_2728/))

      call avR2(7958, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2727, nGC_2727/))

      allocate(vertices(5167)%branchR2(0:0))
      call avR2(5167, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2496/))

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(9236)%branchR2(0:0))
      call avR2(9236, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9852)%branchR2(0:0))
      call avR2(9852, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(4937)%branchR2(0:0))
      call avR2(4937, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2589/))

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(3039)%branchR2(0:0))
      call avR2(3039, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8852)%branchR2(0:0))
      call avR2(8852, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2595, nGC_2594/))

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2774/))

      allocate(vertices(3212)%branchR2(0:0))
      call avR2(3212, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(4608)%branchR2(0:0))
      call avR2(4608, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(6633)%branchR2(0:0))
      call avR2(6633, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2761/))

      allocate(vertices(7837)%branchR2(0:0))
      call avR2(7837, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(4299)%branchR2(0:0))
      call avR2(4299, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2832/))

      allocate(vertices(2044)%branchR2(0:1))
      call avR2(2044, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2665, nGC_2663/))

      call avR2(2044, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2666, nGC_2664/))

      allocate(vertices(485)%branchR2(0:1))
      call avR2(485, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2729, nGC_2728/))

      call avR2(485, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2727, nGC_2727/))

      allocate(vertices(10324)%branchR2(0:0))
      call avR2(10324, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6992)%branchR2(0:0))
      call avR2(6992, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(4245)%branchR2(0:0))
      call avR2(4245, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(5412)%branchR2(0:0))
      call avR2(5412, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4056/))

      allocate(vertices(4489)%branchR2(0:0))
      call avR2(4489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(10565)%branchR2(0:0))
      call avR2(10565, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3946)%branchR2(0:0))
      call avR2(3946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(6358)%branchR2(0:0))
      call avR2(6358, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(9276)%branchR2(0:0))
      call avR2(9276, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4770)%branchR2(0:0))
      call avR2(4770, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4574)%branchR2(0:0))
      call avR2(4574, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2855, nGC_2856,       &
      nGC_2856/))

      allocate(vertices(10566)%branchR2(0:1))
      call avR2(10566, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10566, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(9531)%branchR2(0:0))
      call avR2(9531, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(1524)%branchR2(0:1))
      call avR2(1524, 0, 30, 1, 0, FVFa1, (/0, 3/), (/nGC_2630/))

      call avR2(1524, 1, 30, 1, 0, FVFa1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(6705)%branchR2(0:1))
      call avR2(6705, 0, 29, 1, 0, VFaF1, (/0, 3/), (/nGC_2630/))

      call avR2(6705, 1, 29, 1, 0, VFaF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(9473)%branchR2(0:0))
      call avR2(9473, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3848)%branchR2(0:0))
      call avR2(3848, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2603, nGC_2602/))

      allocate(vertices(3637)%branchR2(0:0))
      call avR2(3637, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2757/))

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(7104)%branchR2(0:0))
      call avR2(7104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(4354)%branchR2(0:0))
      call avR2(4354, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(8928)%branchR2(0:0))
      call avR2(8928, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(32)%branchR2(0:3))
      call avR2(32, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(32, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2580, nGC_2581/))

      call avR2(32, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2578, nGC_2579/))

      call avR2(32, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(7582)%branchR2(0:0))
      call avR2(7582, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(7469)%branchR2(0:0))
      call avR2(7469, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1582)%branchR2(0:0))
      call avR2(1582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(1575)%branchR2(0:1))
      call avR2(1575, 0, 29, 1, 0, VFaF1, (/0, 3/), (/nGC_2640/))

      call avR2(1575, 1, 29, 1, 0, VFaF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(2752)%branchR2(0:0))
      call avR2(2752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(5036)%branchR2(0:0))
      call avR2(5036, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2609, nGC_2608/))

      allocate(vertices(7932)%branchR2(0:0))
      call avR2(7932, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2590/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10164)%branchR2(0:0))
      call avR2(10164, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5595)%branchR2(0:0))
      call avR2(5595, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(5928)%branchR2(0:0))
      call avR2(5928, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2759/))

      allocate(vertices(5147)%branchR2(0:0))
      call avR2(5147, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7233)%branchR2(0:0))
      call avR2(7233, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9959)%branchR2(0:0))
      call avR2(9959, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7903)%branchR2(0:0))
      call avR2(7903, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2504, nGC_2505/))

      allocate(vertices(5371)%branchR2(0:0))
      call avR2(5371, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(9549)%branchR2(0:0))
      call avR2(9549, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(6103)%branchR2(0:0))
      call avR2(6103, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2927/))

      allocate(vertices(6618)%branchR2(0:0))
      call avR2(6618, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2766/))

      allocate(vertices(6393)%branchR2(0:0))
      call avR2(6393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(3315)%branchR2(0:3))
      call avR2(3315, 0, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2559, nGC_2560/))

      call avR2(3315, 1, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(3315, 2, 26, 1, 0, VFaF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(3315, 3, 26, 1, 0, VFaF0, (/1, 2/), (/nGC_2556, nGC_2557/))

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(10567)%branchR2(0:1))
      call avR2(10567, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2876/))

      call avR2(10567, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(219)%branchR2(0:1))
      call avR2(219, 0, 28, 1, 0, VFFa0, (/0, 3/), (/nGC_2640/))

      call avR2(219, 1, 28, 1, 0, VFFa0, (/2, 1/), (/nGC_2631/))

      allocate(vertices(7954)%branchR2(0:0))
      call avR2(7954, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2474, nGC_2475/))

      allocate(vertices(3591)%branchR2(0:0))
      call avR2(3591, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2770/))

      allocate(vertices(10568)%branchR2(0:0))
      call avR2(10568, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(10475)%branchR2(0:0))
      call avR2(10475, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(5962)%branchR2(0:0))
      call avR2(5962, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2545/))

      allocate(vertices(4844)%branchR2(0:0))
      call avR2(4844, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(7911)%branchR2(0:0))
      call avR2(7911, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10570)%branchR2(0:0))
      call avR2(10570, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9655)%branchR2(0:0))
      call avR2(9655, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10244)%branchR2(0:0))
      call avR2(10244, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8622)%branchR2(0:0))
      call avR2(8622, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(9550)%branchR2(0:0))
      call avR2(9550, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(6538)%branchR2(0:0))
      call avR2(6538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(9410)%branchR2(0:0))
      call avR2(9410, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(10571)%branchR2(0:1))
      call avR2(10571, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_2554/))

      call avR2(10571, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_2555/))

      allocate(vertices(5620)%branchR2(0:0))
      call avR2(5620, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2593, nGC_2592/))

      allocate(vertices(6244)%branchR2(0:0))
      call avR2(6244, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(8367)%branchR2(0:0))
      call avR2(8367, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2605, nGC_2604/))

      allocate(vertices(3492)%branchR2(0:0))
      call avR2(3492, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(7302)%branchR2(0:0))
      call avR2(7302, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2588/))

      allocate(vertices(10572)%branchR2(0:1))
      call avR2(10572, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2868/))

      call avR2(10572, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(10573)%branchR2(0:0))
      call avR2(10573, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(7853)%branchR2(0:0))
      call avR2(7853, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6252)%branchR2(0:0))
      call avR2(6252, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2756/))

      allocate(vertices(4212)%branchR2(0:3))
      call avR2(4212, 0, 19, 1, 0, FaFV0, (/1, 2/), (/nGC_2566, nGC_2567/))

      call avR2(4212, 1, 19, 1, 0, FaFV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(4212, 2, 20, 1, 0, FaFV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(4212, 3, 20, 1, 0, FaFV0, (/1, 2/), (/nGC_2564, nGC_2565/))

      allocate(vertices(3092)%branchR2(0:0))
      call avR2(3092, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(5126)%branchR2(0:0))
      call avR2(5126, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(4794)%branchR2(0:0))
      call avR2(4794, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(9007)%branchR2(0:0))
      call avR2(9007, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3299)%branchR2(0:0))
      call avR2(3299, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8565)%branchR2(0:0))
      call avR2(8565, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8813)%branchR2(0:0))
      call avR2(8813, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2774, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(4957)%branchR2(0:1))
      call avR2(4957, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2640/))

      call avR2(4957, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(8030)%branchR2(0:0))
      call avR2(8030, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8402)%branchR2(0:0))
      call avR2(8402, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2759/))

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1097)%branchR2(0:0))
      call avR2(1097, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2593, nGC_2592/))

      allocate(vertices(3506)%branchR2(0:0))
      call avR2(3506, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(4174)%branchR2(0:0))
      call avR2(4174, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10046)%branchR2(0:0))
      call avR2(10046, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10574)%branchR2(0:1))
      call avR2(10574, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2869/))

      call avR2(10574, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2870/))

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(2751)%branchR2(0:0))
      call avR2(2751, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2785,        &
      nGC_2786/))

      allocate(vertices(4663)%branchR2(0:0))
      call avR2(4663, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2530/))

      allocate(vertices(10575)%branchR2(0:1))
      call avR2(10575, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2868/))

      call avR2(10575, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(5408)%branchR2(0:1))
      call avR2(5408, 0, 29, 1, 0, VFaF1, (/0, 3/), (/nGC_2640/))

      call avR2(5408, 1, 29, 1, 0, VFaF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(2695)%branchR2(0:0))
      call avR2(2695, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5591)%branchR2(0:1))
      call avR2(5591, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2622, nGC_2621/))

      call avR2(5591, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2620, nGC_2620/))

      allocate(vertices(9667)%branchR2(0:0))
      call avR2(9667, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10306)%branchR2(0:0))
      call avR2(10306, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2449, nGC_2448/))

      allocate(vertices(3883)%branchR2(0:0))
      call avR2(3883, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(2573)%branchR2(0:0))
      call avR2(2573, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(8606)%branchR2(0:0))
      call avR2(8606, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(7500)%branchR2(0:1))
      call avR2(7500, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2718, nGC_2717/))

      call avR2(7500, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2716, nGC_2716/))

      allocate(vertices(8488)%branchR2(0:0))
      call avR2(8488, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2591/))

      allocate(vertices(8619)%branchR2(0:0))
      call avR2(8619, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4095)%branchR2(0:1))
      call avR2(4095, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2715, nGC_2714/))

      call avR2(4095, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2713, nGC_2713/))

      allocate(vertices(10576)%branchR2(0:1))
      call avR2(10576, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2886/))

      call avR2(10576, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2885/))

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(5135)%branchR2(0:0))
      call avR2(5135, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10215)%branchR2(0:0))
      call avR2(10215, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2590/))

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(4232)%branchR2(0:0))
      call avR2(4232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(5240)%branchR2(0:0))
      call avR2(5240, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(8967)%branchR2(0:0))
      call avR2(8967, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9242)%branchR2(0:0))
      call avR2(9242, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5055)%branchR2(0:0))
      call avR2(5055, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(6123)%branchR2(0:0))
      call avR2(6123, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(8787)%branchR2(0:0))
      call avR2(8787, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2552/))

      allocate(vertices(4034)%branchR2(0:0))
      call avR2(4034, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(10577)%branchR2(0:0))
      call avR2(10577, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(3813)%branchR2(0:0))
      call avR2(3813, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8765)%branchR2(0:0))
      call avR2(8765, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(9919)%branchR2(0:0))
      call avR2(9919, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(8448)%branchR2(0:0))
      call avR2(8448, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(9262)%branchR2(0:0))
      call avR2(9262, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(8374)%branchR2(0:1))
      call avR2(8374, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2514, nGC_2515/))

      call avR2(8374, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(9030)%branchR2(0:0))
      call avR2(9030, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(5991)%branchR2(0:0))
      call avR2(5991, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(132)%branchR2(0:1))
      call avR2(132, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2524, nGC_2525/))

      call avR2(132, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2595, nGC_2594/))

      allocate(vertices(7563)%branchR2(0:0))
      call avR2(7563, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2589/))

      allocate(vertices(9417)%branchR2(0:0))
      call avR2(9417, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(171)%branchR2(0:3))
      call avR2(171, 0, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(171, 1, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_2580, nGC_2581/))

      call avR2(171, 2, 26, 1, 0, VFaF0, (/1, 2/), (/nGC_2578, nGC_2579/))

      call avR2(171, 3, 26, 1, 0, VFaF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9174)%branchR2(0:0))
      call avR2(9174, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8364)%branchR2(0:0))
      call avR2(8364, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(5947)%branchR2(0:0))
      call avR2(5947, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(7126)%branchR2(0:0))
      call avR2(7126, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6272)%branchR2(0:0))
      call avR2(6272, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(6617)%branchR2(0:0))
      call avR2(6617, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2774/))

      allocate(vertices(10578)%branchR2(0:1))
      call avR2(10578, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2888/))

      call avR2(10578, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(7130)%branchR2(0:0))
      call avR2(7130, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(3820)%branchR2(0:0))
      call avR2(3820, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2587/))

      allocate(vertices(9741)%branchR2(0:0))
      call avR2(9741, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10470)%branchR2(0:0))
      call avR2(10470, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2718)%branchR2(0:0))
      call avR2(2718, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(7112)%branchR2(0:0))
      call avR2(7112, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2533/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5211)%branchR2(0:0))
      call avR2(5211, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2601, nGC_2600/))

      allocate(vertices(5222)%branchR2(0:0))
      call avR2(5222, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(5965)%branchR2(0:0))
      call avR2(5965, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2534/))

      allocate(vertices(4978)%branchR2(0:1))
      call avR2(4978, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2705, nGC_2707/))

      call avR2(4978, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2706, nGC_2708/))

      allocate(vertices(1954)%branchR2(0:1))
      call avR2(1954, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2518, nGC_2520/))

      call avR2(1954, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(2906)%branchR2(0:0))
      call avR2(2906, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5076)%branchR2(0:1))
      call avR2(5076, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2634, nGC_2632/))

      call avR2(5076, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2635, nGC_2633/))

      allocate(vertices(8159)%branchR2(0:0))
      call avR2(8159, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(8752)%branchR2(0:0))
      call avR2(8752, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2472, nGC_2473/))

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(4097)%branchR2(0:0))
      call avR2(4097, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(6608)%branchR2(0:0))
      call avR2(6608, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(9929)%branchR2(0:0))
      call avR2(9929, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(9980)%branchR2(0:0))
      call avR2(9980, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(4180)%branchR2(0:0))
      call avR2(4180, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(4054)%branchR2(0:0))
      call avR2(4054, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10320)%branchR2(0:0))
      call avR2(10320, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(10096)%branchR2(0:0))
      call avR2(10096, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10579)%branchR2(0:1))
      call avR2(10579, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10579, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2586/))

      allocate(vertices(10482)%branchR2(0:0))
      call avR2(10482, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2468/))

      allocate(vertices(10279)%branchR2(0:0))
      call avR2(10279, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(2599)%branchR2(0:1))
      call avR2(2599, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2699, nGC_2697/))

      call avR2(2599, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2700, nGC_2698/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(8132)%branchR2(0:0))
      call avR2(8132, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5851)%branchR2(0:1))
      call avR2(5851, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2743, nGC_2742/))

      call avR2(5851, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2741, nGC_2741/))

      allocate(vertices(5094)%branchR2(0:0))
      call avR2(5094, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2546/))

      allocate(vertices(5219)%branchR2(0:0))
      call avR2(5219, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(3973)%branchR2(0:0))
      call avR2(3973, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(6979)%branchR2(0:0))
      call avR2(6979, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2532/))

      allocate(vertices(9385)%branchR2(0:0))
      call avR2(9385, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5317)%branchR2(0:0))
      call avR2(5317, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8541)%branchR2(0:0))
      call avR2(8541, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6900)%branchR2(0:0))
      call avR2(6900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(3093)%branchR2(0:0))
      call avR2(3093, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(4019)%branchR2(0:0))
      call avR2(4019, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(9750)%branchR2(0:0))
      call avR2(9750, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7617)%branchR2(0:0))
      call avR2(7617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(1931)%branchR2(0:0))
      call avR2(1931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10580)%branchR2(0:0))
      call avR2(10580, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9780)%branchR2(0:0))
      call avR2(9780, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2540/))

      allocate(vertices(2853)%branchR2(0:0))
      call avR2(2853, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10111)%branchR2(0:0))
      call avR2(10111, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(7280)%branchR2(0:0))
      call avR2(7280, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(9223)%branchR2(0:0))
      call avR2(9223, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1904)%branchR2(0:1))
      call avR2(1904, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2510, nGC_2512/))

      call avR2(1904, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(8053)%branchR2(0:0))
      call avR2(8053, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9820)%branchR2(0:0))
      call avR2(9820, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2443, nGC_2442/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(7060)%branchR2(0:1))
      call avR2(7060, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2701, nGC_2703/))

      call avR2(7060, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2702, nGC_2704/))

      allocate(vertices(2934)%branchR2(0:0))
      call avR2(2934, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10581)%branchR2(0:1))
      call avR2(10581, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10581, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(29)%branchR2(0:1))
      call avR2(29, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2514, nGC_2515/))

      call avR2(29, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(7871)%branchR2(0:0))
      call avR2(7871, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(7335)%branchR2(0:0))
      call avR2(7335, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(9269)%branchR2(0:0))
      call avR2(9269, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6220)%branchR2(0:0))
      call avR2(6220, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4057/))

      allocate(vertices(4340)%branchR2(0:0))
      call avR2(4340, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(5887)%branchR2(0:0))
      call avR2(5887, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5310)%branchR2(0:1))
      call avR2(5310, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2743, nGC_2742/))

      call avR2(5310, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2741, nGC_2741/))

      allocate(vertices(10370)%branchR2(0:0))
      call avR2(10370, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(9086)%branchR2(0:0))
      call avR2(9086, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9961)%branchR2(0:0))
      call avR2(9961, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(3781)%branchR2(0:0))
      call avR2(3781, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6314)%branchR2(0:0))
      call avR2(6314, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2758/))

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(6173)%branchR2(0:0))
      call avR2(6173, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(3802)%branchR2(0:0))
      call avR2(3802, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2770/))

      allocate(vertices(1488)%branchR2(0:1))
      call avR2(1488, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2618, nGC_2616/))

      call avR2(1488, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2619, nGC_2617/))

      allocate(vertices(9033)%branchR2(0:0))
      call avR2(9033, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2549/))

      allocate(vertices(9803)%branchR2(0:0))
      call avR2(9803, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(8474)%branchR2(0:0))
      call avR2(8474, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(9322)%branchR2(0:0))
      call avR2(9322, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7025)%branchR2(0:0))
      call avR2(7025, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7444)%branchR2(0:0))
      call avR2(7444, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(6890)%branchR2(0:1))
      call avR2(6890, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2514, nGC_2515/))

      call avR2(6890, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(2117)%branchR2(0:1))
      call avR2(2117, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2675, nGC_2677/))

      call avR2(2117, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2676, nGC_2678/))

      allocate(vertices(4255)%branchR2(0:0))
      call avR2(4255, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1577)%branchR2(0:0))
      call avR2(1577, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(10455)%branchR2(0:0))
      call avR2(10455, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(8158)%branchR2(0:0))
      call avR2(8158, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2943/))

      allocate(vertices(6437)%branchR2(0:0))
      call avR2(6437, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9581)%branchR2(0:0))
      call avR2(9581, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9767)%branchR2(0:0))
      call avR2(9767, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6158)%branchR2(0:0))
      call avR2(6158, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(500)%branchR2(0:1))
      call avR2(500, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2718, nGC_2717/))

      call avR2(500, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2716, nGC_2716/))

      allocate(vertices(2660)%branchR2(0:0))
      call avR2(2660, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(10582)%branchR2(0:0))
      call avR2(10582, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2779, nGC_2779,      &
      nGC_2779/))

      allocate(vertices(8886)%branchR2(0:0))
      call avR2(8886, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(909)%branchR2(0:1))
      call avR2(909, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(909, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(7423)%branchR2(0:0))
      call avR2(7423, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2784,       &
      nGC_2786/))

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2493/))

      allocate(vertices(7645)%branchR2(0:0))
      call avR2(7645, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(9212)%branchR2(0:0))
      call avR2(9212, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(8572)%branchR2(0:0))
      call avR2(8572, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4897)%branchR2(0:0))
      call avR2(4897, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2591/))

      allocate(vertices(2662)%branchR2(0:0))
      call avR2(2662, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(8724)%branchR2(0:0))
      call avR2(8724, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2526/))

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10583)%branchR2(0:1))
      call avR2(10583, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10583, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2588/))

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(5199)%branchR2(0:0))
      call avR2(5199, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2551/))

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2937/))

      allocate(vertices(4194)%branchR2(0:0))
      call avR2(4194, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10464)%branchR2(0:0))
      call avR2(10464, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2823, nGC_2821,       &
      nGC_2822/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4868)%branchR2(0:0))
      call avR2(4868, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2506, nGC_2507/))

      allocate(vertices(4517)%branchR2(0:0))
      call avR2(4517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(8309)%branchR2(0:0))
      call avR2(8309, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2995)%branchR2(0:0))
      call avR2(2995, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(601)%branchR2(0:0))
      call avR2(601, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2856, nGC_2856,        &
      nGC_2855/))

      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9627)%branchR2(0:0))
      call avR2(9627, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1428)%branchR2(0:0))
      call avR2(1428, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(3999)%branchR2(0:0))
      call avR2(3999, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7040)%branchR2(0:0))
      call avR2(7040, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2758/))

      allocate(vertices(10584)%branchR2(0:0))
      call avR2(10584, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(10585)%branchR2(0:0))
      call avR2(10585, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(5102)%branchR2(0:0))
      call avR2(5102, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2586/))

      allocate(vertices(10036)%branchR2(0:0))
      call avR2(10036, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10050)%branchR2(0:0))
      call avR2(10050, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(7023)%branchR2(0:0))
      call avR2(7023, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(6364)%branchR2(0:0))
      call avR2(6364, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9710)%branchR2(0:0))
      call avR2(9710, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2480)%branchR2(0:0))
      call avR2(2480, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(8114)%branchR2(0:0))
      call avR2(8114, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(9360)%branchR2(0:0))
      call avR2(9360, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9756)%branchR2(0:0))
      call avR2(9756, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(2991)%branchR2(0:0))
      call avR2(2991, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10352)%branchR2(0:0))
      call avR2(10352, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4039/))

      allocate(vertices(3924)%branchR2(0:0))
      call avR2(3924, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8837)%branchR2(0:0))
      call avR2(8837, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2222)%branchR2(0:0))
      call avR2(2222, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(1854)%branchR2(0:0))
      call avR2(1854, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(8706)%branchR2(0:0))
      call avR2(8706, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(8070)%branchR2(0:0))
      call avR2(8070, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7941)%branchR2(0:0))
      call avR2(7941, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2888/))

      call avR2(10586, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2856, nGC_2855,       &
      nGC_2856/))

      allocate(vertices(3830)%branchR2(0:0))
      call avR2(3830, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2758/))

      allocate(vertices(9220)%branchR2(0:0))
      call avR2(9220, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7293)%branchR2(0:0))
      call avR2(7293, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(2819)%branchR2(0:0))
      call avR2(2819, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2470, nGC_2471/))

      allocate(vertices(10587)%branchR2(0:1))
      call avR2(10587, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2874/))

      call avR2(10587, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2873/))

      allocate(vertices(4781)%branchR2(0:0))
      call avR2(4781, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2923/))

      allocate(vertices(5062)%branchR2(0:0))
      call avR2(5062, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(9460)%branchR2(0:0))
      call avR2(9460, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10588)%branchR2(0:1))
      call avR2(10588, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10588, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(3107)%branchR2(0:0))
      call avR2(3107, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(4963)%branchR2(0:0))
      call avR2(4963, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(10467)%branchR2(0:0))
      call avR2(10467, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(8890)%branchR2(0:0))
      call avR2(8890, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(8194)%branchR2(0:0))
      call avR2(8194, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(8362)%branchR2(0:0))
      call avR2(8362, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(8877)%branchR2(0:0))
      call avR2(8877, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

    end subroutine fill_vertices_mdl21
end module vertices_info21
