!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9149)%branchR2(0:0))
      call avR2(9149, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(5775)%branchR2(0:0))
      call avR2(5775, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10345)%branchR2(0:0))
      call avR2(10345, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(7107)%branchR2(0:0))
      call avR2(7107, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(9819)%branchR2(0:0))
      call avR2(9819, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2453, nGC_2452/))

      allocate(vertices(3447)%branchR2(0:1))
      call avR2(3447, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2711, nGC_2709/))

      call avR2(3447, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2712, nGC_2710/))

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(1683)%branchR2(0:0))
      call avR2(1683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4771)%branchR2(0:0))
      call avR2(4771, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(3071)%branchR2(0:0))
      call avR2(3071, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7368)%branchR2(0:0))
      call avR2(7368, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2785,       &
      nGC_2786/))

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6602)%branchR2(0:0))
      call avR2(6602, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10589)%branchR2(0:0))
      call avR2(10589, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(6975)%branchR2(0:0))
      call avR2(6975, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5385)%branchR2(0:0))
      call avR2(5385, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2762/))

      allocate(vertices(1903)%branchR2(0:0))
      call avR2(1903, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(4768)%branchR2(0:0))
      call avR2(4768, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(5250)%branchR2(0:0))
      call avR2(5250, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(6082)%branchR2(0:0))
      call avR2(6082, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(7858)%branchR2(0:0))
      call avR2(7858, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(9523)%branchR2(0:0))
      call avR2(9523, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2405, nGC_2403,        &
      nGC_2404/))

      allocate(vertices(3984)%branchR2(0:0))
      call avR2(3984, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(9293)%branchR2(0:0))
      call avR2(9293, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2550/))

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(5081)%branchR2(0:0))
      call avR2(5081, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(1675)%branchR2(0:1))
      call avR2(1675, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2524, nGC_2525/))

      call avR2(1675, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(7322)%branchR2(0:0))
      call avR2(7322, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2503/))

      allocate(vertices(3028)%branchR2(0:0))
      call avR2(3028, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(1565)%branchR2(0:0))
      call avR2(1565, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2784,       &
      nGC_2786/))

      allocate(vertices(2985)%branchR2(0:1))
      call avR2(2985, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2514, nGC_2515/))

      call avR2(2985, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(5058)%branchR2(0:0))
      call avR2(5058, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(7649)%branchR2(0:0))
      call avR2(7649, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(7221)%branchR2(0:0))
      call avR2(7221, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5070)%branchR2(0:0))
      call avR2(5070, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(4191)%branchR2(0:0))
      call avR2(4191, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2597, nGC_2596/))

      allocate(vertices(10160)%branchR2(0:0))
      call avR2(10160, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(3651)%branchR2(0:0))
      call avR2(3651, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9409)%branchR2(0:0))
      call avR2(9409, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6032)%branchR2(0:0))
      call avR2(6032, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(8232)%branchR2(0:0))
      call avR2(8232, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(1800)%branchR2(0:0))
      call avR2(1800, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(785)%branchR2(0:3))
      call avR2(785, 0, 17, 1, 0, FVFa0, (/1, 2/), (/nGC_2584, nGC_2585/))

      call avR2(785, 1, 17, 1, 0, FVFa0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(785, 2, 18, 1, 0, FVFa0, (/1, 2/), (/nGC_2582, nGC_2583/))

      call avR2(785, 3, 18, 1, 0, FVFa0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(10590)%branchR2(0:0))
      call avR2(10590, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2781, nGC_2782,      &
      nGC_2782/))

      allocate(vertices(9490)%branchR2(0:0))
      call avR2(9490, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(9063)%branchR2(0:0))
      call avR2(9063, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10591)%branchR2(0:0))
      call avR2(10591, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6696)%branchR2(0:0))
      call avR2(6696, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5327)%branchR2(0:0))
      call avR2(5327, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2784,       &
      nGC_2786/))

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(8000)%branchR2(0:0))
      call avR2(8000, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9683)%branchR2(0:0))
      call avR2(9683, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2589/))

      allocate(vertices(8821)%branchR2(0:0))
      call avR2(8821, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2206)%branchR2(0:3))
      call avR2(2206, 0, 24, 1, 0, VFFa1, (/1, 2/), (/nGC_2578, nGC_2579/))

      call avR2(2206, 1, 24, 1, 0, VFFa1, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(2206, 2, 23, 1, 0, VFFa1, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(2206, 3, 23, 1, 0, VFFa1, (/1, 2/), (/nGC_2580, nGC_2581/))

      allocate(vertices(10015)%branchR2(0:0))
      call avR2(10015, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(9329)%branchR2(0:0))
      call avR2(9329, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(9805)%branchR2(0:0))
      call avR2(9805, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(477)%branchR2(0:1))
      call avR2(477, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2739, nGC_2737/))

      call avR2(477, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2740, nGC_2738/))

      allocate(vertices(3774)%branchR2(0:1))
      call avR2(3774, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2628, nGC_2626/))

      call avR2(3774, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2629, nGC_2627/))

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(6690)%branchR2(0:0))
      call avR2(6690, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8910)%branchR2(0:0))
      call avR2(8910, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(9098)%branchR2(0:0))
      call avR2(9098, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(2494)%branchR2(0:0))
      call avR2(2494, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(10221)%branchR2(0:0))
      call avR2(10221, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(10592)%branchR2(0:1))
      call avR2(10592, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2872/))

      call avR2(10592, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(7803)%branchR2(0:0))
      call avR2(7803, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10084)%branchR2(0:0))
      call avR2(10084, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2551/))

      allocate(vertices(10593)%branchR2(0:0))
      call avR2(10593, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2942/))

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5098)%branchR2(0:1))
      call avR2(5098, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2630/))

      call avR2(5098, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(4429)%branchR2(0:1))
      call avR2(4429, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2688, nGC_2687/))

      call avR2(4429, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2686, nGC_2686/))

      allocate(vertices(6203)%branchR2(0:0))
      call avR2(6203, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(6129)%branchR2(0:0))
      call avR2(6129, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10594)%branchR2(0:0))
      call avR2(10594, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7870)%branchR2(0:0))
      call avR2(7870, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4050/))

      allocate(vertices(4807)%branchR2(0:0))
      call avR2(4807, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4902)%branchR2(0:0))
      call avR2(4902, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(7425)%branchR2(0:0))
      call avR2(7425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(8762)%branchR2(0:0))
      call avR2(8762, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2493/))

      allocate(vertices(6378)%branchR2(0:0))
      call avR2(6378, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(5386)%branchR2(0:1))
      call avR2(5386, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2669, nGC_2667/))

      call avR2(5386, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2670, nGC_2668/))

      allocate(vertices(10180)%branchR2(0:0))
      call avR2(10180, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7395)%branchR2(0:0))
      call avR2(7395, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(10595)%branchR2(0:0))
      call avR2(10595, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(10007)%branchR2(0:0))
      call avR2(10007, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2549/))

      allocate(vertices(9793)%branchR2(0:0))
      call avR2(9793, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(6423)%branchR2(0:0))
      call avR2(6423, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(4537)%branchR2(0:0))
      call avR2(4537, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(4810)%branchR2(0:0))
      call avR2(4810, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(7869)%branchR2(0:0))
      call avR2(7869, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(8907)%branchR2(0:0))
      call avR2(8907, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3985)%branchR2(0:0))
      call avR2(3985, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5561)%branchR2(0:1))
      call avR2(5561, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2671, nGC_2673/))

      call avR2(5561, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2672, nGC_2674/))

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2589/))

      allocate(vertices(589)%branchR2(0:1))
      call avR2(589, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2510, nGC_2512/))

      call avR2(589, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7141)%branchR2(0:0))
      call avR2(7141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(7616)%branchR2(0:1))
      call avR2(7616, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2671, nGC_2673/))

      call avR2(7616, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2672, nGC_2674/))

      allocate(vertices(8378)%branchR2(0:0))
      call avR2(8378, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2937/))

      allocate(vertices(6332)%branchR2(0:0))
      call avR2(6332, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(4419)%branchR2(0:0))
      call avR2(4419, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4385)%branchR2(0:0))
      call avR2(4385, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2766/))

      allocate(vertices(8946)%branchR2(0:0))
      call avR2(8946, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8323)%branchR2(0:0))
      call avR2(8323, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(8822)%branchR2(0:0))
      call avR2(8822, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(9118)%branchR2(0:1))
      call avR2(9118, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2427, nGC_2430,       &
      nGC_2430, nGC_2426/))

      call avR2(9118, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2425, nGC_2431,       &
      nGC_2431, nGC_2425/))

      allocate(vertices(4508)%branchR2(0:0))
      call avR2(4508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(8119)%branchR2(0:1))
      call avR2(8119, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2625, nGC_2624/))

      call avR2(8119, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2623, nGC_2623/))

      allocate(vertices(5030)%branchR2(0:0))
      call avR2(5030, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(4622)%branchR2(0:0))
      call avR2(4622, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2530/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(6459)%branchR2(0:0))
      call avR2(6459, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2941/))

      allocate(vertices(7501)%branchR2(0:0))
      call avR2(7501, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(9081)%branchR2(0:0))
      call avR2(9081, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4051/))

      allocate(vertices(6319)%branchR2(0:0))
      call avR2(6319, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3719)%branchR2(0:0))
      call avR2(3719, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(3301)%branchR2(0:0))
      call avR2(3301, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10596)%branchR2(0:1))
      call avR2(10596, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2883/))

      call avR2(10596, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2882/))

      allocate(vertices(6835)%branchR2(0:0))
      call avR2(6835, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(10597)%branchR2(0:0))
      call avR2(10597, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(8845)%branchR2(0:0))
      call avR2(8845, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8942)%branchR2(0:0))
      call avR2(8942, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2549/))

      allocate(vertices(705)%branchR2(0:1))
      call avR2(705, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2524, nGC_2525/))

      call avR2(705, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(3720)%branchR2(0:0))
      call avR2(3720, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(9691)%branchR2(0:0))
      call avR2(9691, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7699)%branchR2(0:0))
      call avR2(7699, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5481)%branchR2(0:0))
      call avR2(5481, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(5367)%branchR2(0:0))
      call avR2(5367, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(4848)%branchR2(0:0))
      call avR2(4848, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2758/))

      allocate(vertices(7513)%branchR2(0:0))
      call avR2(7513, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(10598)%branchR2(0:1))
      call avR2(10598, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2868/))

      call avR2(10598, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(10063)%branchR2(0:0))
      call avR2(10063, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(8357)%branchR2(0:0))
      call avR2(8357, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7171)%branchR2(0:0))
      call avR2(7171, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(2487)%branchR2(0:0))
      call avR2(2487, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2652)%branchR2(0:0))
      call avR2(2652, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(6685)%branchR2(0:0))
      call avR2(6685, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5459)%branchR2(0:0))
      call avR2(5459, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(7376)%branchR2(0:0))
      call avR2(7376, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2588/))

      allocate(vertices(6287)%branchR2(0:0))
      call avR2(6287, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9708)%branchR2(0:0))
      call avR2(9708, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4058/))

      allocate(vertices(1993)%branchR2(0:1))
      call avR2(1993, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2746, nGC_2745/))

      call avR2(1993, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2744, nGC_2744/))

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(8102)%branchR2(0:1))
      call avR2(8102, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2735, nGC_2733/))

      call avR2(8102, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2736, nGC_2734/))

      allocate(vertices(5943)%branchR2(0:0))
      call avR2(5943, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(6150)%branchR2(0:0))
      call avR2(6150, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(5843)%branchR2(0:0))
      call avR2(5843, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(7449)%branchR2(0:0))
      call avR2(7449, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(9661)%branchR2(0:0))
      call avR2(9661, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2451, nGC_2450/))

      allocate(vertices(10599)%branchR2(0:0))
      call avR2(10599, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(7770)%branchR2(0:0))
      call avR2(7770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(6371)%branchR2(0:0))
      call avR2(6371, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(3275)%branchR2(0:0))
      call avR2(3275, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(4075)%branchR2(0:0))
      call avR2(4075, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3495)%branchR2(0:1))
      call avR2(3495, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2481, nGC_2482/))

      call avR2(3495, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10600)%branchR2(0:1))
      call avR2(10600, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2899/))

      call avR2(10600, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(5915)%branchR2(0:1))
      call avR2(5915, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2715, nGC_2714/))

      call avR2(5915, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2713, nGC_2713/))

      allocate(vertices(10601)%branchR2(0:1))
      call avR2(10601, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2842, nGC_2842,    &
      nGC_2842/))

      call avR2(10601, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(4431)%branchR2(0:0))
      call avR2(4431, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(1297)%branchR2(0:1))
      call avR2(1297, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2688, nGC_2687/))

      call avR2(1297, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2686, nGC_2686/))

      allocate(vertices(8548)%branchR2(0:0))
      call avR2(8548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(7053)%branchR2(0:0))
      call avR2(7053, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(6829)%branchR2(0:0))
      call avR2(6829, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2589/))

      allocate(vertices(9864)%branchR2(0:0))
      call avR2(9864, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2927/))

      allocate(vertices(9665)%branchR2(0:0))
      call avR2(9665, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4059/))

      allocate(vertices(10392)%branchR2(0:0))
      call avR2(10392, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7073)%branchR2(0:0))
      call avR2(7073, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2757/))

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(10145)%branchR2(0:0))
      call avR2(10145, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3279)%branchR2(0:0))
      call avR2(3279, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2773, nGC_2774,       &
      nGC_2772/))

      allocate(vertices(5432)%branchR2(0:0))
      call avR2(5432, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2827)%branchR2(0:0))
      call avR2(2827, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2760/))

      allocate(vertices(7697)%branchR2(0:0))
      call avR2(7697, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2508, nGC_2509/))

      allocate(vertices(10602)%branchR2(0:1))
      call avR2(10602, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2872/))

      call avR2(10602, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(9296)%branchR2(0:0))
      call avR2(9296, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(10085)%branchR2(0:0))
      call avR2(10085, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(9365)%branchR2(0:0))
      call avR2(9365, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(2005)%branchR2(0:3))
      call avR2(2005, 0, 24, 1, 0, VFFa1, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(2005, 1, 24, 1, 0, VFFa1, (/1, 2/), (/nGC_2574, nGC_2575/))

      call avR2(2005, 2, 23, 1, 0, VFFa1, (/1, 2/), (/nGC_2576, nGC_2577/))

      call avR2(2005, 3, 23, 1, 0, VFFa1, (/3, 0/), (/nGC_2561, nGC_2561/))

      allocate(vertices(5078)%branchR2(0:0))
      call avR2(5078, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8919)%branchR2(0:0))
      call avR2(8919, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5440)%branchR2(0:1))
      call avR2(5440, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2638, nGC_2636/))

      call avR2(5440, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2639, nGC_2637/))

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10603)%branchR2(0:0))
      call avR2(10603, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6747)%branchR2(0:0))
      call avR2(6747, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6241)%branchR2(0:0))
      call avR2(6241, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2535/))

      allocate(vertices(7722)%branchR2(0:0))
      call avR2(7722, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(6079)%branchR2(0:0))
      call avR2(6079, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2508, nGC_2509/))

      allocate(vertices(5761)%branchR2(0:0))
      call avR2(5761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(5982)%branchR2(0:1))
      call avR2(5982, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2691, nGC_2689/))

      call avR2(5982, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2692, nGC_2690/))

      allocate(vertices(9384)%branchR2(0:0))
      call avR2(9384, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(9407)%branchR2(0:0))
      call avR2(9407, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(8039)%branchR2(0:1))
      call avR2(8039, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2669, nGC_2667/))

      call avR2(8039, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2670, nGC_2668/))

      allocate(vertices(3244)%branchR2(0:0))
      call avR2(3244, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8133)%branchR2(0:0))
      call avR2(8133, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2591/))

      allocate(vertices(10604)%branchR2(0:1))
      call avR2(10604, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10604, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(10605)%branchR2(0:0))
      call avR2(10605, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2936/))

      allocate(vertices(10606)%branchR2(0:0))
      call avR2(10606, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(4847)%branchR2(0:3))
      call avR2(4847, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2576, nGC_2577/))

      call avR2(4847, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(4847, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(4847, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2574, nGC_2575/))

      allocate(vertices(6797)%branchR2(0:0))
      call avR2(6797, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(5483)%branchR2(0:0))
      call avR2(5483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(8847)%branchR2(0:0))
      call avR2(8847, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10607)%branchR2(0:0))
      call avR2(10607, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(1805)%branchR2(0:3))
      call avR2(1805, 0, 24, 1, 0, VFFa1, (/1, 2/), (/nGC_2568, nGC_2569/))

      call avR2(1805, 1, 24, 1, 0, VFFa1, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(1805, 2, 23, 1, 0, VFFa1, (/1, 2/), (/nGC_2570, nGC_2571/))

      call avR2(1805, 3, 23, 1, 0, VFFa1, (/3, 0/), (/nGC_2561, nGC_2561/))

      allocate(vertices(8740)%branchR2(0:0))
      call avR2(8740, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(4920)%branchR2(0:0))
      call avR2(4920, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(2036)%branchR2(0:0))
      call avR2(2036, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(7981)%branchR2(0:0))
      call avR2(7981, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(7609)%branchR2(0:0))
      call avR2(7609, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(10608)%branchR2(0:0))
      call avR2(10608, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(7786)%branchR2(0:1))
      call avR2(7786, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2701, nGC_2703/))

      call avR2(7786, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2702, nGC_2704/))

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9463)%branchR2(0:0))
      call avR2(9463, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7586)%branchR2(0:0))
      call avR2(7586, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10288)%branchR2(0:0))
      call avR2(10288, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(1307)%branchR2(0:0))
      call avR2(1307, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2597, nGC_2596/))

      allocate(vertices(10422)%branchR2(0:0))
      call avR2(10422, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2453, nGC_2452/))

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9253)%branchR2(0:0))
      call avR2(9253, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(9356)%branchR2(0:0))
      call avR2(9356, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(9541)%branchR2(0:0))
      call avR2(9541, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(5584)%branchR2(0:0))
      call avR2(5584, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10156)%branchR2(0:0))
      call avR2(10156, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7152)%branchR2(0:0))
      call avR2(7152, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10609)%branchR2(0:1))
      call avR2(10609, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2867/))

      call avR2(10609, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2868/))

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(10610)%branchR2(0:1))
      call avR2(10610, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2883/))

      call avR2(10610, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2882/))

      allocate(vertices(9376)%branchR2(0:0))
      call avR2(9376, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(6686)%branchR2(0:0))
      call avR2(6686, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(6088)%branchR2(0:0))
      call avR2(6088, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(8984)%branchR2(0:0))
      call avR2(8984, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3744)%branchR2(0:0))
      call avR2(3744, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6945)%branchR2(0:0))
      call avR2(6945, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(6752)%branchR2(0:0))
      call avR2(6752, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(2188)%branchR2(0:0))
      call avR2(2188, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(6766)%branchR2(0:3))
      call avR2(6766, 0, 21, 1, 0, FaVF0, (/1, 2/), (/nGC_2559, nGC_2560/))

      call avR2(6766, 1, 21, 1, 0, FaVF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(6766, 2, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(6766, 3, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2556, nGC_2557/))

      allocate(vertices(3062)%branchR2(0:0))
      call avR2(3062, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(9734)%branchR2(0:0))
      call avR2(9734, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(3051)%branchR2(0:0))
      call avR2(3051, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8003)%branchR2(0:0))
      call avR2(8003, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10086)%branchR2(0:0))
      call avR2(10086, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2761/))

      allocate(vertices(4804)%branchR2(0:0))
      call avR2(4804, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(9193)%branchR2(0:0))
      call avR2(9193, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2469/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2490/))

      allocate(vertices(8037)%branchR2(0:0))
      call avR2(8037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(2080)%branchR2(0:1))
      call avR2(2080, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(2080, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(2478)%branchR2(0:0))
      call avR2(2478, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(9816)%branchR2(0:0))
      call avR2(9816, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4852)%branchR2(0:0))
      call avR2(4852, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(3897)%branchR2(0:0))
      call avR2(3897, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2929/))

      allocate(vertices(10611)%branchR2(0:0))
      call avR2(10611, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(5755)%branchR2(0:0))
      call avR2(5755, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2589/))

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(5254)%branchR2(0:0))
      call avR2(5254, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2605, nGC_2604/))

      allocate(vertices(6792)%branchR2(0:0))
      call avR2(6792, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(129)%branchR2(0:1))
      call avR2(129, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2514, nGC_2515/))

      call avR2(129, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5898)%branchR2(0:0))
      call avR2(5898, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(2201)%branchR2(0:1))
      call avR2(2201, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_2630/))

      call avR2(2201, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(8582)%branchR2(0:0))
      call avR2(8582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(7865)%branchR2(0:0))
      call avR2(7865, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(4709)%branchR2(0:0))
      call avR2(4709, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2821, nGC_2822,       &
      nGC_2823/))

      allocate(vertices(5637)%branchR2(0:1))
      call avR2(5637, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2630/))

      call avR2(5637, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(10612)%branchR2(0:1))
      call avR2(10612, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10612, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(5410)%branchR2(0:0))
      call avR2(5410, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2786,       &
      nGC_2784/))

      allocate(vertices(10458)%branchR2(0:0))
      call avR2(10458, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(4145)%branchR2(0:1))
      call avR2(4145, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2661, nGC_2659/))

      call avR2(4145, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2662, nGC_2660/))

      allocate(vertices(2800)%branchR2(0:0))
      call avR2(2800, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10613)%branchR2(0:0))
      call avR2(10613, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(10614)%branchR2(0:1))
      call avR2(10614, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2886/))

      call avR2(10614, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2885/))

      allocate(vertices(8002)%branchR2(0:0))
      call avR2(8002, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(8793)%branchR2(0:0))
      call avR2(8793, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6166)%branchR2(0:1))
      call avR2(6166, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2691, nGC_2689/))

      call avR2(6166, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2692, nGC_2690/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(9454)%branchR2(0:0))
      call avR2(9454, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(6210)%branchR2(0:0))
      call avR2(6210, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2774, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(6508)%branchR2(0:0))
      call avR2(6508, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7070)%branchR2(0:1))
      call avR2(7070, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_2630/))

      call avR2(7070, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(10615)%branchR2(0:0))
      call avR2(10615, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(5970)%branchR2(0:1))
      call avR2(5970, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2524, nGC_2525/))

      call avR2(5970, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(1824)%branchR2(0:0))
      call avR2(1824, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(9711)%branchR2(0:0))
      call avR2(9711, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(2686)%branchR2(0:1))
      call avR2(2686, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2749, nGC_2747/))

      call avR2(2686, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2750, nGC_2748/))

      allocate(vertices(5132)%branchR2(0:0))
      call avR2(5132, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9419)%branchR2(0:0))
      call avR2(9419, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(2472)%branchR2(0:0))
      call avR2(2472, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(7257)%branchR2(0:0))
      call avR2(7257, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(10616)%branchR2(0:0))
      call avR2(10616, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3760)%branchR2(0:0))
      call avR2(3760, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4049)%branchR2(0:0))
      call avR2(4049, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(6554)%branchR2(0:0))
      call avR2(6554, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(4178)%branchR2(0:0))
      call avR2(4178, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6457)%branchR2(0:1))
      call avR2(6457, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2725, nGC_2723/))

      call avR2(6457, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2726, nGC_2724/))

      allocate(vertices(10040)%branchR2(0:0))
      call avR2(10040, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4060/))

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(7620)%branchR2(0:0))
      call avR2(7620, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2590/))

      allocate(vertices(10109)%branchR2(0:0))
      call avR2(10109, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2528/))

      allocate(vertices(2391)%branchR2(0:0))
      call avR2(2391, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(7781)%branchR2(0:0))
      call avR2(7781, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9057)%branchR2(0:0))
      call avR2(9057, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(5828)%branchR2(0:0))
      call avR2(5828, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2506, nGC_2507/))

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(7348)%branchR2(0:0))
      call avR2(7348, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(8807)%branchR2(0:0))
      call avR2(8807, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2508, nGC_2509/))

      allocate(vertices(5000)%branchR2(0:0))
      call avR2(5000, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2593, nGC_2592/))

      allocate(vertices(6237)%branchR2(0:0))
      call avR2(6237, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(3556)%branchR2(0:0))
      call avR2(3556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(4092)%branchR2(0:0))
      call avR2(4092, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2832/))

      allocate(vertices(3940)%branchR2(0:0))
      call avR2(3940, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2547/))

      allocate(vertices(7556)%branchR2(0:1))
      call avR2(7556, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2671, nGC_2673/))

      call avR2(7556, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2672, nGC_2674/))

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(7357)%branchR2(0:0))
      call avR2(7357, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2923/))

      allocate(vertices(9526)%branchR2(0:0))
      call avR2(9526, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(8097)%branchR2(0:0))
      call avR2(8097, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10617)%branchR2(0:0))
      call avR2(10617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2942/))

      allocate(vertices(10618)%branchR2(0:1))
      call avR2(10618, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2888/))

      call avR2(10618, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2603, nGC_2602/))

      allocate(vertices(2347)%branchR2(0:0))
      call avR2(2347, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9130)%branchR2(0:0))
      call avR2(9130, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(3942)%branchR2(0:0))
      call avR2(3942, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10619)%branchR2(0:1))
      call avR2(10619, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2842, nGC_2842,    &
      nGC_2842/))

      call avR2(10619, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(1997)%branchR2(0:1))
      call avR2(1997, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2681, nGC_2679/))

      call avR2(1997, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2682, nGC_2680/))

      allocate(vertices(9148)%branchR2(0:0))
      call avR2(9148, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10620)%branchR2(0:0))
      call avR2(10620, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(9658)%branchR2(0:0))
      call avR2(9658, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2402, nGC_2400,        &
      nGC_2401/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(4538)%branchR2(0:0))
      call avR2(4538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2530/))

      allocate(vertices(3450)%branchR2(0:0))
      call avR2(3450, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(5283)%branchR2(0:1))
      call avR2(5283, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2688, nGC_2687/))

      call avR2(5283, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2686, nGC_2686/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6469)%branchR2(0:0))
      call avR2(6469, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2670)%branchR2(0:1))
      call avR2(2670, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2665, nGC_2663/))

      call avR2(2670, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2666, nGC_2664/))

      allocate(vertices(6402)%branchR2(0:0))
      call avR2(6402, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6291)%branchR2(0:1))
      call avR2(6291, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2658, nGC_2657/))

      call avR2(6291, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2656, nGC_2656/))

      allocate(vertices(4481)%branchR2(0:0))
      call avR2(4481, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9545)%branchR2(0:0))
      call avR2(9545, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7538)%branchR2(0:0))
      call avR2(7538, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2502/))

      allocate(vertices(3865)%branchR2(0:0))
      call avR2(3865, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4836)%branchR2(0:0))
      call avR2(4836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(4990)%branchR2(0:0))
      call avR2(4990, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(9513)%branchR2(0:0))
      call avR2(9513, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(3268)%branchR2(0:0))
      call avR2(3268, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(4071)%branchR2(0:0))
      call avR2(4071, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2597, nGC_2596/))

      allocate(vertices(7358)%branchR2(0:1))
      call avR2(7358, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2749, nGC_2747/))

      call avR2(7358, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2750, nGC_2748/))

      allocate(vertices(8683)%branchR2(0:0))
      call avR2(8683, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(9728)%branchR2(0:0))
      call avR2(9728, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4061/))

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(4519)%branchR2(0:1))
      call avR2(4519, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2721, nGC_2719/))

      call avR2(4519, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2722, nGC_2720/))

      allocate(vertices(7910)%branchR2(0:0))
      call avR2(7910, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(8976)%branchR2(0:0))
      call avR2(8976, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2468/))

      allocate(vertices(8193)%branchR2(0:0))
      call avR2(8193, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7477)%branchR2(0:0))
      call avR2(7477, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(5107)%branchR2(0:3))
      call avR2(5107, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2584, nGC_2585/))

      call avR2(5107, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(5107, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2582, nGC_2583/))

      call avR2(5107, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(10222)%branchR2(0:0))
      call avR2(10222, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10621)%branchR2(0:1))
      call avR2(10621, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10621, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(8122)%branchR2(0:0))
      call avR2(8122, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10622)%branchR2(0:0))
      call avR2(10622, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(8221)%branchR2(0:0))
      call avR2(8221, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2587/))

      allocate(vertices(3112)%branchR2(0:0))
      call avR2(3112, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2613, nGC_2612/))

      allocate(vertices(9867)%branchR2(0:0))
      call avR2(9867, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(8105)%branchR2(0:0))
      call avR2(8105, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(8283)%branchR2(0:0))
      call avR2(8283, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(611)%branchR2(0:1))
      call avR2(611, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2732, nGC_2731/))

      call avR2(611, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2730, nGC_2730/))

      allocate(vertices(2322)%branchR2(0:0))
      call avR2(2322, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6247)%branchR2(0:0))
      call avR2(6247, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(9884)%branchR2(0:0))
      call avR2(9884, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10623)%branchR2(0:1))
      call avR2(10623, 0, 128, 1, 0, SVV0, (/2, 1/), (/nGC_2563/))

      call avR2(10623, 1, 127, 1, 0, SVV0, (/2, 1/), (/nGC_2562/))

      allocate(vertices(5026)%branchR2(0:0))
      call avR2(5026, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(10624)%branchR2(0:1))
      call avR2(10624, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2883/))

      call avR2(10624, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2882/))

      allocate(vertices(9433)%branchR2(0:0))
      call avR2(9433, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2467/))

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(10343)%branchR2(0:0))
      call avR2(10343, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(5905)%branchR2(0:0))
      call avR2(5905, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2753/))

      allocate(vertices(2151)%branchR2(0:0))
      call avR2(2151, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(8950)%branchR2(0:0))
      call avR2(8950, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(139)%branchR2(0:1))
      call avR2(139, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2721, nGC_2719/))

      call avR2(139, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2722, nGC_2720/))

      allocate(vertices(7184)%branchR2(0:1))
      call avR2(7184, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2671, nGC_2673/))

      call avR2(7184, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2672, nGC_2674/))

      allocate(vertices(10240)%branchR2(0:0))
      call avR2(10240, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(4866)%branchR2(0:0))
      call avR2(4866, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(2022)%branchR2(0:1))
      call avR2(2022, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2665, nGC_2663/))

      call avR2(2022, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2666, nGC_2664/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(4858)%branchR2(0:0))
      call avR2(4858, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(9927)%branchR2(0:0))
      call avR2(9927, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(4899)%branchR2(0:0))
      call avR2(4899, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7042)%branchR2(0:0))
      call avR2(7042, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(9860)%branchR2(0:0))
      call avR2(9860, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4435)%branchR2(0:0))
      call avR2(4435, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2758/))

      allocate(vertices(10625)%branchR2(0:1))
      call avR2(10625, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2795, nGC_2795,    &
      nGC_2795/))

      call avR2(10625, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2794, nGC_2794,    &
      nGC_2794/))

      allocate(vertices(3971)%branchR2(0:0))
      call avR2(3971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(7110)%branchR2(0:0))
      call avR2(7110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10626)%branchR2(0:0))
      call avR2(10626, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(1867)%branchR2(0:0))
      call avR2(1867, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(10627)%branchR2(0:1))
      call avR2(10627, 0, 125, 1, 0, VVS0, (/2, 1/), (/nGC_2554/))

      call avR2(10627, 1, 126, 1, 0, VVS0, (/2, 1/), (/nGC_2555/))

      allocate(vertices(6456)%branchR2(0:0))
      call avR2(6456, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9175)%branchR2(0:0))
      call avR2(9175, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2528/))

      allocate(vertices(8959)%branchR2(0:0))
      call avR2(8959, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6920)%branchR2(0:0))
      call avR2(6920, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(1585)%branchR2(0:3))
      call avR2(1585, 0, 17, 1, 0, FVFa0, (/1, 2/), (/nGC_2559, nGC_2560/))

      call avR2(1585, 1, 17, 1, 0, FVFa0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(1585, 2, 18, 1, 0, FVFa0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(1585, 3, 18, 1, 0, FVFa0, (/1, 2/), (/nGC_2556, nGC_2557/))

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(4762)%branchR2(0:0))
      call avR2(4762, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(10628)%branchR2(0:0))
      call avR2(10628, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2781, nGC_2782,      &
      nGC_2782/))

      allocate(vertices(7995)%branchR2(0:0))
      call avR2(7995, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3619)%branchR2(0:1))
      call avR2(3619, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(3619, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(8897)%branchR2(0:0))
      call avR2(8897, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2420, nGC_2418,       &
      nGC_2418, nGC_2419/))

      allocate(vertices(10629)%branchR2(0:0))
      call avR2(10629, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6940)%branchR2(0:1))
      call avR2(6940, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2735, nGC_2733/))

      call avR2(6940, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2736, nGC_2734/))

      allocate(vertices(8128)%branchR2(0:0))
      call avR2(8128, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(3526)%branchR2(0:0))
      call avR2(3526, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(8816)%branchR2(0:0))
      call avR2(8816, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(3512)%branchR2(0:3))
      call avR2(3512, 0, 19, 1, 0, FaFV0, (/1, 2/), (/nGC_2559, nGC_2560/))

      call avR2(3512, 1, 19, 1, 0, FaFV0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(3512, 2, 20, 1, 0, FaFV0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(3512, 3, 20, 1, 0, FaFV0, (/1, 2/), (/nGC_2556, nGC_2557/))

      allocate(vertices(9873)%branchR2(0:0))
      call avR2(9873, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6988)%branchR2(0:0))
      call avR2(6988, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7145)%branchR2(0:0))
      call avR2(7145, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2927/))

      allocate(vertices(10630)%branchR2(0:1))
      call avR2(10630, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_2818, nGC_2818,    &
      nGC_2818/))

      call avR2(10630, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_2817, nGC_2817,    &
      nGC_2817/))

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(4011)%branchR2(0:0))
      call avR2(4011, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(5090)%branchR2(0:0))
      call avR2(5090, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(9746)%branchR2(0:0))
      call avR2(9746, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(2874)%branchR2(0:0))
      call avR2(2874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5703)%branchR2(0:0))
      call avR2(5703, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8840)%branchR2(0:0))
      call avR2(8840, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(7426)%branchR2(0:1))
      call avR2(7426, 0, 28, 1, 0, VFFa0, (/0, 3/), (/nGC_2630/))

      call avR2(7426, 1, 28, 1, 0, VFFa0, (/2, 1/), (/nGC_2631/))

      allocate(vertices(6209)%branchR2(0:0))
      call avR2(6209, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(6445)%branchR2(0:1))
      call avR2(6445, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2645, nGC_2647/))

      call avR2(6445, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2646, nGC_2648/))

      allocate(vertices(10631)%branchR2(0:0))
      call avR2(10631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2936/))

      allocate(vertices(7460)%branchR2(0:0))
      call avR2(7460, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(3316)%branchR2(0:0))
      call avR2(3316, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(4158)%branchR2(0:0))
      call avR2(4158, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(10169)%branchR2(0:0))
      call avR2(10169, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(2587)%branchR2(0:0))
      call avR2(2587, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(9050)%branchR2(0:0))
      call avR2(9050, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4464)%branchR2(0:0))
      call avR2(4464, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(4705)%branchR2(0:0))
      call avR2(4705, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2786,       &
      nGC_2784/))

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4062/))

      allocate(vertices(7329)%branchR2(0:0))
      call avR2(7329, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2628)%branchR2(0:0))
      call avR2(2628, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(6874)%branchR2(0:1))
      call avR2(6874, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2701, nGC_2703/))

      call avR2(6874, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2702, nGC_2704/))

      allocate(vertices(8540)%branchR2(0:0))
      call avR2(8540, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(8169)%branchR2(0:1))
      call avR2(8169, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2715, nGC_2714/))

      call avR2(8169, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2713, nGC_2713/))

      allocate(vertices(6569)%branchR2(0:0))
      call avR2(6569, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10632)%branchR2(0:1))
      call avR2(10632, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2871/))

      call avR2(10632, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2872/))

      allocate(vertices(1451)%branchR2(0:1))
      call avR2(1451, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2695, nGC_2693/))

      call avR2(1451, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2696, nGC_2694/))

      allocate(vertices(10633)%branchR2(0:1))
      call avR2(10633, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2869/))

      call avR2(10633, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2870/))

      allocate(vertices(8208)%branchR2(0:3))
      call avR2(8208, 0, 24, 1, 0, VFFa1, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(8208, 1, 24, 1, 0, VFFa1, (/1, 2/), (/nGC_2564, nGC_2565/))

      call avR2(8208, 2, 23, 1, 0, VFFa1, (/1, 2/), (/nGC_2566, nGC_2567/))

      call avR2(8208, 3, 23, 1, 0, VFFa1, (/3, 0/), (/nGC_2561, nGC_2561/))

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4018)%branchR2(0:0))
      call avR2(4018, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(7390)%branchR2(0:0))
      call avR2(7390, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(8941)%branchR2(0:0))
      call avR2(8941, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(892)%branchR2(0:1))
      call avR2(892, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2483, nGC_2484/))

      call avR2(892, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(7678)%branchR2(0:0))
      call avR2(7678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(1343)%branchR2(0:0))
      call avR2(1343, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6345)%branchR2(0:0))
      call avR2(6345, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2761/))

      allocate(vertices(6296)%branchR2(0:0))
      call avR2(6296, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2472, nGC_2473/))

      allocate(vertices(4597)%branchR2(0:0))
      call avR2(4597, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(4984)%branchR2(0:0))
      call avR2(4984, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(5506)%branchR2(0:0))
      call avR2(5506, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7835)%branchR2(0:0))
      call avR2(7835, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(3594)%branchR2(0:0))
      call avR2(3594, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(4833)%branchR2(0:1))
      call avR2(4833, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2516, nGC_2517/))

      call avR2(4833, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(4374)%branchR2(0:1))
      call avR2(4374, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2699, nGC_2697/))

      call avR2(4374, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2700, nGC_2698/))

      allocate(vertices(6796)%branchR2(0:0))
      call avR2(6796, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(6409)%branchR2(0:0))
      call avR2(6409, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9304)%branchR2(0:0))
      call avR2(9304, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(153)%branchR2(0:1))
      call avR2(153, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2718, nGC_2717/))

      call avR2(153, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2716, nGC_2716/))

      allocate(vertices(4106)%branchR2(0:0))
      call avR2(4106, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10634)%branchR2(0:1))
      call avR2(10634, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2899/))

      call avR2(10634, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(8856)%branchR2(0:0))
      call avR2(8856, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(8537)%branchR2(0:1))
      call avR2(8537, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2658, nGC_2657/))

      call avR2(8537, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2656, nGC_2656/))

      allocate(vertices(7702)%branchR2(0:1))
      call avR2(7702, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2665, nGC_2663/))

      call avR2(7702, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2666, nGC_2664/))

      allocate(vertices(1707)%branchR2(0:1))
      call avR2(1707, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2691, nGC_2689/))

      call avR2(1707, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2692, nGC_2690/))

      allocate(vertices(10635)%branchR2(0:1))
      call avR2(10635, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2876/))

      call avR2(10635, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(2323)%branchR2(0:0))
      call avR2(2323, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2539/))

      allocate(vertices(10636)%branchR2(0:1))
      call avR2(10636, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10636, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(4912)%branchR2(0:0))
      call avR2(4912, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(10236)%branchR2(0:0))
      call avR2(10236, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6116)%branchR2(0:0))
      call avR2(6116, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(10239)%branchR2(0:0))
      call avR2(10239, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(6321)%branchR2(0:0))
      call avR2(6321, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1755)%branchR2(0:1))
      call avR2(1755, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2476, nGC_2477/))

      call avR2(1755, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(8879)%branchR2(0:0))
      call avR2(8879, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2528/))

      allocate(vertices(7961)%branchR2(0:0))
      call avR2(7961, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2962)%branchR2(0:0))
      call avR2(2962, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2753/))

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10637)%branchR2(0:1))
      call avR2(10637, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2868/))

      call avR2(10637, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(7465)%branchR2(0:0))
      call avR2(7465, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5089)%branchR2(0:0))
      call avR2(5089, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(10638)%branchR2(0:0))
      call avR2(10638, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6304)%branchR2(0:0))
      call avR2(6304, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(9640)%branchR2(0:0))
      call avR2(9640, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5907)%branchR2(0:0))
      call avR2(5907, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2779)%branchR2(0:0))
      call avR2(2779, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2605, nGC_2604/))

      allocate(vertices(8931)%branchR2(0:0))
      call avR2(8931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(6462)%branchR2(0:0))
      call avR2(6462, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2503/))

      allocate(vertices(3057)%branchR2(0:0))
      call avR2(3057, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(1787)%branchR2(0:1))
      call avR2(1787, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2622, nGC_2621/))

      call avR2(1787, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2620, nGC_2620/))

      allocate(vertices(7523)%branchR2(0:0))
      call avR2(7523, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2935/))

      allocate(vertices(8742)%branchR2(0:0))
      call avR2(8742, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6863)%branchR2(0:0))
      call avR2(6863, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2761/))

      allocate(vertices(10341)%branchR2(0:0))
      call avR2(10341, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10639)%branchR2(0:0))
      call avR2(10639, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2828, nGC_2828,      &
      nGC_2828/))

      allocate(vertices(620)%branchR2(0:1))
      call avR2(620, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2718, nGC_2717/))

      call avR2(620, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2716, nGC_2716/))

      allocate(vertices(7259)%branchR2(0:0))
      call avR2(7259, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2764/))

      allocate(vertices(6264)%branchR2(0:0))
      call avR2(6264, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2546/))

      allocate(vertices(10640)%branchR2(0:5))
      call avR2(10640, 0, 169, 1, 0, VVVV0, (/3, 1/), (/nGC_2866, nGC_2866,    &
      nGC_2866/))

      call avR2(10640, 1, 167, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10640, 2, 168, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10640, 3, 166, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      call avR2(10640, 4, 170, 1, 0, VVVV0, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10640, 5, 165, 1, 0, VVVV0, (/3, 1/), (/nGC_2865, nGC_2865,    &
      nGC_2865/))

      allocate(vertices(4448)%branchR2(0:0))
      call avR2(4448, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2751/))

      allocate(vertices(10384)%branchR2(0:0))
      call avR2(10384, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10641)%branchR2(0:0))
      call avR2(10641, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(806)%branchR2(0:1))
      call avR2(806, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2658, nGC_2657/))

      call avR2(806, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2656, nGC_2656/))

      allocate(vertices(5109)%branchR2(0:0))
      call avR2(5109, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2593, nGC_2592/))

      allocate(vertices(9740)%branchR2(0:0))
      call avR2(9740, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(3422)%branchR2(0:0))
      call avR2(3422, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6057)%branchR2(0:0))
      call avR2(6057, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(10448)%branchR2(0:0))
      call avR2(10448, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5264)%branchR2(0:0))
      call avR2(5264, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(4378)%branchR2(0:0))
      call avR2(4378, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2785,       &
      nGC_2784/))

      allocate(vertices(10642)%branchR2(0:1))
      call avR2(10642, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2870/))

      call avR2(10642, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(10061)%branchR2(0:0))
      call avR2(10061, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(4089)%branchR2(0:0))
      call avR2(4089, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(4102)%branchR2(0:1))
      call avR2(4102, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2625, nGC_2624/))

      call avR2(4102, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2623, nGC_2623/))

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9005)%branchR2(0:0))
      call avR2(9005, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4036/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(4143)%branchR2(0:1))
      call avR2(4143, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2695, nGC_2693/))

      call avR2(4143, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2696, nGC_2694/))

      allocate(vertices(5097)%branchR2(0:0))
      call avR2(5097, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6186)%branchR2(0:0))
      call avR2(6186, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(10094)%branchR2(0:0))
      call avR2(10094, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(8915)%branchR2(0:0))
      call avR2(8915, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2441, nGC_2440/))

      allocate(vertices(10004)%branchR2(0:1))
      call avR2(10004, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2427, nGC_2428,     &
      nGC_2428, nGC_2426/))

      call avR2(10004, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2425, nGC_2429,     &
      nGC_2429, nGC_2425/))

      allocate(vertices(5287)%branchR2(0:0))
      call avR2(5287, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10643)%branchR2(0:0))
      call avR2(10643, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2777/))

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(6725)%branchR2(0:0))
      call avR2(6725, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8477)%branchR2(0:0))
      call avR2(8477, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2588/))

      allocate(vertices(8227)%branchR2(0:0))
      call avR2(8227, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2917/))

      allocate(vertices(6238)%branchR2(0:0))
      call avR2(6238, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(4950)%branchR2(0:0))
      call avR2(4950, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(7209)%branchR2(0:0))
      call avR2(7209, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2774, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(6724)%branchR2(0:0))
      call avR2(6724, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(9565)%branchR2(0:0))
      call avR2(9565, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(9840)%branchR2(0:0))
      call avR2(9840, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(8716)%branchR2(0:0))
      call avR2(8716, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8684)%branchR2(0:0))
      call avR2(8684, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(9392)%branchR2(0:0))
      call avR2(9392, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2492/))

      allocate(vertices(6804)%branchR2(0:0))
      call avR2(6804, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2587/))

      allocate(vertices(8240)%branchR2(0:0))
      call avR2(8240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(5523)%branchR2(0:1))
      call avR2(5523, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2634, nGC_2632/))

      call avR2(5523, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2635, nGC_2633/))

      allocate(vertices(9378)%branchR2(0:0))
      call avR2(9378, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10644)%branchR2(0:0))
      call avR2(10644, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2784,       &
      nGC_2785/))

      allocate(vertices(5243)%branchR2(0:1))
      call avR2(5243, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2630/))

      call avR2(5243, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(10645)%branchR2(0:0))
      call avR2(10645, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4069)%branchR2(0:0))
      call avR2(4069, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4062/))

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(8372)%branchR2(0:1))
      call avR2(8372, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2658, nGC_2657/))

      call avR2(8372, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2656, nGC_2656/))

      allocate(vertices(4674)%branchR2(0:0))
      call avR2(4674, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10310)%branchR2(0:0))
      call avR2(10310, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(6649)%branchR2(0:1))
      call avR2(6649, 0, 29, 1, 0, VFaF1, (/0, 3/), (/nGC_2630/))

      call avR2(6649, 1, 29, 1, 0, VFaF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(8729)%branchR2(0:0))
      call avR2(8729, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(7812)%branchR2(0:0))
      call avR2(7812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2935/))

      allocate(vertices(2448)%branchR2(0:0))
      call avR2(2448, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(8176)%branchR2(0:0))
      call avR2(8176, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(10646)%branchR2(0:0))
      call avR2(10646, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9759)%branchR2(0:0))
      call avR2(9759, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(5251)%branchR2(0:0))
      call avR2(5251, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(5642)%branchR2(0:0))
      call avR2(5642, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2504, nGC_2505/))

      allocate(vertices(9040)%branchR2(0:0))
      call avR2(9040, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(2213)%branchR2(0:1))
      call avR2(2213, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2735, nGC_2733/))

      call avR2(2213, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2736, nGC_2734/))

      allocate(vertices(5830)%branchR2(0:0))
      call avR2(5830, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3599)%branchR2(0:0))
      call avR2(3599, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(10647)%branchR2(0:0))
      call avR2(10647, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9606)%branchR2(0:0))
      call avR2(9606, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2414, nGC_2412,        &
      nGC_2413/))

      allocate(vertices(5786)%branchR2(0:0))
      call avR2(5786, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(3891)%branchR2(0:0))
      call avR2(3891, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(7392)%branchR2(0:0))
      call avR2(7392, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(10648)%branchR2(0:1))
      call avR2(10648, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2868/))

      call avR2(10648, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2867/))

      allocate(vertices(3607)%branchR2(0:0))
      call avR2(3607, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(9413)%branchR2(0:0))
      call avR2(9413, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2441, nGC_2440/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(447)%branchR2(0:1))
      call avR2(447, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2638, nGC_2636/))

      call avR2(447, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2639, nGC_2637/))

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(7647)%branchR2(0:0))
      call avR2(7647, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(767)%branchR2(0:1))
      call avR2(767, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2746, nGC_2745/))

      call avR2(767, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2744, nGC_2744/))

      allocate(vertices(3821)%branchR2(0:0))
      call avR2(3821, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2506, nGC_2507/))

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2586/))

      allocate(vertices(8776)%branchR2(0:0))
      call avR2(8776, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10649)%branchR2(0:1))
      call avR2(10649, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10649, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(5308)%branchR2(0:0))
      call avR2(5308, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4047/))

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(549)%branchR2(0:1))
      call avR2(549, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2699, nGC_2697/))

      call avR2(549, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2700, nGC_2698/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10650)%branchR2(0:0))
      call avR2(10650, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10651)%branchR2(0:0))
      call avR2(10651, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10652)%branchR2(0:1))
      call avR2(10652, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2898/))

      call avR2(10652, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2899/))

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(7888)%branchR2(0:0))
      call avR2(7888, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(4398)%branchR2(0:0))
      call avR2(4398, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2762/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6684)%branchR2(0:0))
      call avR2(6684, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2534/))

      allocate(vertices(10653)%branchR2(0:0))
      call avR2(10653, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2792, nGC_2792,      &
      nGC_2792/))

      allocate(vertices(10654)%branchR2(0:0))
      call avR2(10654, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5914)%branchR2(0:0))
      call avR2(5914, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(6379)%branchR2(0:0))
      call avR2(6379, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(7305)%branchR2(0:0))
      call avR2(7305, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9215)%branchR2(0:0))
      call avR2(9215, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8538)%branchR2(0:0))
      call avR2(8538, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2923/))

      allocate(vertices(8738)%branchR2(0:0))
      call avR2(8738, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(5669)%branchR2(0:0))
      call avR2(5669, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(2713)%branchR2(0:0))
      call avR2(2713, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2472, nGC_2473/))

      allocate(vertices(4934)%branchR2(0:0))
      call avR2(4934, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(4643)%branchR2(0:0))
      call avR2(4643, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(5027)%branchR2(0:1))
      call avR2(5027, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2514, nGC_2515/))

      call avR2(5027, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(8799)%branchR2(0:0))
      call avR2(8799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(8575)%branchR2(0:1))
      call avR2(8575, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2701, nGC_2703/))

      call avR2(8575, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2702, nGC_2704/))

      allocate(vertices(10655)%branchR2(0:0))
      call avR2(10655, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(7555)%branchR2(0:0))
      call avR2(7555, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6676)%branchR2(0:0))
      call avR2(6676, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(3913)%branchR2(0:0))
      call avR2(3913, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2613, nGC_2612/))

      allocate(vertices(9503)%branchR2(0:0))
      call avR2(9503, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7218)%branchR2(0:1))
      call avR2(7218, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_2640/))

      call avR2(7218, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(10656)%branchR2(0:1))
      call avR2(10656, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2875/))

      call avR2(10656, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2876/))

      allocate(vertices(9593)%branchR2(0:0))
      call avR2(9593, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(5377)%branchR2(0:0))
      call avR2(5377, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      allocate(vertices(6555)%branchR2(0:0))
      call avR2(6555, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2918/))

      allocate(vertices(7248)%branchR2(0:0))
      call avR2(7248, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2589/))

      allocate(vertices(5108)%branchR2(0:1))
      call avR2(5108, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2476, nGC_2477/))

      call avR2(5108, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(2544)%branchR2(0:0))
      call avR2(2544, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(7158)%branchR2(0:0))
      call avR2(7158, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(5580)%branchR2(0:0))
      call avR2(5580, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(3742)%branchR2(0:1))
      call avR2(3742, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2479, nGC_2480/))

      call avR2(3742, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(7036)%branchR2(0:1))
      call avR2(7036, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2641, nGC_2643/))

      call avR2(7036, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2642, nGC_2644/))

      allocate(vertices(6359)%branchR2(0:0))
      call avR2(6359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10295)%branchR2(0:0))
      call avR2(10295, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4369)%branchR2(0:0))
      call avR2(4369, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2611, nGC_2610/))

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(10657)%branchR2(0:1))
      call avR2(10657, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2870/))

      call avR2(10657, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(8978)%branchR2(0:0))
      call avR2(8978, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6770)%branchR2(0:0))
      call avR2(6770, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4063/))

      allocate(vertices(7185)%branchR2(0:0))
      call avR2(7185, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5930)%branchR2(0:0))
      call avR2(5930, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(7707)%branchR2(0:0))
      call avR2(7707, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2590/))

      allocate(vertices(911)%branchR2(0:3))
      call avR2(911, 0, 17, 1, 0, FVFa0, (/1, 2/), (/nGC_2576, nGC_2577/))

      call avR2(911, 1, 17, 1, 0, FVFa0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(911, 2, 18, 1, 0, FVFa0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(911, 3, 18, 1, 0, FVFa0, (/1, 2/), (/nGC_2574, nGC_2575/))

      allocate(vertices(4855)%branchR2(0:0))
      call avR2(4855, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(1180)%branchR2(0:0))
      call avR2(1180, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(824)%branchR2(0:3))
      call avR2(824, 0, 24, 1, 0, VFFa1, (/1, 2/), (/nGC_2582, nGC_2583/))

      call avR2(824, 1, 24, 1, 0, VFFa1, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(824, 2, 23, 1, 0, VFFa1, (/1, 2/), (/nGC_2584, nGC_2585/))

      call avR2(824, 3, 23, 1, 0, VFFa1, (/3, 0/), (/nGC_2561, nGC_2561/))

      allocate(vertices(6245)%branchR2(0:0))
      call avR2(6245, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2821, nGC_2823,       &
      nGC_2822/))

      allocate(vertices(7437)%branchR2(0:0))
      call avR2(7437, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2593, nGC_2592/))

      allocate(vertices(4210)%branchR2(0:0))
      call avR2(4210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2934/))

      allocate(vertices(9076)%branchR2(0:0))
      call avR2(9076, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(5423)%branchR2(0:0))
      call avR2(5423, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2603, nGC_2602/))

      allocate(vertices(9224)%branchR2(0:0))
      call avR2(9224, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9191)%branchR2(0:0))
      call avR2(9191, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(3886)%branchR2(0:0))
      call avR2(3886, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2588/))

      allocate(vertices(6682)%branchR2(0:0))
      call avR2(6682, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2611, nGC_2610/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(7597)%branchR2(0:0))
      call avR2(7597, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10658)%branchR2(0:0))
      call avR2(10658, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(7993)%branchR2(0:1))
      call avR2(7993, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2516, nGC_2517/))

      call avR2(7993, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(5084)%branchR2(0:0))
      call avR2(5084, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(8549)%branchR2(0:0))
      call avR2(8549, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5656)%branchR2(0:0))
      call avR2(5656, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6104)%branchR2(0:0))
      call avR2(6104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(5768)%branchR2(0:0))
      call avR2(5768, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(2351)%branchR2(0:0))
      call avR2(2351, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(3500)%branchR2(0:1))
      call avR2(3500, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2522, nGC_2523/))

      call avR2(3500, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(4292)%branchR2(0:0))
      call avR2(4292, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4064/))

      allocate(vertices(8559)%branchR2(0:0))
      call avR2(8559, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2784,       &
      nGC_2785/))

      allocate(vertices(10280)%branchR2(0:0))
      call avR2(10280, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2445, nGC_2444/))

      allocate(vertices(2224)%branchR2(0:0))
      call avR2(2224, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5682)%branchR2(0:0))
      call avR2(5682, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2685, nGC_2684/))

      call avR2(1644, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2751/))

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(6648)%branchR2(0:0))
      call avR2(6648, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(5610)%branchR2(0:0))
      call avR2(5610, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8759)%branchR2(0:0))
      call avR2(8759, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2599, nGC_2598/))

      allocate(vertices(6254)%branchR2(0:0))
      call avR2(6254, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(4322)%branchR2(0:0))
      call avR2(4322, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3475)%branchR2(0:0))
      call avR2(3475, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2943/))

      allocate(vertices(10398)%branchR2(0:0))
      call avR2(10398, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2414, nGC_2412,       &
      nGC_2413/))

      allocate(vertices(6525)%branchR2(0:0))
      call avR2(6525, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(6433)%branchR2(0:0))
      call avR2(6433, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2786, nGC_2784,       &
      nGC_2785/))

      allocate(vertices(8753)%branchR2(0:0))
      call avR2(8753, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2892/))

    end subroutine fill_vertices_mdl22
end module vertices_info22
