!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2764/))

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6621)%branchR2(0:0))
      call avR2(6621, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(6858)%branchR2(0:0))
      call avR2(6858, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2607, nGC_2606/))

      allocate(vertices(5228)%branchR2(0:0))
      call avR2(5228, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2588/))

      allocate(vertices(10208)%branchR2(0:1))
      call avR2(10208, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2435, nGC_2432,      &
      nGC_2432, nGC_2434/))

      call avR2(10208, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2425, nGC_2433,      &
      nGC_2433, nGC_2425/))

      allocate(vertices(6543)%branchR2(0:0))
      call avR2(6543, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4503)%branchR2(0:0))
      call avR2(4503, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(7464)%branchR2(0:3))
      call avR2(7464, 0, 21, 1, 0, FaVF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(7464, 1, 21, 1, 0, FaVF0, (/1, 2/), (/nGC_2580, nGC_2581/))

      call avR2(7464, 2, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2578, nGC_2579/))

      call avR2(7464, 3, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(10730)%branchR2(0:0))
      call avR2(10730, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10213)%branchR2(0:0))
      call avR2(10213, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2467/))

      allocate(vertices(8273)%branchR2(0:0))
      call avR2(8273, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7576)%branchR2(0:1))
      call avR2(7576, 0, 29, 1, 0, VFaF0, (/0, 3/), (/nGC_2510, nGC_2512/))

      call avR2(7576, 1, 29, 1, 0, VFaF0, (/2, 1/), (/nGC_2511, nGC_2513/))

      allocate(vertices(7037)%branchR2(0:0))
      call avR2(7037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(6495)%branchR2(0:1))
      call avR2(6495, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2688, nGC_2687/))

      call avR2(6495, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2686, nGC_2686/))

      allocate(vertices(4370)%branchR2(0:0))
      call avR2(4370, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(8921)%branchR2(0:0))
      call avR2(8921, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9480)%branchR2(0:0))
      call avR2(9480, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1600)%branchR2(0:1))
      call avR2(1600, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2681, nGC_2679/))

      call avR2(1600, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2682, nGC_2680/))

      allocate(vertices(3457)%branchR2(0:0))
      call avR2(3457, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(5653)%branchR2(0:0))
      call avR2(5653, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(4504)%branchR2(0:0))
      call avR2(4504, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2176)%branchR2(0:1))
      call avR2(2176, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2691, nGC_2689/))

      call avR2(2176, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2692, nGC_2690/))

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(4334)%branchR2(0:1))
      call avR2(4334, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2651, nGC_2649/))

      call avR2(4334, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2652, nGC_2650/))

      allocate(vertices(7900)%branchR2(0:0))
      call avR2(7900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8384)%branchR2(0:0))
      call avR2(8384, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5049)%branchR2(0:0))
      call avR2(5049, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2544/))

      allocate(vertices(2863)%branchR2(0:1))
      call avR2(2863, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2622, nGC_2621/))

      call avR2(2863, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2620, nGC_2620/))

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(9492)%branchR2(0:0))
      call avR2(9492, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9694)%branchR2(0:0))
      call avR2(9694, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6305)%branchR2(0:0))
      call avR2(6305, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(2169)%branchR2(0:1))
      call avR2(2169, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_2640/))

      call avR2(2169, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(10168)%branchR2(0:0))
      call avR2(10168, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9163)%branchR2(0:0))
      call avR2(9163, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(7594)%branchR2(0:0))
      call avR2(7594, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(4815)%branchR2(0:0))
      call avR2(4815, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2601, nGC_2600/))

      allocate(vertices(8598)%branchR2(0:0))
      call avR2(8598, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(7635)%branchR2(0:0))
      call avR2(7635, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(4751)%branchR2(0:0))
      call avR2(4751, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(6973)%branchR2(0:0))
      call avR2(6973, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2939/))

      allocate(vertices(6131)%branchR2(0:0))
      call avR2(6131, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2597, nGC_2596/))

      allocate(vertices(10731)%branchR2(0:0))
      call avR2(10731, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9279)%branchR2(0:0))
      call avR2(9279, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1495)%branchR2(0:1))
      call avR2(1495, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2658, nGC_2657/))

      call avR2(1495, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2656, nGC_2656/))

      allocate(vertices(10059)%branchR2(0:0))
      call avR2(10059, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10732)%branchR2(0:1))
      call avR2(10732, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10732, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(10733)%branchR2(0:0))
      call avR2(10733, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9976)%branchR2(0:0))
      call avR2(9976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(8272)%branchR2(0:3))
      call avR2(8272, 0, 17, 1, 0, FVFa0, (/1, 2/), (/nGC_2570, nGC_2571/))

      call avR2(8272, 1, 17, 1, 0, FVFa0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(8272, 2, 18, 1, 0, FVFa0, (/1, 2/), (/nGC_2568, nGC_2569/))

      call avR2(8272, 3, 18, 1, 0, FVFa0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(5524)%branchR2(0:0))
      call avR2(5524, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10734)%branchR2(0:0))
      call avR2(10734, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2560)%branchR2(0:0))
      call avR2(2560, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2613, nGC_2612/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2537/))

      allocate(vertices(10735)%branchR2(0:0))
      call avR2(10735, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5606)%branchR2(0:0))
      call avR2(5606, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(5322)%branchR2(0:0))
      call avR2(5322, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(5203)%branchR2(0:0))
      call avR2(5203, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5662)%branchR2(0:1))
      call avR2(5662, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2483, nGC_2484/))

      call avR2(5662, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(5154)%branchR2(0:1))
      call avR2(5154, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2481, nGC_2482/))

      call avR2(5154, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(6812)%branchR2(0:0))
      call avR2(6812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2474, nGC_2475/))

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(3909)%branchR2(0:1))
      call avR2(3909, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2625, nGC_2624/))

      call avR2(3909, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2623, nGC_2623/))

      allocate(vertices(9230)%branchR2(0:0))
      call avR2(9230, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9252)%branchR2(0:0))
      call avR2(9252, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(9795)%branchR2(0:0))
      call avR2(9795, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(4893)%branchR2(0:0))
      call avR2(4893, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(6036)%branchR2(0:0))
      call avR2(6036, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(10736)%branchR2(0:0))
      call avR2(10736, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3367)%branchR2(0:0))
      call avR2(3367, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2757/))

      allocate(vertices(1618)%branchR2(0:0))
      call avR2(1618, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8908)%branchR2(0:0))
      call avR2(8908, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(5265)%branchR2(0:0))
      call avR2(5265, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(6480)%branchR2(0:0))
      call avR2(6480, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(9240)%branchR2(0:0))
      call avR2(9240, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2420, nGC_2418,       &
      nGC_2418, nGC_2419/))

      allocate(vertices(9245)%branchR2(0:0))
      call avR2(9245, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10737)%branchR2(0:0))
      call avR2(10737, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2792, nGC_2792,      &
      nGC_2792/))

      allocate(vertices(5249)%branchR2(0:1))
      call avR2(5249, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2618, nGC_2616/))

      call avR2(5249, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2619, nGC_2617/))

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6139)%branchR2(0:0))
      call avR2(6139, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(5731)%branchR2(0:1))
      call avR2(5731, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2715, nGC_2714/))

      call avR2(5731, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2713, nGC_2713/))

      allocate(vertices(10738)%branchR2(0:0))
      call avR2(10738, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6028)%branchR2(0:0))
      call avR2(6028, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10312)%branchR2(0:0))
      call avR2(10312, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(1393)%branchR2(0:1))
      call avR2(1393, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2638, nGC_2636/))

      call avR2(1393, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2639, nGC_2637/))

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(4241)%branchR2(0:0))
      call avR2(4241, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(8393)%branchR2(0:0))
      call avR2(8393, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(8869)%branchR2(0:0))
      call avR2(8869, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(6474)%branchR2(0:0))
      call avR2(6474, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(8630)%branchR2(0:0))
      call avR2(8630, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8359)%branchR2(0:0))
      call avR2(8359, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9217)%branchR2(0:0))
      call avR2(9217, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8620)%branchR2(0:0))
      call avR2(8620, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2543/))

      allocate(vertices(5342)%branchR2(0:0))
      call avR2(5342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(5417)%branchR2(0:0))
      call avR2(5417, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(5866)%branchR2(0:0))
      call avR2(5866, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(9586)%branchR2(0:0))
      call avR2(9586, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(5394)%branchR2(0:0))
      call avR2(5394, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(10739)%branchR2(0:0))
      call avR2(10739, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6568)%branchR2(0:0))
      call avR2(6568, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2587/))

      allocate(vertices(6041)%branchR2(0:0))
      call avR2(6041, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(1083)%branchR2(0:1))
      call avR2(1083, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2628, nGC_2626/))

      call avR2(1083, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2629, nGC_2627/))

      allocate(vertices(4600)%branchR2(0:1))
      call avR2(4600, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2701, nGC_2703/))

      call avR2(4600, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2702, nGC_2704/))

      allocate(vertices(10740)%branchR2(0:0))
      call avR2(10740, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2782, nGC_2781,      &
      nGC_2782/))

      allocate(vertices(4449)%branchR2(0:0))
      call avR2(4449, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(264)%branchR2(0:1))
      call avR2(264, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2718, nGC_2717/))

      call avR2(264, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2716, nGC_2716/))

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(5420)%branchR2(0:1))
      call avR2(5420, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2718, nGC_2717/))

      call avR2(5420, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2716, nGC_2716/))

      allocate(vertices(10450)%branchR2(0:0))
      call avR2(10450, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(6783)%branchR2(0:0))
      call avR2(6783, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4200)%branchR2(0:0))
      call avR2(4200, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2772, nGC_2774,       &
      nGC_2773/))

      allocate(vertices(6736)%branchR2(0:0))
      call avR2(6736, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2754/))

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(5013)%branchR2(0:1))
      call avR2(5013, 0, 28, 1, 0, VFFa1, (/0, 3/), (/nGC_2518, nGC_2520/))

      call avR2(5013, 1, 28, 1, 0, VFFa1, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(4446)%branchR2(0:1))
      call avR2(4446, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2711, nGC_2709/))

      call avR2(4446, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2712, nGC_2710/))

      allocate(vertices(9562)%branchR2(0:0))
      call avR2(9562, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(4814)%branchR2(0:0))
      call avR2(4814, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9910)%branchR2(0:0))
      call avR2(9910, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(5716)%branchR2(0:0))
      call avR2(5716, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(6355)%branchR2(0:1))
      call avR2(6355, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2669, nGC_2667/))

      call avR2(6355, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2670, nGC_2668/))

      allocate(vertices(10741)%branchR2(0:1))
      call avR2(10741, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2876/))

      call avR2(10741, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(4760)%branchR2(0:0))
      call avR2(4760, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(6024)%branchR2(0:0))
      call avR2(6024, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2786,       &
      nGC_2785/))

      allocate(vertices(10742)%branchR2(0:0))
      call avR2(10742, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(4161)%branchR2(0:0))
      call avR2(4161, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(8300)%branchR2(0:1))
      call avR2(8300, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(8300, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(9168)%branchR2(0:0))
      call avR2(9168, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(10743)%branchR2(0:0))
      call avR2(10743, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2787/))

      allocate(vertices(6888)%branchR2(0:0))
      call avR2(6888, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(5659)%branchR2(0:0))
      call avR2(5659, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7443)%branchR2(0:0))
      call avR2(7443, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(10327)%branchR2(0:0))
      call avR2(10327, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4673)%branchR2(0:0))
      call avR2(4673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(2262)%branchR2(0:0))
      call avR2(2262, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(4426)%branchR2(0:0))
      call avR2(4426, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(6846)%branchR2(0:0))
      call avR2(6846, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(10472)%branchR2(0:0))
      call avR2(10472, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7138)%branchR2(0:0))
      call avR2(7138, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(7353)%branchR2(0:0))
      call avR2(7353, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2504, nGC_2505/))

      allocate(vertices(5553)%branchR2(0:0))
      call avR2(5553, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(10075)%branchR2(0:0))
      call avR2(10075, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(2424)%branchR2(0:1))
      call avR2(2424, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2645, nGC_2647/))

      call avR2(2424, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2646, nGC_2648/))

      allocate(vertices(6906)%branchR2(0:0))
      call avR2(6906, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(5916)%branchR2(0:0))
      call avR2(5916, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4057/))

      allocate(vertices(9502)%branchR2(0:0))
      call avR2(9502, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(4701)%branchR2(0:0))
      call avR2(4701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4408)%branchR2(0:1))
      call avR2(4408, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2479, nGC_2480/))

      call avR2(4408, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(10434)%branchR2(0:0))
      call avR2(10434, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(10744)%branchR2(0:0))
      call avR2(10744, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10745)%branchR2(0:1))
      call avR2(10745, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2870/))

      call avR2(10745, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(10746)%branchR2(0:1))
      call avR2(10746, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2870/))

      call avR2(10746, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(6767)%branchR2(0:0))
      call avR2(6767, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2785,       &
      nGC_2786/))

      allocate(vertices(4410)%branchR2(0:0))
      call avR2(4410, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2542/))

      allocate(vertices(7592)%branchR2(0:0))
      call avR2(7592, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2821, nGC_2823,       &
      nGC_2822/))

      allocate(vertices(6078)%branchR2(0:0))
      call avR2(6078, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2553/))

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(2280)%branchR2(0:1))
      call avR2(2280, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2749, nGC_2747/))

      call avR2(2280, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2750, nGC_2748/))

      allocate(vertices(5494)%branchR2(0:1))
      call avR2(5494, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2625, nGC_2624/))

      call avR2(5494, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2623, nGC_2623/))

      allocate(vertices(10192)%branchR2(0:0))
      call avR2(10192, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(10747)%branchR2(0:1))
      call avR2(10747, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2869/))

      call avR2(10747, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2870/))

      allocate(vertices(5477)%branchR2(0:1))
      call avR2(5477, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2681, nGC_2679/))

      call avR2(5477, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2682, nGC_2680/))

      allocate(vertices(9692)%branchR2(0:0))
      call avR2(9692, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(3373)%branchR2(0:0))
      call avR2(3373, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(614)%branchR2(0:1))
      call avR2(614, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2628, nGC_2626/))

      call avR2(614, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2629, nGC_2627/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9833)%branchR2(0:0))
      call avR2(9833, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(8461)%branchR2(0:0))
      call avR2(8461, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(6133)%branchR2(0:0))
      call avR2(6133, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2504, nGC_2505/))

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2547/))

      allocate(vertices(8534)%branchR2(0:0))
      call avR2(8534, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(7950)%branchR2(0:1))
      call avR2(7950, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_2483, nGC_2484/))

      call avR2(7950, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(10748)%branchR2(0:1))
      call avR2(10748, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2883/))

      call avR2(10748, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2882/))

      allocate(vertices(9656)%branchR2(0:0))
      call avR2(9656, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2467/))

      allocate(vertices(3818)%branchR2(0:0))
      call avR2(3818, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(9808)%branchR2(0:0))
      call avR2(9808, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(7648)%branchR2(0:0))
      call avR2(7648, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(9966)%branchR2(0:0))
      call avR2(9966, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8172)%branchR2(0:0))
      call avR2(8172, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(848)%branchR2(0:3))
      call avR2(848, 0, 21, 1, 0, FaVF0, (/1, 2/), (/nGC_2566, nGC_2567/))

      call avR2(848, 1, 21, 1, 0, FaVF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(848, 2, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(848, 3, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2564, nGC_2565/))

      allocate(vertices(3686)%branchR2(0:3))
      call avR2(3686, 0, 24, 1, 0, VFFa1, (/3, 0/), (/nGC_2558, nGC_2558/))

      call avR2(3686, 1, 24, 1, 0, VFFa1, (/1, 2/), (/nGC_2556, nGC_2557/))

      call avR2(3686, 2, 23, 1, 0, VFFa1, (/1, 2/), (/nGC_2559, nGC_2560/))

      call avR2(3686, 3, 23, 1, 0, VFFa1, (/3, 0/), (/nGC_2561, nGC_2561/))

      allocate(vertices(8874)%branchR2(0:0))
      call avR2(8874, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(6946)%branchR2(0:0))
      call avR2(6946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2538/))

      allocate(vertices(8401)%branchR2(0:0))
      call avR2(8401, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(1280)%branchR2(0:1))
      call avR2(1280, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2518, nGC_2520/))

      call avR2(1280, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2939/))

      allocate(vertices(6038)%branchR2(0:0))
      call avR2(6038, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6048)%branchR2(0:0))
      call avR2(6048, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(4514)%branchR2(0:0))
      call avR2(4514, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2920/))

      allocate(vertices(2296)%branchR2(0:0))
      call avR2(2296, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2856, nGC_2856,       &
      nGC_2855/))

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(10404)%branchR2(0:0))
      call avR2(10404, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(9837)%branchR2(0:0))
      call avR2(9837, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8893)%branchR2(0:0))
      call avR2(8893, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2615, nGC_2614/))

      allocate(vertices(5750)%branchR2(0:0))
      call avR2(5750, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(6071)%branchR2(0:0))
      call avR2(6071, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2591/))

      allocate(vertices(9647)%branchR2(0:0))
      call avR2(9647, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8455)%branchR2(0:1))
      call avR2(8455, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(8455, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(4958)%branchR2(0:0))
      call avR2(4958, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6824)%branchR2(0:0))
      call avR2(6824, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(2288)%branchR2(0:0))
      call avR2(2288, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2490/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(6415)%branchR2(0:0))
      call avR2(6415, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4040/))

      allocate(vertices(9162)%branchR2(0:0))
      call avR2(9162, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2609, nGC_2608/))

      allocate(vertices(5724)%branchR2(0:0))
      call avR2(5724, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4736)%branchR2(0:0))
      call avR2(4736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5661)%branchR2(0:0))
      call avR2(5661, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(4073)%branchR2(0:0))
      call avR2(4073, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(1132)%branchR2(0:1))
      call avR2(1132, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2638, nGC_2636/))

      call avR2(1132, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2639, nGC_2637/))

      allocate(vertices(4964)%branchR2(0:0))
      call avR2(4964, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(5103)%branchR2(0:0))
      call avR2(5103, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3939)%branchR2(0:0))
      call avR2(3939, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(5967)%branchR2(0:0))
      call avR2(5967, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8599)%branchR2(0:0))
      call avR2(8599, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(9588)%branchR2(0:0))
      call avR2(9588, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(9150)%branchR2(0:0))
      call avR2(9150, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(7535)%branchR2(0:0))
      call avR2(7535, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2587/))

      allocate(vertices(6969)%branchR2(0:0))
      call avR2(6969, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(864)%branchR2(0:1))
      call avR2(864, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_2640/))

      call avR2(864, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(7216)%branchR2(0:0))
      call avR2(7216, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5592)%branchR2(0:0))
      call avR2(5592, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(10410)%branchR2(0:0))
      call avR2(10410, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(4661)%branchR2(0:0))
      call avR2(4661, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(5622)%branchR2(0:0))
      call avR2(5622, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4919)%branchR2(0:1))
      call avR2(4919, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2661, nGC_2659/))

      call avR2(4919, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2662, nGC_2660/))

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10365)%branchR2(0:0))
      call avR2(10365, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(7239)%branchR2(0:0))
      call avR2(7239, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2536/))

      allocate(vertices(6503)%branchR2(0:0))
      call avR2(6503, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(8914)%branchR2(0:0))
      call avR2(8914, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(4157)%branchR2(0:3))
      call avR2(4157, 0, 21, 1, 0, FaVF0, (/1, 2/), (/nGC_2570, nGC_2571/))

      call avR2(4157, 1, 21, 1, 0, FaVF0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(4157, 2, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2568, nGC_2569/))

      call avR2(4157, 3, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(10749)%branchR2(0:0))
      call avR2(10749, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2792, nGC_2792,      &
      nGC_2792/))

      allocate(vertices(2851)%branchR2(0:0))
      call avR2(2851, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10750)%branchR2(0:0))
      call avR2(10750, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(7176)%branchR2(0:0))
      call avR2(7176, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10418)%branchR2(0:0))
      call avR2(10418, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10098)%branchR2(0:0))
      call avR2(10098, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(3677)%branchR2(0:0))
      call avR2(3677, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(4731)%branchR2(0:0))
      call avR2(4731, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(2119)%branchR2(0:0))
      call avR2(2119, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2588/))

      allocate(vertices(5769)%branchR2(0:0))
      call avR2(5769, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7923)%branchR2(0:0))
      call avR2(7923, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(9330)%branchR2(0:0))
      call avR2(9330, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(10751)%branchR2(0:1))
      call avR2(10751, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_2842, nGC_2842,    &
      nGC_2842/))

      call avR2(10751, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      allocate(vertices(8311)%branchR2(0:1))
      call avR2(8311, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2481, nGC_2482/))

      call avR2(8311, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(10752)%branchR2(0:1))
      call avR2(10752, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2876/))

      call avR2(10752, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2875/))

      allocate(vertices(3736)%branchR2(0:0))
      call avR2(3736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(3304)%branchR2(0:0))
      call avR2(3304, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2615, nGC_2614/))

      allocate(vertices(4029)%branchR2(0:1))
      call avR2(4029, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2661, nGC_2659/))

      call avR2(4029, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2662, nGC_2660/))

      allocate(vertices(10161)%branchR2(0:0))
      call avR2(10161, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5007)%branchR2(0:0))
      call avR2(5007, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2535/))

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(8805)%branchR2(0:0))
      call avR2(8805, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(10133)%branchR2(0:0))
      call avR2(10133, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8552)%branchR2(0:0))
      call avR2(8552, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(3319)%branchR2(0:0))
      call avR2(3319, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9992)%branchR2(0:0))
      call avR2(9992, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(6298)%branchR2(0:1))
      call avR2(6298, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2688, nGC_2687/))

      call avR2(6298, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2686, nGC_2686/))

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2862/))

      allocate(vertices(10299)%branchR2(0:0))
      call avR2(10299, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2929/))

      allocate(vertices(4363)%branchR2(0:0))
      call avR2(4363, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10753)%branchR2(0:1))
      call avR2(10753, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2870/))

      call avR2(10753, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(9801)%branchR2(0:0))
      call avR2(9801, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(8414)%branchR2(0:0))
      call avR2(8414, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2429)%branchR2(0:1))
      call avR2(2429, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2483, nGC_2484/))

      call avR2(2429, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(9745)%branchR2(0:0))
      call avR2(9745, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(3021)%branchR2(0:1))
      call avR2(3021, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_2640/))

      call avR2(3021, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(5444)%branchR2(0:0))
      call avR2(5444, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7331)%branchR2(0:0))
      call avR2(7331, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(3740)%branchR2(0:0))
      call avR2(3740, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2940/))

      allocate(vertices(6026)%branchR2(0:0))
      call avR2(6026, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(6691)%branchR2(0:0))
      call avR2(6691, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(7886)%branchR2(0:0))
      call avR2(7886, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(7428)%branchR2(0:0))
      call avR2(7428, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(9798)%branchR2(0:0))
      call avR2(9798, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6861)%branchR2(0:0))
      call avR2(6861, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2595, nGC_2594/))

      allocate(vertices(7732)%branchR2(0:1))
      call avR2(7732, 0, 29, 1, 0, SFaF0, (/0, 3/), (/nGC_2743, nGC_2742/))

      call avR2(7732, 1, 29, 1, 0, SFaF0, (/2, 1/), (/nGC_2741, nGC_2741/))

      allocate(vertices(5884)%branchR2(0:1))
      call avR2(5884, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2705, nGC_2707/))

      call avR2(5884, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2706, nGC_2708/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(6122)%branchR2(0:1))
      call avR2(6122, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2483, nGC_2484/))

      call avR2(6122, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2485, nGC_2485/))

      allocate(vertices(7934)%branchR2(0:0))
      call avR2(7934, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(8654)%branchR2(0:0))
      call avR2(8654, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(8377)%branchR2(0:0))
      call avR2(8377, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(2998)%branchR2(0:0))
      call avR2(2998, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(2638)%branchR2(0:3))
      call avR2(2638, 0, 17, 1, 0, FVFa0, (/3, 0/), (/nGC_2561, nGC_2561/))

      call avR2(2638, 1, 17, 1, 0, FVFa0, (/1, 2/), (/nGC_2580, nGC_2581/))

      call avR2(2638, 2, 18, 1, 0, FVFa0, (/1, 2/), (/nGC_2578, nGC_2579/))

      call avR2(2638, 3, 18, 1, 0, FVFa0, (/3, 0/), (/nGC_2558, nGC_2558/))

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9450)%branchR2(0:0))
      call avR2(9450, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5176)%branchR2(0:0))
      call avR2(5176, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(4737)%branchR2(0:0))
      call avR2(4737, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9131)%branchR2(0:0))
      call avR2(9131, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2861/))

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2822, nGC_2821,       &
      nGC_2823/))

      allocate(vertices(6097)%branchR2(0:0))
      call avR2(6097, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(7856)%branchR2(0:0))
      call avR2(7856, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2759/))

      allocate(vertices(5105)%branchR2(0:0))
      call avR2(5105, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2925/))

      allocate(vertices(7670)%branchR2(0:1))
      call avR2(7670, 0, 28, 1, 0, VFFa0, (/0, 3/), (/nGC_2640/))

      call avR2(7670, 1, 28, 1, 0, VFFa0, (/2, 1/), (/nGC_2631/))

      allocate(vertices(2677)%branchR2(0:0))
      call avR2(2677, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(8705)%branchR2(0:0))
      call avR2(8705, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2918/))

      allocate(vertices(10754)%branchR2(0:1))
      call avR2(10754, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2870/))

      call avR2(10754, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2869/))

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2764/))

      allocate(vertices(4562)%branchR2(0:0))
      call avR2(4562, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8389)%branchR2(0:0))
      call avR2(8389, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7730)%branchR2(0:1))
      call avR2(7730, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2655, nGC_2654/))

      call avR2(7730, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2653, nGC_2653/))

      allocate(vertices(3380)%branchR2(0:1))
      call avR2(3380, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_2524, nGC_2525/))

      call avR2(3380, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_2519, nGC_2521/))

      allocate(vertices(10755)%branchR2(0:1))
      call avR2(10755, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_2854, nGC_2854,    &
      nGC_2854/))

      call avR2(10755, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_2853, nGC_2853,    &
      nGC_2853/))

      allocate(vertices(7020)%branchR2(0:0))
      call avR2(7020, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(6229)%branchR2(0:0))
      call avR2(6229, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(1868)%branchR2(0:1))
      call avR2(1868, 0, 27, 1, 0, FaFS0, (/0, 3/), (/nGC_2669, nGC_2667/))

      call avR2(1868, 1, 27, 1, 0, FaFS0, (/2, 1/), (/nGC_2670, nGC_2668/))

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2785, nGC_2784,       &
      nGC_2786/))

      allocate(vertices(5760)%branchR2(0:1))
      call avR2(5760, 0, 30, 1, 0, FVFa0, (/0, 3/), (/nGC_2481, nGC_2482/))

      call avR2(5760, 1, 30, 1, 0, FVFa0, (/2, 1/), (/nGC_2478, nGC_2478/))

      allocate(vertices(10756)%branchR2(0:5))
      call avR2(10756, 0, 169, 1, 0, VVVV0, (/3, 1/), (/nGC_2905, nGC_2905,    &
      nGC_2905/))

      call avR2(10756, 1, 167, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10756, 2, 168, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10756, 3, 166, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      call avR2(10756, 4, 170, 1, 0, VVVV0, (/3, 1/), (/nGC_2903, nGC_2903,    &
      nGC_2903/))

      call avR2(10756, 5, 165, 1, 0, VVVV0, (/3, 1/), (/nGC_2904, nGC_2904,    &
      nGC_2904/))

      allocate(vertices(5880)%branchR2(0:0))
      call avR2(5880, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(4505)%branchR2(0:0))
      call avR2(4505, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(3517)%branchR2(0:0))
      call avR2(3517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(6509)%branchR2(0:0))
      call avR2(6509, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2756/))

      allocate(vertices(10119)%branchR2(0:0))
      call avR2(10119, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1509)%branchR2(0:0))
      call avR2(1509, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9107)%branchR2(0:0))
      call avR2(9107, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2981)%branchR2(0:0))
      call avR2(2981, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2590/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(4723)%branchR2(0:0))
      call avR2(4723, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(5722)%branchR2(0:0))
      call avR2(5722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(6688)%branchR2(0:0))
      call avR2(6688, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(6995)%branchR2(0:0))
      call avR2(6995, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2884/))

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(4090)%branchR2(0:0))
      call avR2(4090, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5361)%branchR2(0:0))
      call avR2(5361, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(1798)%branchR2(0:0))
      call avR2(1798, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2613, nGC_2612/))

      allocate(vertices(6018)%branchR2(0:0))
      call avR2(6018, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(8783)%branchR2(0:0))
      call avR2(8783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7651)%branchR2(0:0))
      call avR2(7651, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(10003)%branchR2(0:0))
      call avR2(10003, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(8125)%branchR2(0:0))
      call avR2(8125, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5191)%branchR2(0:0))
      call avR2(5191, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(4906)%branchR2(0:0))
      call avR2(4906, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2545/))

      allocate(vertices(4900)%branchR2(0:0))
      call avR2(4900, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(3879)%branchR2(0:0))
      call avR2(3879, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(6634)%branchR2(0:0))
      call avR2(6634, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10294)%branchR2(0:0))
      call avR2(10294, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(4224)%branchR2(0:0))
      call avR2(4224, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(5259)%branchR2(0:0))
      call avR2(5259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(8321)%branchR2(0:1))
      call avR2(8321, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_2640/))

      call avR2(8321, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(2148)%branchR2(0:0))
      call avR2(2148, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2926/))

      allocate(vertices(3458)%branchR2(0:0))
      call avR2(3458, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2532/))

      allocate(vertices(7553)%branchR2(0:0))
      call avR2(7553, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1291)%branchR2(0:1))
      call avR2(1291, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2622, nGC_2621/))

      call avR2(1291, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2620, nGC_2620/))

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10757)%branchR2(0:0))
      call avR2(10757, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9998)%branchR2(0:0))
      call avR2(9998, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4059/))

      allocate(vertices(7407)%branchR2(0:0))
      call avR2(7407, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9190)%branchR2(0:0))
      call avR2(9190, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4058/))

      allocate(vertices(6253)%branchR2(0:0))
      call avR2(6253, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2918/))

      allocate(vertices(10758)%branchR2(0:1))
      call avR2(10758, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2872/))

      call avR2(10758, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(7638)%branchR2(0:0))
      call avR2(7638, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(6587)%branchR2(0:0))
      call avR2(6587, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6836)%branchR2(0:0))
      call avR2(6836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7105)%branchR2(0:0))
      call avR2(7105, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(4142)%branchR2(0:0))
      call avR2(4142, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(5019)%branchR2(0:0))
      call avR2(5019, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4064/))

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(7359)%branchR2(0:0))
      call avR2(7359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(7399)%branchR2(0:0))
      call avR2(7399, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(10457)%branchR2(0:0))
      call avR2(10457, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(5411)%branchR2(0:0))
      call avR2(5411, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2753/))

      allocate(vertices(8164)%branchR2(0:0))
      call avR2(8164, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2931/))

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4043/))

      allocate(vertices(8900)%branchR2(0:0))
      call avR2(8900, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4059/))

      allocate(vertices(5624)%branchR2(0:0))
      call avR2(5624, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2784, nGC_2785,       &
      nGC_2786/))

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(1493)%branchR2(0:1))
      call avR2(1493, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2665, nGC_2663/))

      call avR2(1493, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2666, nGC_2664/))

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2933/))

      allocate(vertices(3872)%branchR2(0:0))
      call avR2(3872, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2810/))

      allocate(vertices(2068)%branchR2(0:0))
      call avR2(2068, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2863/))

      allocate(vertices(9151)%branchR2(0:0))
      call avR2(9151, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(5555)%branchR2(0:1))
      call avR2(5555, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2743, nGC_2742/))

      call avR2(5555, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2741, nGC_2741/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(7401)%branchR2(0:1))
      call avR2(7401, 0, 3, 1, 0, VVV1, (/3, 0/), (/nGC_4065/))

      call avR2(7401, 1, 2, 1, 0, VVV1, (/3, 0/), (/nGC_4066/))

      allocate(vertices(3452)%branchR2(0:1))
      call avR2(3452, 0, 30, 1, 0, FSFa0, (/0, 3/), (/nGC_2711, nGC_2709/))

      call avR2(3452, 1, 30, 1, 0, FSFa0, (/2, 1/), (/nGC_2712, nGC_2710/))

      allocate(vertices(49)%branchR2(0:0))
      call avR2(49, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(3621)%branchR2(0:0))
      call avR2(3621, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(4799)%branchR2(0:0))
      call avR2(4799, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(4991)%branchR2(0:0))
      call avR2(4991, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2534/))

      allocate(vertices(1703)%branchR2(0:0))
      call avR2(1703, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2209)%branchR2(0:0))
      call avR2(2209, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(1309)%branchR2(0:0))
      call avR2(1309, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(6941)%branchR2(0:0))
      call avR2(6941, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(3898)%branchR2(0:0))
      call avR2(3898, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8212)%branchR2(0:0))
      call avR2(8212, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2591/))

      allocate(vertices(6099)%branchR2(0:0))
      call avR2(6099, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2114)%branchR2(0:1))
      call avR2(2114, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2640/))

      call avR2(2114, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2631/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(5868)%branchR2(0:0))
      call avR2(5868, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(3885)%branchR2(0:0))
      call avR2(3885, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4401)%branchR2(0:0))
      call avR2(4401, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(4052)%branchR2(0:0))
      call avR2(4052, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6461)%branchR2(0:0))
      call avR2(6461, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2929/))

      allocate(vertices(10759)%branchR2(0:1))
      call avR2(10759, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2888/))

      call avR2(10759, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2887/))

      allocate(vertices(9169)%branchR2(0:0))
      call avR2(9169, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2399/))

      allocate(vertices(10760)%branchR2(0:1))
      call avR2(10760, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2872/))

      call avR2(10760, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2871/))

      allocate(vertices(6514)%branchR2(0:0))
      call avR2(6514, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2597, nGC_2596/))

      allocate(vertices(7328)%branchR2(0:0))
      call avR2(7328, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2932/))

      allocate(vertices(2513)%branchR2(0:0))
      call avR2(2513, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2901/))

      allocate(vertices(51)%branchR2(0:1))
      call avR2(51, 0, 28, 1, 0, SFFa0, (/0, 3/), (/nGC_2711, nGC_2709/))

      call avR2(51, 1, 28, 1, 0, SFFa0, (/2, 1/), (/nGC_2712, nGC_2710/))

      allocate(vertices(10188)%branchR2(0:0))
      call avR2(10188, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10761)%branchR2(0:1))
      call avR2(10761, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10761, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_2842, nGC_2842,    &
      nGC_2842/))

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2833/))

      allocate(vertices(8495)%branchR2(0:0))
      call avR2(8495, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6098)%branchR2(0:0))
      call avR2(6098, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(2370)%branchR2(0:0))
      call avR2(2370, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2587/))

      allocate(vertices(5286)%branchR2(0:1))
      call avR2(5286, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2715, nGC_2714/))

      call avR2(5286, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2713, nGC_2713/))

      allocate(vertices(4381)%branchR2(0:0))
      call avR2(4381, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(9195)%branchR2(0:0))
      call avR2(9195, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4521)%branchR2(0:0))
      call avR2(4521, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(10762)%branchR2(0:0))
      call avR2(10762, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6793)%branchR2(0:0))
      call avR2(6793, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(5248)%branchR2(0:0))
      call avR2(5248, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5701)%branchR2(0:1))
      call avR2(5701, 0, 31, 1, 0, FaSF1, (/0, 3/), (/nGC_2622, nGC_2621/))

      call avR2(5701, 1, 31, 1, 0, FaSF1, (/2, 1/), (/nGC_2620, nGC_2620/))

      allocate(vertices(8088)%branchR2(0:0))
      call avR2(8088, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2755/))

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(7503)%branchR2(0:0))
      call avR2(7503, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(6585)%branchR2(0:0))
      call avR2(6585, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2605, nGC_2604/))

      allocate(vertices(8188)%branchR2(0:0))
      call avR2(8188, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2834/))

    end subroutine fill_vertices_mdl24
end module vertices_info24
